#!/bin/csh -f
#
# $Header: /home/cvs/OpenGL-ES/1.0/ogles/conform/conform/conform.sh,v 1.1 2004/11/16 00:46:06 artlab Exp $

echo ""
echo "**********************************************************************"
echo "     OpenGL ES Conformance Report (Version CONFORM_VERSION, CONFORM_DATE)"
echo "**********************************************************************"
echo ""
echo ""
echo "     This OpenGL ES Conformance Certification Report ("\""Report"\"") is "
echo ""
echo ""
echo "     made the _____ day of _____________, 20___ "
echo ""
echo ""
echo "     by _________________________________________________________," 
echo ""
echo ""
echo "     a _____________________________ corporation having a place of" 
echo ""
echo ""
echo "     business at ________________________________________________"
echo ""
echo ""
echo "     ____________________________________________________________."
echo ""
echo ""
echo ""
echo ""
echo "     This Report will be made available to anyone who requests the"
echo "     Report from the Secretary of the Khronos Group."
echo "     This Report certifies Licensee ran the Conformance Tests of"
echo "     OpenGL ES Release __________ on the OpenGL ES implementation"
echo "     on the configuration written below (include names of CPU,"
echo "     graphics options, add-ons, O/S release, window systems, or"
echo "     other identifying information):"
echo ""
echo ""
echo ""
echo ""
echo ""
echo ""
echo ""
echo ""
echo ""
echo ""
echo ""
echo ""
echo ""
echo ""
echo "     Licensee believes that the results of these Conformance Tests"
echo "     can be generalized and that the results would be identical,"
echo "     if run on the configurations listed below (include names of"
echo "     CPU, graphics options, add-ons, O/S release, window systems,"
echo "     or other identifying information):"
echo ""
echo ""
echo ""
echo ""
echo ""
echo ""
echo ""
echo ""
echo ""
echo ""
echo ""
echo ""
echo ""
echo ""
echo "     These conformance tests are run from the provided script,"
echo "     conform.sh.  This is the required script for OpenGL ES" 
echo "     implementations." 
echo ""
echo "     By checking off the boxes below, the associated statement is"
echo "     certified to be true. The first and last box must be checked."
echo ""
echo "      _"
echo "     [_] The OpenGL ES implementation on the configuration listed"
echo "     above passes the basic conformance test suite (mustpass, covgl"
echo "     and primtest)."
echo ""
echo ""
echo "  		Conformance Suite"
echo "       "
echo "     [_] The conformance suite has been run on the OpenGL ES"
echo "     implementation as configured above, and these are the results"
echo "     of running the conformance suite."
echo ""
echo ""
date
echo ""

if (0 == $?SEED) then
	# No seed given - set a default one.
	@ SEED = 32555
endif

echo "**********************************************************************"
echo "     covgl."
echo "**********************************************************************"
echo ""
covgl/covgl 
@ returnVal = $status
if ($returnVal) then
	echo "ERROR: returned exit value of $returnVal"
 	echo "aborting..."
 	exit $returnVal
endif
echo "**********************************************************************"
echo "     primtest."
echo "**********************************************************************"
echo ""
primtest/primtest 
@ returnVal = $status
if ($returnVal) then
	echo "ERROR: returned exit value of $returnVal"
 	echo "aborting..."
 	exit $returnVal
endif
echo "**********************************************************************"
echo "     conform mustpass."
echo "**********************************************************************"
echo ""
conform/conform -r $SEED -1 mustpass.c
@ returnVal = $status
if ($returnVal) then
	echo "ERROR: returned exit value of $returnVal"
 	echo "aborting..."
 	exit $returnVal
endif
echo "**********************************************************************"
echo "     conform path 0 through 3"
echo "**********************************************************************"
echo ""
conform/conform -r $SEED -f conform/TESTLIST
@ returnVal = $status
if ($returnVal) then
	echo "ERROR: returned exit value of $returnVal"
 	echo "aborting..."
 	exit $returnVal
endif
echo "**********************************************************************"
echo ""
@ SEED = $SEED + 1
conform/conform -r $SEED -f conform/TESTLIST -p 1
@ returnVal = $status
if ($returnVal) then
	echo "ERROR: returned exit value of $returnVal"
 	echo "aborting..."
 	exit $returnVal
endif
echo "**********************************************************************"
echo ""
@ SEED = $SEED + 1
conform/conform -r $SEED -f conform/TESTLIST -p 2
@ returnVal = $status
if ($returnVal) then
	echo "ERROR: returned exit value of $returnVal"
 	echo "aborting..."
 	exit $returnVal
endif
echo "**********************************************************************"
echo ""
@ SEED = $SEED + 1
conform/conform -r $SEED -f conform/TESTLIST -p 3
@ returnVal = $status
if ($returnVal) then
	echo "ERROR: returned exit value of $returnVal"
 	echo "aborting..."
 	exit $returnVal
endif

echo "**********************************************************************"
echo "     conformance suite completed."
echo "**********************************************************************"
date
echo ""
echo ""
echo "     Comment Field"
echo ""
echo "     The licensee may add a statement below which will be provided"
echo "     along with the rest of the Report to all who request this"
echo "     Report."
echo ""
echo ""
echo ""
echo ""
echo ""
echo ""
echo ""
echo ""
echo ""
echo ""
echo ""
echo ""
echo ""
echo ""
echo ""
echo ""
echo ""
echo ""
echo ""
echo ""
echo ""
echo ""
echo ""
echo ""
echo ""
echo ""
echo "         SILICON GRAPHICS                       LICENSEE"
echo ""
echo ""
echo "By: _____________________________   By: _____________________________"
echo ""
echo ""
echo "_________________________________   _________________________________"
echo "NAME (PRINT OR TYPE)                NAME (PRINT OR TYPE)"
echo ""
echo "_________________________________   _________________________________"
echo "TITLE                               TITLE"
echo ""
echo "_________________________________   _________________________________"
echo "DATE                                DATE"
echo ""
echo ""
