/*
** Copyright 1999-2005, Silicon Graphics, Inc.
** All Rights Reserved.
**
** This is UNPUBLISHED PROPRIETARY SOURCE CODE of Silicon Graphics, Inc.;
** the contents of this file may not be disclosed to third parties, copied or
** duplicated in any form, in whole or in part, without the prior written
** permission of Silicon Graphics, Inc.
**
** RESTRICTED RIGHTS LEGEND:
** Use, duplication or disclosure by the Government is subject to restrictions
** as set forth in subdivision (c)(1)(ii) of the Rights in Technical Data
** and Computer Software clause at DFARS 252.227-7013, and/or in similar or
** successor clauses in the FAR, DOD or NASA FAR Supplement. Unpublished -
** rights reserved under the Copyright Laws of the United States.
**
*/

#include "native.h"

#include <stdio.h> /*for printf() */

#ifdef OS_LE__LINUX_CBSP_2_0
extern void* updater_get_native_window(void);
extern void* updater_destroy_native_window(void *);
#endif
#ifdef OS_ANDROID
    //#include <ui/FramebufferNativeWindow.h>
    //#include <ui/EGLUtils.h>
    //extern "C" EGLNativeWindowType android_createDisplaySurface(void);
    //  android_createDisplaySurface() is an implicit declaration, but we can't include the headers for it since they're all C++ only
#endif

NativeDisplay nativeCreateDisplay(void) {
    return (NativeDisplay)0;
}

void nativeDestroyDisplay(NativeDisplay display) {
    //Empty
}

NativeWindow nativeCreateWindow(const char *title, int width, int height, EGLint visualId) {
    NativeWindowType win;
#ifdef OS_ANDROID
    win = android_createDisplaySurface();
#else
#ifdef OS_LE__LINUX_CBSP_2_0
    win = updater_get_native_window();
#elif OS_WEBOS
    win = NULL;
#endif
#endif
    return win;
}

void nativeDestroyWindow(NativeWindow window) {
#ifdef OS_LE__LINUX_CBSP_2_0
    updater_destroy_native_window(window);
#endif
}

NativePixmap nativeCreatePixmap(int width, int height, EGLint visualId) {
    return (NativePixmap)0;
}

void nativeDestroyPixmap(NativePixmap pixmap) {
    //Empty
}
