# Compare the list of constants generated from the specification with
# the constants in the header file gl.h.  Output the differences.
#
#       awk -f con.awk gl.h glspec.con getlist.con
#

#
# look for definitions in gl.h
#
(index(FILENAME,"gl.h") > 0) {
        if ($1 == "#define") {
            token = substr($2,4);
            IsDefined[token] = 1;
        }
}

#
# check each constant in the other files
#
(index(FILENAME,"gl.h") == 0) {
        token = $1;
        IsSpecified[token] = 1;
        if (!IsDefined[token]) {
            printf("not in gl.h: ");
            printf("%-20s ",FILENAME);
            printf("%s\n",token);
        }
}

END {
        for (s in IsDefined) {
            if (!IsSpecified[s]) {
                printf("not in the spec: %s\n",s);
            }
        }
}
