#!/usr/bin/perl
#
# Copyright 1999-2005, Silicon Graphics, Inc.
# All Rights Reserved.
#
# This is UNPUBLISHED PROPRIETARY SOURCE CODE of Silicon Graphics, Inc.;
# the contents of this file may not be disclosed to third parties, copied or
# duplicated in any form, in whole or in part, without the prior written
# permission of Silicon Graphics, Inc.
#
# RESTRICTED RIGHTS LEGEND:
# Use, duplication or disclosure by the Government is subject to restrictions
# as set forth in subdivision (c)(1)(ii) of the Rights in Technical Data
# and Computer Software clause at DFARS 252.227-7013, and/or in similar or
# successor clauses in the FAR, DOD or NASA FAR Supplement. Unpublished -
# rights reserved under the Copyright Laws of the United States.
#
# $Header: /home/cvs/OpenGL-ES/1.0/ogles/conform/platform/gen_macros.pl,v 1.2 2005/05/11 15:22:46 artlab Exp $
#

use strict;

while (<>) {

    # selector
    # $common == 0: common lite
    # $common == 1: common profile
    my $common = 0;

    if (not /GLAPI\s+(.*?)\s+APIENTRY\s*(\w*)\s*\((.*)\);/) {
	next;
    }

    my $type = $1;
    my $name = $2;
    my $args = $3;

    if (not $args =~ "GLfloat" and not $args =~ "GLclampf") {
	next;
    }

    my @arg_list = split(/,/, $args);
    my @arg_name_list;
    my $arg_names;

    foreach (@arg_list) {
        if (/^\s*void\s*$/) {
            next;
        }

        /(\w+.*\S)\s*\b(\w+)$/;
        my $arg_type = $1;
        my $arg_name = $2;
        push(@arg_name_list, $arg_name);
    }
    $arg_names = join(", ", @arg_name_list);

    my $fake_name;
    my $real_name;

    if ($name =~ /(.*)fv$/) {
        $fake_name = "${1}tv";
        $real_name = "${1}xvOES";
    } elsif ($name =~ /(.*)f$/) {
        $fake_name = "${1}t";
        $real_name = "${1}xOES";
    } elsif ($name =~ /(.*)fOES$/) {
        $fake_name = "${1}t";
        $real_name = "${1}xOES";
    } else {
        $fake_name = "${name}t";
        $real_name = "${name}xOES";
    }

    if ($common) {
        $real_name = $name;
    }

    print "#define ${fake_name}(${arg_names}) \\\n";
    print "        ${real_name}(${arg_names})\n";
    print "\n";
}
