/*
** Copyright (c) 2008 The Khronos Group Inc.
** 
** All Rights Reserved.  This code is protected by copyright laws and 
** contains material proprietary to the Khronos Group, Inc.  This is 
** UNPUBLISHED PROPRIETARY SOURCE CODE that may not be disclosed in whole 
** or in part to third parties, and may not be reproduced, republished, 
** distributed, transmitted, displayed, broadcast or otherwise exploited 
** in any manner without the express prior written permission of Khronos 
** Group.
** 
** The receipt or possession of this code does not convey any rights to 
** reproduce, disclose, or distribute its contents, or to manufacture, 
** use, or sell anything that it may describe, in whole or in part other 
** than under the terms of the Khronos Adopters Agreement or Khronos 
** Conformance Test Source License Agreement as executed between Khronos 
** and the recipient.
** 
** For the avoidance of doubt, this code when provided: a) under the 
** Khronos Conformance Test Source License Agreement is for the sole 
** purpose of creating conformance tests for delivery to Khronos and does 
** not provide for formally testing products or use of Khronos trademarks 
** on conformant products; b) under the Khronos Adopters Agreement is for 
** the sole purpose of formally administering tests to products pursuant 
** to the Khronos Conformance Process Document.
** 
** Khronos, OpenKODE, OpenVG, OpenWF, glFX, OpenMAX and OpenSL ES are 
** trademarks of the Khronos Group Inc.  COLLADA is a trademark of Sony 
** Computer Entertainment Inc. used by permission by Khronos.  OpenGL and 
** OpenML are registered trademarks and the OpenGL ES logo is a trademark 
** of Silicon Graphics Inc. used by permission by Khronos. 
** 
** Use, duplication or disclosure by the Government is subject to 
** restrictions as set forth in subdivision (c)(1)(ii) of the Rights in 
** Technical Data and Computer Software clause at DFARS 252.227-7013, and/
** or in similar or successor clauses in the FAR, DOD or NASA FAR 
** Supplement. Unpublished rights reserved under the Copyright Laws of 
** the United States and other countries.
*/

/*
** Copyright 1999-2005, Silicon Graphics, Inc.
** All Rights Reserved.
**
** This is UNPUBLISHED PROPRIETARY SOURCE CODE of Silicon Graphics, Inc.;
** the contents of this file may not be disclosed to third parties, copied or
** duplicated in any form, in whole or in part, without the prior written
** permission of Silicon Graphics, Inc.
**
** RESTRICTED RIGHTS LEGEND:
** Use, duplication or disclosure by the Government is subject to restrictions
** as set forth in subdivision (c)(1)(ii) of the Rights in Technical Data
** and Computer Software clause at DFARS 252.227-7013, and/or in similar or
** successor clauses in the FAR, DOD or NASA FAR Supplement. Unpublished -
** rights reserved under the Copyright Laws of the United States.
**
** $Header: /home/cvs/OpenGL-ES/1.0/ogles/conform/conform/conform/tests.c,v 1.14 2005/06/03 08:11:59 artlab Exp $
*/

#include "conform.h"
#include "path.h"
#include "tproto.h"
#include "driver.h"

#ifndef SPLIT_TESTS
#   include "defines.h"
#endif

driverRec driver[] = {

    /*
    ** Required.
    */
#ifdef TEST_mustpass
    {
    "Must Pass", "mustpass.c", 0,
	MustPassExec,
	COLOR_NONE,
	PATH_NONE
    },
#endif

    /*
    ** General.
    */

#ifdef TEST_divzero
    {
	"Divide By Zero", "divzero.c", 1,
	DivZeroExec,
	COLOR_NONE,
	PATH_ALIAS|PATH_ALPHA|PATH_BLEND|PATH_DEPTH|PATH_DITHER|PATH_FOG|
	PATH_LOGICOP|PATH_SHADE|PATH_STENCIL
    },
#endif
#ifdef TEST_vpclamp
    {
	"Viewport Clamp", "vpclamp.c", 2,
	ViewportClampExec,
	COLOR_NONE,
	PATH_ALIAS|PATH_ALPHA|PATH_BLEND|PATH_DEPTH|PATH_DITHER|PATH_FOG|
	PATH_LOGICOP|PATH_SHADE|PATH_STENCIL
    },
#endif
#ifdef TEST_mquery
#ifdef GL_OES_query_matrix
    {
	"Matrix Query", "mquery.c", 61,
	MatrixQueryExec,
	COLOR_NONE,
	PATH_ALPHA|PATH_BLEND|PATH_DEPTH|PATH_DITHER|PATH_FOG|PATH_LOGICOP|
        PATH_SHADE|PATH_STENCIL
    },
#endif
#endif
#ifdef TEST_xformmix
    {
	"Matrix Stack Mixing", "xformmix.c", 4,
	XFormMixExec,
	COLOR_AUTO,
	PATH_ALPHA|PATH_BLEND|PATH_DEPTH|PATH_FOG|PATH_LOGICOP|PATH_SHADE|
	PATH_STENCIL
    },
#endif
#ifdef TEST_vorder
    {
	"Vertex Order", "vorder.c", 5,
	VertexOrderExec,
	COLOR_AUTO,
	PATH_ALPHA|PATH_BLEND|PATH_DEPTH|PATH_FOG|PATH_LOGICOP|PATH_SHADE|
	PATH_STENCIL
    },
#endif

    /*
    ** Transform.
    */
#ifdef TEST_xform
    {
	"Transformations", "xform.c", 6,
	XFormExec,
	COLOR_AUTO,
	PATH_ALPHA|PATH_BLEND|PATH_DEPTH|PATH_FOG|PATH_LOGICOP|PATH_SHADE|
	PATH_STENCIL
    },
#endif
#ifdef TEST_xformvp
    {
	"Viewport Transformation", "xformvp.c", 8,
	XFormViewportExec,
	COLOR_AUTO,
	PATH_ALPHA|PATH_BLEND|PATH_DEPTH|PATH_FOG|PATH_LOGICOP|PATH_SHADE|
	PATH_STENCIL
    },
#endif

#ifdef TEST_xformw
    {
	"Transform Homogenous Coordinates", "xformw.c", 63,
	XFormHomogenousExec,
	COLOR_AUTO,
	PATH_ALPHA|PATH_BLEND|PATH_DEPTH|PATH_FOG|PATH_LOGICOP|PATH_SHADE|
	PATH_STENCIL
    },
#endif

    /*
    ** Buffer.
    */
#ifdef TEST_bclear
    {
	"Buffer Clear", "bclear.c", 9,
	BClearExec,
	COLOR_NONE,
	PATH_ALIAS|PATH_ALPHA|PATH_BLEND|PATH_DEPTH|PATH_DITHER|PATH_FOG|
	PATH_LOGICOP|PATH_SHADE|PATH_STENCIL
    },
#endif
#ifdef TEST_bcorner
    {
	"Buffer Corners", "bcorner.c", 10,
	BCornerExec,
	COLOR_AUTO,
	PATH_ALPHA|PATH_BLEND|PATH_DEPTH|PATH_FOG|PATH_LOGICOP|PATH_SHADE|
	PATH_STENCIL
    },
#endif
#ifdef TEST_bcolor
    {
	"Buffer Color", "bcolor.c", 11,
	BColorExec,
	COLOR_NONE,
	PATH_ALPHA|PATH_BLEND|PATH_DEPTH|PATH_FOG|PATH_LOGICOP|PATH_SHADE|
	PATH_STENCIL
    },
#endif
#ifdef TEST_clip
    {
	"Clip", "clip.c", 64,
	ClipExec,
	COLOR_NONE,
	PATH_ALPHA|PATH_BLEND|PATH_DEPTH|PATH_FOG|PATH_LOGICOP|PATH_SHADE|
	PATH_STENCIL
    },
#endif
#ifdef TEST_colramp
    {
	"Color Ramp", "colramp.c", 12,
	ColRampExec,
	COLOR_FULL,
	PATH_ALPHA|PATH_BLEND|PATH_DEPTH|PATH_FOG|PATH_LOGICOP|PATH_SHADE|
	PATH_STENCIL
    },
#endif
#ifdef TEST_mask
    {
	"Mask", "mask.c", 13,
	MaskExec,
	COLOR_NONE,
	PATH_ALPHA|PATH_BLEND|PATH_DEPTH|PATH_FOG|PATH_LOGICOP|PATH_SHADE|
	PATH_STENCIL
    },
#endif

    /*
    ** Per-pixel.
    */
#ifdef TEST_scissor
    {
	"Scissor", "scissor.c", 14,
	ScissorExec,
	COLOR_AUTO,
	PATH_ALPHA|PATH_BLEND|PATH_DEPTH|PATH_FOG|PATH_LOGICOP|PATH_SHADE|
	PATH_STENCIL
    },
#endif
#ifdef TEST_apfunc
    {
	"Alpha Plane Function", "apfunc.c", 15,
	APFuncExec,
	COLOR_FULL,
	PATH_BLEND|PATH_DEPTH|PATH_FOG|PATH_LOGICOP|PATH_SHADE|PATH_STENCIL
    },
#endif
#ifdef TEST_spclear
    {
	"Stencil Plane Clear", "spclear.c", 16,
	SPClearExec,
	COLOR_NONE,
	PATH_ALIAS|PATH_ALPHA|PATH_BLEND|PATH_DEPTH|PATH_FOG|PATH_LOGICOP|
	PATH_SHADE
    },
#endif
#ifdef TEST_spcorner
    {
	"Stencil Plane Corners", "spcorner.c", 17,
	SPCornerExec,
	COLOR_AUTO,
	PATH_ALPHA|PATH_BLEND|PATH_DEPTH|PATH_FOG|PATH_LOGICOP|PATH_SHADE
    },
#endif
#ifdef TEST_spop
    {
	"Stencil Plane Operation", "spop.c", 18,
	SPOpExec,
	COLOR_AUTO,
	PATH_ALIAS|PATH_ALPHA|PATH_BLEND|PATH_DEPTH|PATH_FOG|PATH_LOGICOP|
	PATH_SHADE
    },
#endif
#ifdef TEST_spfunc
    {
	"Stencil Plane Function", "spfunc.c", 19,
	SPFuncExec,
	COLOR_AUTO,
	PATH_ALPHA|PATH_BLEND|PATH_DEPTH|PATH_FOG|PATH_LOGICOP|PATH_SHADE
    },
#endif
#ifdef TEST_zbclear
    {
	"Depth Buffer Clear", "zbclear.c", 20,
	ZBClearExec,
	COLOR_NONE,
	PATH_ALIAS|PATH_ALPHA|PATH_BLEND|PATH_FOG|PATH_LOGICOP|PATH_SHADE|
	PATH_STENCIL
    },
#endif
#ifdef TEST_zbfunc
    {
	"Depth Buffer Function", "zbfunc.c", 21,
	ZBFuncExec,
	COLOR_AUTO,
	PATH_ALPHA|PATH_BLEND|PATH_FOG|PATH_LOGICOP|PATH_SHADE|PATH_STENCIL
    },
#endif
#ifdef TEST_dither
    {
	"Dither", "dither.c", 23,
	DitherExec,
	COLOR_MIN,
	PATH_ALIAS|PATH_ALPHA|PATH_BLEND|PATH_DEPTH|PATH_DITHER|PATH_FOG|
	PATH_LOGICOP|PATH_SHADE|PATH_STENCIL
    },
#endif
#ifdef TEST_logicop
    {
	"LogicOp Function", "logicop.c", 24,
	LogicOpExec,
	COLOR_FULL,
	PATH_ALPHA|PATH_BLEND|PATH_DEPTH|PATH_FOG|PATH_SHADE|PATH_STENCIL
    },
#endif

    /*
    ** Primitive.
    */
#ifdef TEST_pntaa
    {
	"Anti-aliased Point", "pntaa.c", 26,
	PointAntiAliasExec,
	COLOR_FULL,
	PATH_DEPTH|PATH_FOG|PATH_SHADE|PATH_STENCIL
    },
#endif
#ifdef TEST_pntrast
    {
	"Point Rasterization", "pntrast.c", 25,
	PointRasterExec,
	COLOR_AUTO,
	PATH_ALPHA|PATH_BLEND|PATH_DEPTH|PATH_FOG|PATH_LOGICOP|PATH_SHADE|
	PATH_STENCIL
    },
#endif
#ifdef TEST_linehv
    {
	"Horizontal and Vertical Line", "linehv.c", 29,
	LineHVExec,
	COLOR_AUTO,
	PATH_ALPHA|PATH_BLEND|PATH_DEPTH|PATH_FOG|PATH_LOGICOP|PATH_SHADE|
	PATH_STENCIL
    },
#endif
#ifdef TEST_linerast
    {
	"Line Rasterization", "linerast.c", 27,
	LineRasterExec,
	COLOR_AUTO,
	PATH_ALPHA|PATH_BLEND|PATH_DEPTH|PATH_FOG|PATH_LOGICOP|PATH_SHADE|
	PATH_STENCIL
    },
#endif
#if 0 /* Bad test */
#ifdef TEST_lineaa
    {
	"Anti-aliased Line", "lineaa.c", 28,
	LineAntiAliasExec,
	COLOR_FULL,
	PATH_DEPTH|PATH_FOG|PATH_LOGICOP|PATH_SHADE|PATH_STENCIL
    },
#endif
#endif
#ifdef TEST_trirast
    {
	"Triangle Rasterization", "trirast.c", 30,
	TriRasterExec,
	COLOR_AUTO,
	PATH_ALPHA|PATH_BLEND|PATH_DEPTH|PATH_FOG|PATH_LOGICOP|PATH_SHADE|
	PATH_STENCIL
    },
#endif
#ifdef TEST_tritile
    {
	"Triangle Tile", "tritile.c", 31,
	TriTileExec,
	COLOR_FULL,
	PATH_ALPHA|PATH_DEPTH|PATH_FOG|PATH_LOGICOP|PATH_SHADE|PATH_STENCIL
    },
#endif
#ifdef TEST_polycull
    {
	"Polygon Cull", "polycull.c", 32,
	PolyCullExec,
	COLOR_AUTO,
	PATH_ALPHA|PATH_BLEND|PATH_DEPTH|PATH_FOG|PATH_LOGICOP|PATH_SHADE|
	PATH_STENCIL
    },
#endif

    /*
    ** Lighting.
    */
#ifdef TEST_l_al
    {
	"Ambient Light", "l_al.c", 33,
	AmbLightExec,
	COLOR_FULL,
	PATH_ALPHA|PATH_BLEND|PATH_DEPTH|PATH_LOGICOP|PATH_STENCIL
    },
#endif
#ifdef TEST_l_am
    {
	"Ambient Material", "l_am.c", 34,
	AmbMatExec,
	COLOR_FULL,
	PATH_ALPHA|PATH_BLEND|PATH_DEPTH|PATH_LOGICOP|PATH_STENCIL
    },
#endif
#ifdef TEST_l_as
    {
	"Ambient Scene", "l_as.c", 35,
	AmbSceneExec,
	COLOR_FULL,
	PATH_ALPHA|PATH_BLEND|PATH_DEPTH|PATH_LOGICOP|PATH_STENCIL
    },
#endif
#ifdef TEST_l_ac
    {
	"Attenuation Constants", "l_ac.c", 36,
	AtnConstExec,
	COLOR_FULL,
	PATH_ALPHA|PATH_BLEND|PATH_DEPTH|PATH_LOGICOP|PATH_STENCIL
    },
#endif
#ifdef TEST_l_ap
    {
	"Attenuation Position", "l_ap.c", 37,
	AtnPosExec,
	COLOR_FULL,
	PATH_ALPHA|PATH_BLEND|PATH_DEPTH|PATH_LOGICOP|PATH_STENCIL
    },
#endif
#ifdef TEST_l_dl
    {
	"Diffuse Light", "l_dl.c", 38,
	DifLightExec,
	COLOR_FULL,
	PATH_ALPHA|PATH_BLEND|PATH_DEPTH|PATH_LOGICOP|PATH_STENCIL
    },
#endif
#ifdef TEST_l_dm
    {
	"Diffuse Material", "l_dm.c", 39,
	DifMatExec,
	COLOR_FULL,
	PATH_ALPHA|PATH_BLEND|PATH_DEPTH|PATH_LOGICOP|PATH_STENCIL
    },
#endif
#ifdef TEST_l_dmn
    {
	"Diffuse Material Normal", "l_dmn.c", 40,
	DifMatNormExec,
	COLOR_FULL,
	PATH_ALPHA|PATH_BLEND|PATH_DEPTH|PATH_LOGICOP|PATH_STENCIL
    },
#endif
#ifdef TEST_l_dmp
    {
	"Diffuse Material Positioning", "l_dmp.c", 41,
	DifMatPosExec,
	COLOR_FULL,
	PATH_ALPHA|PATH_BLEND|PATH_DEPTH|PATH_LOGICOP|PATH_STENCIL
    },
#endif
#ifdef TEST_l_em
    {
	"Emissive Material", "l_em.c", 42,
	EmitMatExec,
	COLOR_FULL,
	PATH_ALPHA|PATH_BLEND|PATH_DEPTH|PATH_LOGICOP|PATH_STENCIL
    },
#endif
#ifdef TEST_l_se
    {
	"Specular Exponent", "l_se.c", 43,
	SpecExpExec,
	COLOR_FULL,
	PATH_ALPHA|PATH_BLEND|PATH_DEPTH|PATH_LOGICOP|PATH_STENCIL
    },
#endif
#ifdef TEST_l_sen
    {
	"Specular Exponent Normal", "l_sen.c", 44,
	SpecExpNormExec,
	COLOR_FULL,
	PATH_ALPHA|PATH_BLEND|PATH_DEPTH|PATH_LOGICOP|PATH_STENCIL
    },
#endif
#ifdef TEST_l_sl
    {
	"Specular Light", "l_sl.c", 45,
	SpecLightExec,
	COLOR_FULL,
	PATH_ALPHA|PATH_BLEND|PATH_DEPTH|PATH_LOGICOP|PATH_STENCIL
    },
#endif
#ifdef TEST_l_sm
    {
	"Specular Material", "l_sm.c", 46,
	SpecMatExec,
	COLOR_FULL,
	PATH_ALPHA|PATH_BLEND|PATH_DEPTH|PATH_LOGICOP|PATH_STENCIL
    },
#endif
#ifdef TEST_l_sn
    {
	"Specular Normal", "l_sn.c", 47,
	SpecNormExec,
	COLOR_FULL,
	PATH_ALPHA|PATH_BLEND|PATH_DEPTH|PATH_LOGICOP|PATH_STENCIL
    },
#endif
#ifdef TEST_l_sp
    {
	"Spot Positioning", "l_sp.c", 48,
	SpotPosExec,
	COLOR_FULL,
	PATH_ALPHA|PATH_BLEND|PATH_DEPTH|PATH_LOGICOP|PATH_STENCIL
    },
#endif
#ifdef TEST_blend
    {
	"Blend", "blend.c", 22,
	BlendExec,
	COLOR_FULL,
	PATH_ALPHA|PATH_DEPTH|PATH_FOG|PATH_SHADE|PATH_STENCIL
    },
#endif

    /*
    ** Fog.
    */
#ifdef TEST_foglin
    {
	"Fog Linear", "foglin.c", 52,
	FogLinExec,
	COLOR_FULL,
	PATH_ALPHA|PATH_BLEND|PATH_DEPTH|PATH_LOGICOP|PATH_STENCIL
    },
#endif

    /*
    ** Texture.
    */
#ifdef TEST_texdecal
    {
	"Texture Decal", "texdecal.c", 53,
	TexDecalExec,
	COLOR_FULL,
	PATH_ALPHA|PATH_BLEND|PATH_DEPTH|PATH_FOG|PATH_LOGICOP|PATH_SHADE|
	PATH_STENCIL
    },
#endif
#ifdef TEST_texedge
    {
	"Texture Edge Clamp", "texedge.c", 57,
	TextureEdgeClampExec,
	COLOR_FULL,
	PATH_ALPHA|PATH_BLEND|PATH_DEPTH|PATH_FOG|PATH_LOGICOP|PATH_SHADE|
	PATH_STENCIL
    },
#endif
#ifdef TEST_texpalet
    {
	"Compressed Paletted Texture", "texpalet.c", 62,
	TexPaletExec,
	COLOR_FULL,
	PATH_ALPHA|PATH_BLEND|PATH_DEPTH|PATH_FOG|PATH_LOGICOP|PATH_SHADE|
	PATH_STENCIL
    },
#endif
#ifdef TEST_mipsel
    {
	"Mipmaps Selection", "mipsel.c", 54,
	MipSelectExec,
	COLOR_FULL,
	PATH_ALPHA|PATH_BLEND|PATH_DEPTH|PATH_FOG|PATH_LOGICOP|PATH_SHADE|
	PATH_STENCIL
    },
#endif
#ifdef TEST_miplin
    {
	"Mipmaps Interpolation", "miplin.c", 56,
	MipLinExec,
	COLOR_FULL,
	PATH_ALPHA|PATH_BLEND|PATH_DEPTH|PATH_FOG|PATH_LOGICOP|PATH_SHADE|
	PATH_STENCIL
    },
#endif
#ifdef TEST_packpix
    {
	"Packed Pixels", "packpix.c", 58,
	PackedPixelsExec,
	COLOR_FULL,
	PATH_ALPHA|PATH_BLEND|PATH_DEPTH|PATH_FOG|PATH_LOGICOP|PATH_SHADE|
	PATH_STENCIL
    },
#endif
#ifdef TEST_multitex
    {
	"MultiTexture", "multitex.c", 60,
	MultiTexExec,
	COLOR_FULL,
	PATH_ALPHA|PATH_BLEND|PATH_DEPTH|PATH_FOG|PATH_LOGICOP|PATH_SHADE|
	PATH_STENCIL
    },
#endif
#ifdef TEST_copytex
    {
	"Copy Texture", "copytex.c", 66,
	CopyTexExec,
	COLOR_NONE,
	PATH_ALPHA|PATH_BLEND|PATH_DEPTH|PATH_FOG|PATH_LOGICOP|PATH_SHADE|
	PATH_STENCIL
    },
#endif
#ifdef TEST_readfmt
    {
	"Read Format", "readfmt.c", 65,
	ReadFormatExec,
	COLOR_FULL,
	PATH_ALPHA|PATH_BLEND|PATH_DEPTH|PATH_FOG|PATH_LOGICOP|PATH_SHADE|
	PATH_STENCIL
    },
#endif

/* Slow tests near the end */
#ifdef TEST_mstack
    {
	"Matrix Stack", "mstack.c", 3,
	MatrixStackExec,
	COLOR_MIN,
	PATH_ALIAS|PATH_ALPHA|PATH_BLEND|PATH_DEPTH|PATH_FOG|PATH_LOGICOP|
	PATH_SHADE|PATH_STENCIL
    },
#endif
#ifdef TEST_xformn
    {
	"Transformation Normal", "xformn.c", 7,
	XFormNormalExec,
	COLOR_FULL,
	PATH_ALPHA|PATH_BLEND|PATH_DEPTH|PATH_LOGICOP|PATH_STENCIL
    },
#endif
#ifdef TEST_fogexp
    {
	"Fog Exponential", "fogexp.c", 51,
	FogExpExec,
	COLOR_FULL,
	PATH_ALPHA|PATH_BLEND|PATH_DEPTH|PATH_LOGICOP|PATH_STENCIL
    },
#endif
#ifdef TEST_rescalen
    {
	"Rescale Normal", "rescalen.c", 59,
	RescaleNormalExec,
	COLOR_FULL,
	PATH_ALPHA|PATH_BLEND|PATH_DEPTH|PATH_LOGICOP|PATH_STENCIL
    },
#endif
#ifdef TEST_l_sed
    {
	"Spot Exponent and Direction", "l_sed.c", 50,
	SpotExpDirExec,
	COLOR_FULL,
	PATH_ALPHA|PATH_BLEND|PATH_DEPTH|PATH_LOGICOP|PATH_STENCIL
    },
#endif
#ifdef TEST_l_sep
    {
	"Spot Exponent and Positioning", "l_sep.c", 49,
	SpotExpPosExec,
	COLOR_FULL,
	PATH_ALPHA|PATH_BLEND|PATH_DEPTH|PATH_LOGICOP|PATH_STENCIL
    },
#endif

#ifdef GL_OES_VERSION_1_1
#ifdef TEST_gets
    {
	"Gets", "gets.c", 70,
	GetsExec,
	COLOR_NONE,
	PATH_NONE
    },
#endif
#ifdef TEST_texcombine
    {
	"Texture Combine", "texcombine.c", 71,
	TexCombineExec,
	COLOR_NONE,
	PATH_NONE
    },
#endif
#ifdef TEST_userclip
    {
	"User Clip Plane", "userclip.c", 72,
	UserClipExec,
	COLOR_AUTO,
	PATH_ALPHA|PATH_BLEND|PATH_DEPTH|PATH_FOG|PATH_LOGICOP|PATH_SHADE|
	PATH_STENCIL
    },
#endif
#ifdef TEST_bufobjs
    {
	"Buffer Objects", "bufobj.c", 74,
	BufferObjectExec,
	COLOR_AUTO,
	PATH_ALPHA|PATH_BLEND|PATH_DEPTH|PATH_FOG|PATH_LOGICOP|PATH_SHADE|
	PATH_STENCIL
    },
#endif
#ifdef TEST_mget
    {
		"Matrix Get", "mget.c", 75,
        MatrixGetTestExec,
        COLOR_NONE,
        PATH_ALPHA|PATH_BLEND|PATH_DEPTH|PATH_FOG|PATH_LOGICOP|PATH_SHADE|
        PATH_STENCIL
    },
#endif
#ifdef TEST_pntsizearray
    {
	"Point Size Array", "pntszary.c", 68,
	PointSizeArrayExec,
	COLOR_AUTO,
	PATH_ALPHA|PATH_BLEND|PATH_DEPTH|PATH_FOG|PATH_LOGICOP|PATH_SHADE|
	PATH_STENCIL
    },
#endif
#ifdef TEST_pntsprite
    {
	"Point Sprite", "pntsprt.c", 69,
	PointSpriteExec,
	COLOR_AUTO,
	PATH_ALPHA|PATH_BLEND|PATH_DEPTH|PATH_FOG|PATH_LOGICOP|PATH_SHADE|
	PATH_STENCIL
    },
#endif
#ifdef TEST_mip
    {
    "Automatic mipmap generation", "mipgen.c", 0,
    MipExec,
    COLOR_NONE,
    PATH_NONE
    },
#endif
#endif /* GL_OES_VERSION_1_1 */

#if 0
#ifdef GL_OES_matrix_palette
#ifdef TEST_mpalette
    {
	"Matrix Palette", "mpalette.c", 73,
	MatrixPaletteExec,
	COLOR_AUTO,
	PATH_ALPHA|PATH_BLEND|PATH_DEPTH|PATH_FOG|PATH_LOGICOP|PATH_SHADE|
	PATH_STENCIL
    },
#endif
#endif
#endif 

#ifdef GL_OES_draw_texture
#ifdef TEST_drawtex
    {
	"Draw Texture", "drawtex.c", 67,
	DrawTexExec,
	COLOR_NONE,
	PATH_ALPHA|PATH_BLEND|PATH_DEPTH|PATH_FOG|PATH_LOGICOP|PATH_SHADE|
	PATH_STENCIL
    },
#endif
#endif

#ifdef TEST_miplevels
    {
	"Mipmap Levels", "miplevels.c", 55,
	MipLevelsExec,
	COLOR_NONE,
	PATH_ALPHA|PATH_BLEND|PATH_DEPTH|PATH_FOG|PATH_LOGICOP|PATH_SHADE|
	PATH_STENCIL
    },
#endif

    {
	"End of List"
    }
};
