/*
** Copyright (c) 2008 The Khronos Group Inc.
** 
** All Rights Reserved.  This code is protected by copyright laws and 
** contains material proprietary to the Khronos Group, Inc.  This is 
** UNPUBLISHED PROPRIETARY SOURCE CODE that may not be disclosed in whole 
** or in part to third parties, and may not be reproduced, republished, 
** distributed, transmitted, displayed, broadcast or otherwise exploited 
** in any manner without the express prior written permission of Khronos 
** Group.
** 
** The receipt or possession of this code does not convey any rights to 
** reproduce, disclose, or distribute its contents, or to manufacture, 
** use, or sell anything that it may describe, in whole or in part other 
** than under the terms of the Khronos Adopters Agreement or Khronos 
** Conformance Test Source License Agreement as executed between Khronos 
** and the recipient.
** 
** For the avoidance of doubt, this code when provided: a) under the 
** Khronos Conformance Test Source License Agreement is for the sole 
** purpose of creating conformance tests for delivery to Khronos and does 
** not provide for formally testing products or use of Khronos trademarks 
** on conformant products; b) under the Khronos Adopters Agreement is for 
** the sole purpose of formally administering tests to products pursuant 
** to the Khronos Conformance Process Document.
** 
** Khronos, OpenKODE, OpenVG, OpenWF, glFX, OpenMAX and OpenSL ES are 
** trademarks of the Khronos Group Inc.  COLLADA is a trademark of Sony 
** Computer Entertainment Inc. used by permission by Khronos.  OpenGL and 
** OpenML are registered trademarks and the OpenGL ES logo is a trademark 
** of Silicon Graphics Inc. used by permission by Khronos. 
** 
** Use, duplication or disclosure by the Government is subject to 
** restrictions as set forth in subdivision (c)(1)(ii) of the Rights in 
** Technical Data and Computer Software clause at DFARS 252.227-7013, and/
** or in similar or successor clauses in the FAR, DOD or NASA FAR 
** Supplement. Unpublished rights reserved under the Copyright Laws of 
** the United States and other countries.
*/

/*
** Copyright 1999-2005, Silicon Graphics, Inc.
** All Rights Reserved.
**
** This is UNPUBLISHED PROPRIETARY SOURCE CODE of Silicon Graphics, Inc.;
** the contents of this file may not be disclosed to third parties, copied or
** duplicated in any form, in whole or in part, without the prior written
** permission of Silicon Graphics, Inc.
**
** RESTRICTED RIGHTS LEGEND:
** Use, duplication or disclosure by the Government is subject to restrictions
** as set forth in subdivision (c)(1)(ii) of the Rights in Technical Data
** and Computer Software clause at DFARS 252.227-7013, and/or in similar or
** successor clauses in the FAR, DOD or NASA FAR Supplement. Unpublished -
** rights reserved under the Copyright Laws of the United States.
**
** $Header: /home/cvs/OpenGL-ES/1.0/ogles/conform/conform/conformshell/conform.h,v 1.3 2005/05/11 15:21:42 artlab Exp $
*/

#include <ctk/ctk.h>


#define WINDSIZEX 48
#define WINDSIZEY 48

#if !defined(GL_OES_VERSION_1_1) && defined(GL_VERSION_ES_CM_1_1) && defined(GL_VERSION_ES_CL_1_1)
#   if GL_VERSION_ES_CM_1_1 || GL_VERSION_ES_CL_1_1
#       define GL_OES_VERSION_1_1
#   endif
#endif

#define GL_NULL 101001          /* secret enum. */
#define GL_AUTO_COLOR 101002    /* secret enum. */

enum {
    BLACK = 0,
    RED,
    GREEN,
    BLUE
};

#define COLOR_OFF 0     /* should be black. */
#define COLOR_ON 1      /* should be red. */

#ifdef NO_ERROR
#undef NO_ERROR
#endif

#ifdef ERROR
#undef ERROR
#endif

#define NO_ERROR 0
#define ERROR -1
#define NOT_SUPPORTED -2    /* test not supported by this config */


typedef struct _applRecRec {
    char title[80], name[80], version[80], type[80];
} applRec;

typedef struct _machineRec {
    unsigned int randSeed;
    long pathLevel, verboseLevel, stateCheckFlag, failMode;
    long logFile;
    FILEHANDLE logFileHandle;
    char logFileName[80];
} machineRec;

typedef struct _bufferRec {
    GLint configID;
    GLboolean canUse;
    GLint colorBits[4], zBits, stencilBits;
    GLftype minRGB[3], maxRGB[3];
    GLint minRGBBit, maxRGBBit, maxRGBComponent;
} bufferRec;

typedef struct _epsilonRec {
    GLftype color[4];
    GLftype zero;
} epsilonRec;


extern const applRec appl;
extern machineRec machine;
extern bufferRec buffer;
extern epsilonRec epsilon;
extern const GLftype colorMap[][3];
