/*
** Copyright (c) 2008 The Khronos Group Inc.
** 
** All Rights Reserved.  This code is protected by copyright laws and 
** contains material proprietary to the Khronos Group, Inc.  This is 
** UNPUBLISHED PROPRIETARY SOURCE CODE that may not be disclosed in whole 
** or in part to third parties, and may not be reproduced, republished, 
** distributed, transmitted, displayed, broadcast or otherwise exploited 
** in any manner without the express prior written permission of Khronos 
** Group.
** 
** The receipt or possession of this code does not convey any rights to 
** reproduce, disclose, or distribute its contents, or to manufacture, 
** use, or sell anything that it may describe, in whole or in part other 
** than under the terms of the Khronos Adopters Agreement or Khronos 
** Conformance Test Source License Agreement as executed between Khronos 
** and the recipient.
** 
** For the avoidance of doubt, this code when provided: a) under the 
** Khronos Conformance Test Source License Agreement is for the sole 
** purpose of creating conformance tests for delivery to Khronos and does 
** not provide for formally testing products or use of Khronos trademarks 
** on conformant products; b) under the Khronos Adopters Agreement is for 
** the sole purpose of formally administering tests to products pursuant 
** to the Khronos Conformance Process Document.
** 
** Khronos, OpenKODE, OpenVG, OpenWF, glFX, OpenMAX and OpenSL ES are 
** trademarks of the Khronos Group Inc.  COLLADA is a trademark of Sony 
** Computer Entertainment Inc. used by permission by Khronos.  OpenGL and 
** OpenML are registered trademarks and the OpenGL ES logo is a trademark 
** of Silicon Graphics Inc. used by permission by Khronos. 
** 
** Use, duplication or disclosure by the Government is subject to 
** restrictions as set forth in subdivision (c)(1)(ii) of the Rights in 
** Technical Data and Computer Software clause at DFARS 252.227-7013, and/
** or in similar or successor clauses in the FAR, DOD or NASA FAR 
** Supplement. Unpublished rights reserved under the Copyright Laws of 
** the United States and other countries.
*/

/*
** Copyright 1999-2005, Silicon Graphics, Inc.
** All Rights Reserved.
**
** This is UNPUBLISHED PROPRIETARY SOURCE CODE of Silicon Graphics, Inc.;
** the contents of this file may not be disclosed to third parties, copied or
** duplicated in any form, in whole or in part, without the prior written
** permission of Silicon Graphics, Inc.
**
** RESTRICTED RIGHTS LEGEND:
** Use, duplication or disclosure by the Government is subject to restrictions
** as set forth in subdivision (c)(1)(ii) of the Rights in Technical Data
** and Computer Software clause at DFARS 252.227-7013, and/or in similar or
** successor clauses in the FAR, DOD or NASA FAR Supplement. Unpublished -
** rights reserved under the Copyright Laws of the United States.
**
** $Header: /home/cvs/OpenGL-ES/1.0/ogles/conform/conform/conformshell/pathdata.c,v 1.3 2005/05/11 15:21:42 artlab Exp $
*/

#include "conform.h"
#include "pathdata.h"


/*****************************************************************************/

aliasPathCustomRec const aliasPath0 = {
    PATHTEST_DEFAULT
};

aliasPathCustomRec const aliasPath1 = {
    PATHTEST_GARBAGE
};

aliasPathCustomRec const aliasPath2 = {
    PATHTEST_CUSTOM,
    PATHDATA_ENABLE
};

/*****************************************************************************/

alphaPathCustomRec const alphaPath0 = {
    PATHTEST_DEFAULT
};

alphaPathCustomRec const alphaPath1 = {
    PATHTEST_GARBAGE
};

alphaPathCustomRec const alphaPath2 = {
    PATHTEST_CUSTOM,
    PATHDATA_ENABLE,
    GL_GEQUAL,
    ITOF(0)
};

/*****************************************************************************/

blendPathCustomRec const blendPath0 = {
    PATHTEST_DEFAULT
};

blendPathCustomRec const blendPath1 = {
    PATHTEST_GARBAGE
};

blendPathCustomRec const blendPath2 = {
    PATHTEST_CUSTOM,
    PATHDATA_ENABLE,
    GL_ONE, GL_ZERO
};

/*****************************************************************************/

depthPathCustomRec const depthPath0 = {
    PATHTEST_DEFAULT
};

depthPathCustomRec const depthPath1 = {
    PATHTEST_GARBAGE
};

depthPathCustomRec const depthPath2 = {
    PATHTEST_CUSTOM,
    PATHDATA_ENABLE,
    ITOF(0),
    ITOF(0), ITOF(1),
    GL_ALWAYS
};

/*****************************************************************************/

ditherPathCustomRec const ditherPath0 = {
    PATHTEST_DEFAULT
};

ditherPathCustomRec const ditherPath1 = {
    PATHTEST_GARBAGE
};

ditherPathCustomRec const ditherPath2 = {
    PATHTEST_CUSTOM,
    PATHDATA_DISABLE
};

/*****************************************************************************/

fogPathCustomRec const fogPath0 = {
    PATHTEST_DEFAULT
};

fogPathCustomRec const fogPath1 = {
    PATHTEST_GARBAGE
};

fogPathCustomRec const fogPath2 = {
    PATHTEST_DEFAULT,
    PATHDATA_ENABLE,
    {ITOF(1), ITOF(1), ITOF(1), ITOF(1)},
    ITOF(0),
    ITOF(0),
    ITOF(0), ITOF(1),
    GL_EXP2
};

/*****************************************************************************/

logicOpPathCustomRec const logicOpPath0 = {
    PATHTEST_DEFAULT
};

logicOpPathCustomRec const logicOpPath1 = {
    PATHTEST_GARBAGE
};

logicOpPathCustomRec const logicOpPath2 = {
    PATHTEST_CUSTOM,
    PATHDATA_ENABLE,
    GL_COPY
};

/*****************************************************************************/

shadePathCustomRec const shadePath0 = {
    PATHTEST_DEFAULT
};

shadePathCustomRec const shadePath1 = {
    PATHTEST_GARBAGE
};

shadePathCustomRec const shadePath2 = {
    PATHTEST_CUSTOM,
    GL_FLAT
};

shadePathCustomRec const shadePath3 = {
    PATHTEST_CUSTOM,
    GL_SMOOTH
};

/*****************************************************************************/

stencilPathCustomRec const stencilPath0 = {
    PATHTEST_DEFAULT
};

stencilPathCustomRec const stencilPath1 = {
    PATHTEST_GARBAGE
};

stencilPathCustomRec const stencilPath2 = {
    PATHTEST_CUSTOM,
    PATHDATA_ENABLE,
    0,
    0xFF,
    GL_GEQUAL, 1, 0,
    GL_KEEP, GL_KEEP, GL_KEEP
};

/*****************************************************************************/
