/*
** Copyright (c) 2008 The Khronos Group Inc.
** 
** All Rights Reserved.  This code is protected by copyright laws and 
** contains material proprietary to the Khronos Group, Inc.  This is 
** UNPUBLISHED PROPRIETARY SOURCE CODE that may not be disclosed in whole 
** or in part to third parties, and may not be reproduced, republished, 
** distributed, transmitted, displayed, broadcast or otherwise exploited 
** in any manner without the express prior written permission of Khronos 
** Group.
** 
** The receipt or possession of this code does not convey any rights to 
** reproduce, disclose, or distribute its contents, or to manufacture, 
** use, or sell anything that it may describe, in whole or in part other 
** than under the terms of the Khronos Adopters Agreement or Khronos 
** Conformance Test Source License Agreement as executed between Khronos 
** and the recipient.
** 
** For the avoidance of doubt, this code when provided: a) under the 
** Khronos Conformance Test Source License Agreement is for the sole 
** purpose of creating conformance tests for delivery to Khronos and does 
** not provide for formally testing products or use of Khronos trademarks 
** on conformant products; b) under the Khronos Adopters Agreement is for 
** the sole purpose of formally administering tests to products pursuant 
** to the Khronos Conformance Process Document.
** 
** Khronos, OpenKODE, OpenVG, OpenWF, glFX, OpenMAX and OpenSL ES are 
** trademarks of the Khronos Group Inc.  COLLADA is a trademark of Sony 
** Computer Entertainment Inc. used by permission by Khronos.  OpenGL and 
** OpenML are registered trademarks and the OpenGL ES logo is a trademark 
** of Silicon Graphics Inc. used by permission by Khronos. 
** 
** Use, duplication or disclosure by the Government is subject to 
** restrictions as set forth in subdivision (c)(1)(ii) of the Rights in 
** Technical Data and Computer Software clause at DFARS 252.227-7013, and/
** or in similar or successor clauses in the FAR, DOD or NASA FAR 
** Supplement. Unpublished rights reserved under the Copyright Laws of 
** the United States and other countries.
*/

/*
** Copyright 1999-2005, Silicon Graphics, Inc.
** All Rights Reserved.
**
** This is UNPUBLISHED PROPRIETARY SOURCE CODE of Silicon Graphics, Inc.;
** the contents of this file may not be disclosed to third parties, copied or
** duplicated in any form, in whole or in part, without the prior written
** permission of Silicon Graphics, Inc.
**
** RESTRICTED RIGHTS LEGEND:
** Use, duplication or disclosure by the Government is subject to restrictions
** as set forth in subdivision (c)(1)(ii) of the Rights in Technical Data
** and Computer Software clause at DFARS 252.227-7013, and/or in similar or
** successor clauses in the FAR, DOD or NASA FAR Supplement. Unpublished -
** rights reserved under the Copyright Laws of the United States.
**
** $Header: /home/cvs/OpenGL-ES/1.0/ogles/conform/conform/covegl/native_w32.c,v 1.3 2005/05/11 15:21:43 artlab Exp $
*/

#include "native.h"

static HDC hdc;
static HWND hwnd;

HDC nativeCreateDisplay(void)
{
    return hdc = GetDC(NULL);
}

void nativeDestroyDisplay(HDC hdc)
{
    ReleaseDC(NULL, hdc);
}

HWND nativeCreateWindow(const char *title, int width, int height, EGLint visualId)
{
    WNDCLASS wndclass;
    RECT WinRect;
    HANDLE hInstance;
#if defined(_WIN32_WCE)
    wchar_t wtitle[512];

    mbstowcs(wtitle, title, strlen(title) + 1);
#endif

    hInstance = GetModuleHandle(NULL);
    wndclass.style          = CS_HREDRAW | CS_VREDRAW | 
#if defined(_WIN32_WCE)
        0;          //  CS_OWNDC is not applicable for WinCE
#else
        CS_OWNDC; // Redraw On Size, And Own DC For Windows.
#endif
    wndclass.lpfnWndProc    = (WNDPROC)DefWindowProc;
    wndclass.cbClsExtra     = 0;
    wndclass.cbWndExtra     = 0;
    wndclass.hInstance      = hInstance;
#if defined(_WIN32_WCE)
    wndclass.hIcon          = NULL;
#else
    wndclass.hIcon          = LoadIcon(NULL, IDI_APPLICATION);
#endif
    wndclass.hCursor        = LoadCursor(NULL, IDC_ARROW);
    wndclass.hbrBackground  = GetStockObject(WHITE_BRUSH);
    wndclass.lpszMenuName   = NULL;
    wndclass.lpszClassName  = TEXT("coveglLibWClass");

    RegisterClass(&wndclass);

    /* Make window large enough to hold a client area as large as wind */
    WinRect.left   = 0;
    WinRect.top    = 0;
    WinRect.right  = WinRect.left + width;
    WinRect.bottom = WinRect.top + height;

#if defined(_WIN32_WCE)
    AdjustWindowRectEx(&WinRect, WS_OVERLAPPED, FALSE, 0);
#else
    AdjustWindowRect(&WinRect, WS_OVERLAPPEDWINDOW, FALSE);
#endif

    hwnd = CreateWindowEx(
                WS_EX_TOPMOST,
                wndclass.lpszClassName,
#if defined(_WIN32_WCE)
                wtitle,
                WS_OVERLAPPED |                     // Defined Window Style
#else
                title,
                WS_OVERLAPPEDWINDOW |               // Defined Window Style
#endif
                WS_CLIPCHILDREN | WS_CLIPSIBLINGS,
                CW_USEDEFAULT,
                CW_USEDEFAULT,
                WinRect.right  - WinRect.left,
                WinRect.bottom - WinRect.top,
                NULL,
                NULL,
                hInstance,
                NULL);
     if (!hwnd) return 0;

#if defined(_WIN32_WCE)
    ShowWindow(hwnd, SW_SHOW);
#else
    ShowWindow(hwnd, SW_SHOWDEFAULT);
#endif
    return hwnd;
}

void nativeDestroyWindow(HWND hwnd)
{
    DestroyWindow(hwnd);
}

HWND nativeCreatePixmap(int width, int height, EGLint visualId)
{
#if 0
    XVisualInfo template_;
    int nVisuals;

    template_.visualid = visualId;
    template_.screen = screen;
    visual = XGetVisualInfo(display, VisualIDMask | VisualScreenMask,
	&template_, &nVisuals);

    return XCreatePixmap(display, RootWindow(display, screen), width, height, visual->depth);
#else
    return 0;
#endif
}

void nativeDestroyPixmap(HWND pixmap)
{
#if 0
    XFreePixmap(display, pixmap);
#endif
}
