/*
** Copyright (c) 2008 The Khronos Group Inc.
** 
** All Rights Reserved.  This code is protected by copyright laws and 
** contains material proprietary to the Khronos Group, Inc.  This is 
** UNPUBLISHED PROPRIETARY SOURCE CODE that may not be disclosed in whole 
** or in part to third parties, and may not be reproduced, republished, 
** distributed, transmitted, displayed, broadcast or otherwise exploited 
** in any manner without the express prior written permission of Khronos 
** Group.
** 
** The receipt or possession of this code does not convey any rights to 
** reproduce, disclose, or distribute its contents, or to manufacture, 
** use, or sell anything that it may describe, in whole or in part other 
** than under the terms of the Khronos Adopters Agreement or Khronos 
** Conformance Test Source License Agreement as executed between Khronos 
** and the recipient.
** 
** For the avoidance of doubt, this code when provided: a) under the 
** Khronos Conformance Test Source License Agreement is for the sole 
** purpose of creating conformance tests for delivery to Khronos and does 
** not provide for formally testing products or use of Khronos trademarks 
** on conformant products; b) under the Khronos Adopters Agreement is for 
** the sole purpose of formally administering tests to products pursuant 
** to the Khronos Conformance Process Document.
** 
** Khronos, OpenKODE, OpenVG, OpenWF, glFX, OpenMAX and OpenSL ES are 
** trademarks of the Khronos Group Inc.  COLLADA is a trademark of Sony 
** Computer Entertainment Inc. used by permission by Khronos.  OpenGL and 
** OpenML are registered trademarks and the OpenGL ES logo is a trademark 
** of Silicon Graphics Inc. used by permission by Khronos. 
** 
** Use, duplication or disclosure by the Government is subject to 
** restrictions as set forth in subdivision (c)(1)(ii) of the Rights in 
** Technical Data and Computer Software clause at DFARS 252.227-7013, and/
** or in similar or successor clauses in the FAR, DOD or NASA FAR 
** Supplement. Unpublished rights reserved under the Copyright Laws of 
** the United States and other countries.
*/

/*
** Copyright 1999-2005, Silicon Graphics, Inc.
** All Rights Reserved.
**
** This is UNPUBLISHED PROPRIETARY SOURCE CODE of Silicon Graphics, Inc.;
** the contents of this file may not be disclosed to third parties, copied or
** duplicated in any form, in whole or in part, without the prior written
** permission of Silicon Graphics, Inc.
**
** RESTRICTED RIGHTS LEGEND:
** Use, duplication or disclosure by the Government is subject to restrictions
** as set forth in subdivision (c)(1)(ii) of the Rights in Technical Data
** and Computer Software clause at DFARS 252.227-7013, and/or in similar or
** successor clauses in the FAR, DOD or NASA FAR Supplement. Unpublished -
** rights reserved under the Copyright Laws of the United States.
**
** $Header: /home/cvs/OpenGL-ES/1.0/ogles/conform/conform/covgl/b.c,v 1.6 2005/07/08 09:14:03 artlab Exp $
*/

#include "shell.h"

#ifdef GL_OES_VERSION_1_1
void CallBindDeleteBuffer(void)
{
    long i;

    GLuint buf;
    Output(1, "BindBuffer\n");
    Output(1, "DeleteBuffer\n");

    buf = 2;

    for( i = 0; enum_BufferObjectTargets[i].value != -1; i++)
    {
        Output(1, "\t%s\n", enum_BufferObjectTargets[i].name); 
        glBindBuffer(enum_BufferObjectTargets[i].value, buf);
        ProbeEnum();
        glDeleteBuffers(1, &buf);
    }
    Output(1, "\n");
}
#endif /* GL_OES_VERSION_1_1 */

void CallBindDeleteTexture(void)
{
    GLuint buf[2];

    Output(1, "BindTexture, ");
    Output(1, "DeleteTexture\n");

    buf[0] = 2;

    Output(1, "\tGL_TEXTURE_2D\n");
    glBindTexture(GL_TEXTURE_2D, buf[0]);

    glBindTexture(GL_TEXTURE_2D, 0);

    glDeleteTextures(1, buf);

    ProbeEnum();
    Output(1, "\n");
}

void CallBlendFunc(void)
{
    long i, j;

    Output(1, "glBlendFunc\n");
    for (i = 0; enum_BlendingFactorSrc[i].value != -1; i++) {
	for (j = 0; enum_BlendingFactorDest[j].value != -1; j++) {
	    Output(1, "\t%s, %s\n", enum_BlendingFactorSrc[i].name, enum_BlendingFactorDest[j].name);
	    glBlendFunc(enum_BlendingFactorSrc[i].value, enum_BlendingFactorDest[j].value);
	    ProbeEnum();
	}
    }
    Output(1, "\n");
}

#ifdef GL_OES_VERSION_1_1
void CallBufferData(void)
{
    long i, j;

    GLuint buf = 2;
    static const GLftype dummyData[] = {ITOF(1), ITOF(2), ITOF(3)};

    Output(1, "glBufferData\n");

    glGenBuffers(1, &buf);
    for( i = 0; enum_BufferObjectTargets[i].value != -1; i++)
    {
        for( j = 0; enum_BufferObjectUsages[j].value != -1; j++)
        {
            glBindBuffer(enum_BufferObjectTargets[i].value, buf);
            Output(1, "\t%s, %s\n", enum_BufferObjectTargets[i].name, enum_BufferObjectUsages[j].name); 
            glBufferData(enum_BufferObjectTargets[i].value, 3, dummyData, enum_BufferObjectUsages[j].value);
            ProbeEnum();
        }
    }   
    glDeleteBuffers(1, &buf);
    Output(1, "\n");
}
#endif /* GL_OES_VERSION_1_1 */

#ifdef GL_OES_VERSION_1_1
void CallBufferSubData(void)
{
    long i, j;

    GLuint buf = 2;
    static const GLftype dummyData[] = {ITOF(1), ITOF(2), ITOF(3)};

    Output(1, "glBufferSubData\n");

    glGenBuffers(1, &buf);
    for( i = 0; enum_BufferObjectTargets[i].value != -1; i++)
    {
        for( j = 0; enum_BufferObjectUsages[j].value != -1; j++)
        {
            glBindBuffer(enum_BufferObjectTargets[i].value, buf);
            Output(1, "\t%s, %s\n", enum_BufferObjectTargets[i].name, enum_BufferObjectUsages[j].name); 
            glBufferData(enum_BufferObjectTargets[i].value, 3, dummyData, enum_BufferObjectUsages[j].value);
            glBufferSubData(enum_BufferObjectTargets[i].value, 0, 3, dummyData);
            ProbeEnum();
        }
    }   
    glDeleteBuffers(1, &buf);
    Output(1, "\n");
}
#endif /* GL_OES_VERSION_1_1 */
