/*
** Copyright (c) 2008 The Khronos Group Inc.
** 
** All Rights Reserved.  This code is protected by copyright laws and 
** contains material proprietary to the Khronos Group, Inc.  This is 
** UNPUBLISHED PROPRIETARY SOURCE CODE that may not be disclosed in whole 
** or in part to third parties, and may not be reproduced, republished, 
** distributed, transmitted, displayed, broadcast or otherwise exploited 
** in any manner without the express prior written permission of Khronos 
** Group.
** 
** The receipt or possession of this code does not convey any rights to 
** reproduce, disclose, or distribute its contents, or to manufacture, 
** use, or sell anything that it may describe, in whole or in part other 
** than under the terms of the Khronos Adopters Agreement or Khronos 
** Conformance Test Source License Agreement as executed between Khronos 
** and the recipient.
** 
** For the avoidance of doubt, this code when provided: a) under the 
** Khronos Conformance Test Source License Agreement is for the sole 
** purpose of creating conformance tests for delivery to Khronos and does 
** not provide for formally testing products or use of Khronos trademarks 
** on conformant products; b) under the Khronos Adopters Agreement is for 
** the sole purpose of formally administering tests to products pursuant 
** to the Khronos Conformance Process Document.
** 
** Khronos, OpenKODE, OpenVG, OpenWF, glFX, OpenMAX and OpenSL ES are 
** trademarks of the Khronos Group Inc.  COLLADA is a trademark of Sony 
** Computer Entertainment Inc. used by permission by Khronos.  OpenGL and 
** OpenML are registered trademarks and the OpenGL ES logo is a trademark 
** of Silicon Graphics Inc. used by permission by Khronos. 
** 
** Use, duplication or disclosure by the Government is subject to 
** restrictions as set forth in subdivision (c)(1)(ii) of the Rights in 
** Technical Data and Computer Software clause at DFARS 252.227-7013, and/
** or in similar or successor clauses in the FAR, DOD or NASA FAR 
** Supplement. Unpublished rights reserved under the Copyright Laws of 
** the United States and other countries.
*/

/*
** Copyright 1999-2005, Silicon Graphics, Inc.
** All Rights Reserved.
**
** This is UNPUBLISHED PROPRIETARY SOURCE CODE of Silicon Graphics, Inc.;
** the contents of this file may not be disclosed to third parties, copied or
** duplicated in any form, in whole or in part, without the prior written
** permission of Silicon Graphics, Inc.
**
** RESTRICTED RIGHTS LEGEND:
** Use, duplication or disclosure by the Government is subject to restrictions
** as set forth in subdivision (c)(1)(ii) of the Rights in Technical Data
** and Computer Software clause at DFARS 252.227-7013, and/or in similar or
** successor clauses in the FAR, DOD or NASA FAR Supplement. Unpublished -
** rights reserved under the Copyright Laws of the United States.
**
** $Header: /home/cvs/OpenGL-ES/1.0/ogles/conform/conform/covgl/d.c,v 1.3 2005/05/11 15:21:44 artlab Exp $
*/

#include "shell.h"


void CallDepthFunc(void)
{
    long i;

    Output(1, "glDepthFunc\n");
    for (i = 0; enum_DepthFunction[i].value != -1; i++) {
	Output(1, "\t%s\n", enum_DepthFunction[i].name);
	glDepthFunc(enum_DepthFunction[i].value);
	ProbeEnum();
    }
    Output(1, "\n");
}

void CallDepthMask(void)
{

    Output(1, "glDepthMask\n");
    glDepthMask(0);
    Output(1, "\n");
}

void CallDepthRange(void)
{

    Output(1, "glDepthRangex\n");
    glDepthRangex(0, FIXED_ONE);
#ifdef COMMON
    Output(1, "glDepthRangef\n");
    glDepthRangef(0.0, 1.0);
#endif
    Output(1, "\n");
}

void CallDrawArrays(void)
{
    int i;

    Output(1, "glDrawArrays\n");
    for (i = 0; enum_BeginMode[i].value != -1; i++) {
        Output(1, "\t%s\n", enum_BeginMode[i].name);
        glDrawArrays(enum_BeginMode[i].value, 0, 1); 
        ProbeEnum();
    }
    Output(1, "\n");
}

void CallDrawElements(void)
{
    int i;

    Output(1, "glDrawElements\n");
    for (i = 0; enum_BeginMode[i].value != -1; i++) {
        Output(1, "\t%s\n", enum_BeginMode[i].name);

        {
            GLubyte indices[1];
            indices[0] = 0;
            glDrawElements(enum_BeginMode[i].value, 1,
                GL_UNSIGNED_BYTE, indices);
        }
        ProbeEnum();
        {
            GLushort indices[1];
            indices[0] = 0;
            glDrawElements(enum_BeginMode[i].value, 1,
                GL_UNSIGNED_SHORT, indices);
        }
        ProbeEnum();
    }
    Output(1, "\n");
}

#ifdef GL_OES_draw_texture
void CallDrawTex(void)
{

    Output(1, "glDrawTexsOES\n");
    Output(1, "glDrawTexsvOES\n");
    {
        GLshort buf[5] = {0,0,0,1,1};        
        glDrawTexsOES(buf[0], buf[1], buf[2], buf[3], buf[4]);
        glDrawTexsvOES(buf);
        
    }
    Output(1, "glDrawTexiOES\n");
    Output(1, "glDrawTexivOES\n");
    {
        GLint buf[5] = {0,0,0,1,1};
        glDrawTexiOES(buf[0], buf[1], buf[2], buf[3], buf[4]);
        glDrawTexivOES(buf);
    }
#ifdef COMMON
    Output(1, "glDrawTexfOES\n");
    Output(1, "glDrawTexfvOES\n");
    {
        GLfloat buf[5] = {0,0,0,1,1};
        glDrawTexfOES(buf[0], buf[1], buf[2], buf[3], buf[4]);
        glDrawTexfvOES(buf);
    }
#endif
    Output(1, "glDrawTexxOES\n");
    Output(1, "glDrawTexxvOES\n");
    {
        GLfixed buf[5] = {0,0,0,FIXED_ONE, FIXED_ONE};
        glDrawTexxOES(buf[0], buf[1], buf[2], buf[3], buf[4]);
        glDrawTexxvOES(buf);
    }

    Output(1, "\n");
}
#endif /* GL_OES_draw_texture */


