/*
** Copyright (c) 2008 The Khronos Group Inc.
** 
** All Rights Reserved.  This code is protected by copyright laws and 
** contains material proprietary to the Khronos Group, Inc.  This is 
** UNPUBLISHED PROPRIETARY SOURCE CODE that may not be disclosed in whole 
** or in part to third parties, and may not be reproduced, republished, 
** distributed, transmitted, displayed, broadcast or otherwise exploited 
** in any manner without the express prior written permission of Khronos 
** Group.
** 
** The receipt or possession of this code does not convey any rights to 
** reproduce, disclose, or distribute its contents, or to manufacture, 
** use, or sell anything that it may describe, in whole or in part other 
** than under the terms of the Khronos Adopters Agreement or Khronos 
** Conformance Test Source License Agreement as executed between Khronos 
** and the recipient.
** 
** For the avoidance of doubt, this code when provided: a) under the 
** Khronos Conformance Test Source License Agreement is for the sole 
** purpose of creating conformance tests for delivery to Khronos and does 
** not provide for formally testing products or use of Khronos trademarks 
** on conformant products; b) under the Khronos Adopters Agreement is for 
** the sole purpose of formally administering tests to products pursuant 
** to the Khronos Conformance Process Document.
** 
** Khronos, OpenKODE, OpenVG, OpenWF, glFX, OpenMAX and OpenSL ES are 
** trademarks of the Khronos Group Inc.  COLLADA is a trademark of Sony 
** Computer Entertainment Inc. used by permission by Khronos.  OpenGL and 
** OpenML are registered trademarks and the OpenGL ES logo is a trademark 
** of Silicon Graphics Inc. used by permission by Khronos. 
** 
** Use, duplication or disclosure by the Government is subject to 
** restrictions as set forth in subdivision (c)(1)(ii) of the Rights in 
** Technical Data and Computer Software clause at DFARS 252.227-7013, and/
** or in similar or successor clauses in the FAR, DOD or NASA FAR 
** Supplement. Unpublished rights reserved under the Copyright Laws of 
** the United States and other countries.
*/

/*
** Copyright 1999-2005, Silicon Graphics, Inc.
** All Rights Reserved.
**
** This is UNPUBLISHED PROPRIETARY SOURCE CODE of Silicon Graphics, Inc.;
** the contents of this file may not be disclosed to third parties, copied or
** duplicated in any form, in whole or in part, without the prior written
** permission of Silicon Graphics, Inc.
**
** RESTRICTED RIGHTS LEGEND:
** Use, duplication or disclosure by the Government is subject to restrictions
** as set forth in subdivision (c)(1)(ii) of the Rights in Technical Data
** and Computer Software clause at DFARS 252.227-7013, and/or in similar or
** successor clauses in the FAR, DOD or NASA FAR Supplement. Unpublished -
** rights reserved under the Copyright Laws of the United States.
**
** $Header: /home/cvs/OpenGL-ES/1.0/ogles/conform/conform/covgl/data.c,v 1.12 2005/05/11 15:21:44 artlab Exp $
*/

#include "shell.h"


enumCheckRec const enum_Check[] = {
    {
	"GL_ADD", GL_ADD, 260
    },
    {
        "GL_ALIASED_LINE_WIDTH_RANGE", GL_ALIASED_LINE_WIDTH_RANGE, 33902
    },
    {
        "GL_ALIASED_POINT_SIZE_RANGE", GL_ALIASED_POINT_SIZE_RANGE, 33901
    },
    {
	"GL_ALPHA", GL_ALPHA, 6406
    },
    {
	"GL_ALPHA_BITS", GL_ALPHA_BITS, 3413
    },
    {
	"GL_ALPHA_TEST", GL_ALPHA_TEST, 3008
    },
    {
	"GL_ALWAYS", GL_ALWAYS, 519
    },
    {
	"GL_AMBIENT", GL_AMBIENT, 4608
    },
    {
	"GL_AMBIENT_AND_DIFFUSE", GL_AMBIENT_AND_DIFFUSE, 5634
    },
    {
	"GL_AND", GL_AND, 5377
    },
    {
	"GL_AND_INVERTED", GL_AND_INVERTED, 5380
    },
    {
	"GL_AND_REVERSE", GL_AND_REVERSE, 5378
    },
#if defined(GL_OES_VERSION_1_1)
    {
        "GL_ARRAY_BUFFER", GL_ARRAY_BUFFER, 34962,
    },
#endif
    {
	"GL_BACK", GL_BACK, 1029
    },
    {
	"GL_BLEND", GL_BLEND, 3042
    },
    {
	"GL_BLUE_BITS", GL_BLUE_BITS, 3412
    },
    {
	"GL_BYTE", GL_BYTE, 5120
    },
    {
	"GL_CCW", GL_CCW, 2305
    },
    {
        "GL_CLAMP_TO_EDGE", GL_CLAMP_TO_EDGE, 33071
    },
    {
	"GL_CLEAR", GL_CLEAR, 5376
    },
    {
        "GL_COLOR_ARRAY", GL_COLOR_ARRAY, 32886
    },
    {
	"GL_COLOR_BUFFER_BIT", GL_COLOR_BUFFER_BIT, 16384
    },
    {
        "GL_COLOR_LOGIC_OP", GL_COLOR_LOGIC_OP, 3058
    },
    {
	"GL_COLOR_MATERIAL", GL_COLOR_MATERIAL, 2903
    },
    {
	"GL_COMPRESSED_TEXTURE_FORMATS", GL_COMPRESSED_TEXTURE_FORMATS, 34467
    },
    {
	"GL_CONSTANT_ATTENUATION", GL_CONSTANT_ATTENUATION, 4615
    },
    {
	"GL_COPY", GL_COPY, 5379
    },
    {
	"GL_COPY_INVERTED", GL_COPY_INVERTED, 5388
    },
    {
	"GL_CULL_FACE", GL_CULL_FACE, 2884
    },
    {
	"GL_CW", GL_CW, 2304
    },
    {
	"GL_DECAL", GL_DECAL, 8449
    },
    {
	"GL_DECR", GL_DECR, 7683
    },
    {
	"GL_DEPTH_BITS", GL_DEPTH_BITS, 3414
    },
    {
	"GL_DEPTH_BUFFER_BIT", GL_DEPTH_BUFFER_BIT, 256
    },
    {
	"GL_DEPTH_TEST", GL_DEPTH_TEST, 2929
    },
    {
	"GL_DIFFUSE", GL_DIFFUSE, 4609
    },
    {
	"GL_DITHER", GL_DITHER, 3024
    },
    {
	"GL_DONT_CARE", GL_DONT_CARE, 4352
    },
    {
	"GL_DST_ALPHA", GL_DST_ALPHA, 772
    },
    {
	"GL_DST_COLOR", GL_DST_COLOR, 774
    },
#if defined(GL_OES_VERSION_1_1)
    {
        "GL_DYNAMIC_DRAW", GL_DYNAMIC_DRAW, 35048
    },
    {
        "GL_ELEMENT_ARRAY_BUFFER", GL_ELEMENT_ARRAY_BUFFER, 34963
    },
#endif
    {
	"GL_EMISSION", GL_EMISSION, 5632
    },
    {
	"GL_EQUAL", GL_EQUAL, 514
    },
    {
	"GL_EQUIV", GL_EQUIV, 5385
    },
    {
	"GL_EXP", GL_EXP, 2048
    },
    {
	"GL_EXP2", GL_EXP2, 2049
    },
    {
	"GL_EXTENSIONS", GL_EXTENSIONS, 7939
    },
    {
	"GL_FALSE", GL_FALSE, 0
    },
    {
	"GL_FASTEST", GL_FASTEST, 4353
    },
    {
	"GL_FIXED", GL_FIXED, 5132
    },
    {
	"GL_FLAT", GL_FLAT, 7424
    },
#ifdef COMMON
    {
	"GL_FLOAT", GL_FLOAT, 5126
    },
#endif
    {
	"GL_FOG", GL_FOG, 2912
    },
    {
	"GL_FOG_COLOR", GL_FOG_COLOR, 2918
    },
    {
	"GL_FOG_DENSITY", GL_FOG_DENSITY, 2914
    },
    {
	"GL_FOG_END", GL_FOG_END, 2916
    },
    {
	"GL_FOG_HINT", GL_FOG_HINT, 3156
    },
    {
	"GL_FOG_MODE", GL_FOG_MODE, 2917
    },
    {
	"GL_FOG_START", GL_FOG_START, 2915
    },
    {
	"GL_FRONT", GL_FRONT, 1028
    },
    {
	"GL_FRONT_AND_BACK", GL_FRONT_AND_BACK, 1032
    },
    {
	"GL_GEQUAL", GL_GEQUAL, 518
    },
    {
	"GL_GREATER", GL_GREATER, 516
    },
    {
	"GL_GREEN_BITS", GL_GREEN_BITS, 3411
    },
#ifdef GL_OES_read_format
    {
	"GL_IMPLEMENTATION_COLOR_READ_FORMAT_OES", GL_IMPLEMENTATION_COLOR_READ_FORMAT_OES, 35739
    },
    {
	"GL_IMPLEMENTATION_COLOR_READ_TYPE_OES", GL_IMPLEMENTATION_COLOR_READ_TYPE_OES, 35738
    },
#endif
    {
	"GL_INCR", GL_INCR, 7682
    },
    {
	"GL_INVALID_ENUM", GL_INVALID_ENUM, 1280
    },
    {
	"GL_INVALID_OPERATION", GL_INVALID_OPERATION, 1282
    },
    {
	"GL_INVALID_VALUE", GL_INVALID_VALUE, 1281
    },
    {
	"GL_INVERT", GL_INVERT, 5386
    },
    {
	"GL_KEEP", GL_KEEP, 7680
    },
    {
	"GL_LEQUAL", GL_LEQUAL, 515
    },
    {
	"GL_LESS", GL_LESS, 513
    },
    {
	"GL_LIGHT0", GL_LIGHT0, 16384
    },
    {
	"GL_LIGHT1", GL_LIGHT1, 16385
    },
    {
	"GL_LIGHT2", GL_LIGHT2, 16386
    },
    {
	"GL_LIGHT3", GL_LIGHT3, 16387
    },
    {
	"GL_LIGHT4", GL_LIGHT4, 16388
    },
    {
	"GL_LIGHT5", GL_LIGHT5, 16389
    },
    {
	"GL_LIGHT6", GL_LIGHT6, 16390
    },
    {
	"GL_LIGHT7", GL_LIGHT7, 16391
    },
    {
	"GL_LIGHTING", GL_LIGHTING, 2896
    },
    {
	"GL_LIGHT_MODEL_AMBIENT", GL_LIGHT_MODEL_AMBIENT, 2899
    },
    {
	"GL_LIGHT_MODEL_TWO_SIDE", GL_LIGHT_MODEL_TWO_SIDE, 2898
    },
    {
	"GL_LINEAR", GL_LINEAR, 9729
    },
    {
	"GL_LINEAR_ATTENUATION", GL_LINEAR_ATTENUATION, 4616
    },
    {
	"GL_LINEAR_MIPMAP_LINEAR", GL_LINEAR_MIPMAP_LINEAR, 9987
    },
    {
	"GL_LINEAR_MIPMAP_NEAREST", GL_LINEAR_MIPMAP_NEAREST, 9985
    },
    {
	"GL_LINES", GL_LINES, 1
    },
    {
	"GL_LINE_LOOP", GL_LINE_LOOP, 2
    },
    {
	"GL_LINE_SMOOTH", GL_LINE_SMOOTH, 2848
    },
    {
	"GL_LINE_SMOOTH_HINT", GL_LINE_SMOOTH_HINT, 3154
    },
    {
	"GL_LINE_STRIP", GL_LINE_STRIP, 3
    },
    {
	"GL_LUMINANCE", GL_LUMINANCE, 6409
    },
    {
	"GL_LUMINANCE_ALPHA", GL_LUMINANCE_ALPHA, 6410
    },
    {
	"GL_MAX_LIGHTS", GL_MAX_LIGHTS, 3377
    },
    {
	"GL_MAX_MODELVIEW_STACK_DEPTH", GL_MAX_MODELVIEW_STACK_DEPTH, 3382
    },
    {
	"GL_MAX_PROJECTION_STACK_DEPTH", GL_MAX_PROJECTION_STACK_DEPTH, 3384
    },
    {
	"GL_MAX_TEXTURE_SIZE", GL_MAX_TEXTURE_SIZE, 3379
    },
    {
	"GL_MAX_TEXTURE_STACK_DEPTH", GL_MAX_TEXTURE_STACK_DEPTH, 3385
    },
    {
        "GL_MAX_TEXTURE_UNITS", GL_MAX_TEXTURE_UNITS, 34018
    },
    {
	"GL_MAX_VIEWPORT_DIMS", GL_MAX_VIEWPORT_DIMS, 3386
    },
    {
	"GL_MODELVIEW", GL_MODELVIEW, 5888
    },
    {
	"GL_MODULATE", GL_MODULATE, 8448
    },
    {
	"GL_NAND", GL_NAND, 5390
    },
    {
	"GL_NEAREST", GL_NEAREST, 9728
    },
    {
	"GL_NEAREST_MIPMAP_LINEAR", GL_NEAREST_MIPMAP_LINEAR, 9986
    },
    {
	"GL_NEAREST_MIPMAP_NEAREST", GL_NEAREST_MIPMAP_NEAREST, 9984
    },
    {
	"GL_NEVER", GL_NEVER, 512
    },
    {
	"GL_NICEST", GL_NICEST, 4354
    },
    {
	"GL_NOOP", GL_NOOP, 5381
    },
    {
	"GL_NOR", GL_NOR, 5384
    },
    {
	"GL_NORMALIZE", GL_NORMALIZE, 2977
    },
    {
        "GL_NORMAL_ARRAY", GL_NORMAL_ARRAY, 32885
    },
    {
	"GL_NOTEQUAL", GL_NOTEQUAL, 517
    },
    {
	"GL_NO_ERROR", GL_NO_ERROR, 0
    },
    {
	"GL_NUM_COMPRESSED_TEXTURE_FORMATS", GL_NUM_COMPRESSED_TEXTURE_FORMATS, 34466
    },
    {
	"GL_ONE", GL_ONE, 1
    },
    {
	"GL_ONE_MINUS_DST_ALPHA", GL_ONE_MINUS_DST_ALPHA, 773
    },
    {
	"GL_ONE_MINUS_DST_COLOR", GL_ONE_MINUS_DST_COLOR, 775
    },
    {
	"GL_ONE_MINUS_SRC_ALPHA", GL_ONE_MINUS_SRC_ALPHA, 771
    },
    {
	"GL_ONE_MINUS_SRC_COLOR", GL_ONE_MINUS_SRC_COLOR, 769
    },
    {
	"GL_OR", GL_OR, 5383
    },
    {
	"GL_OR_INVERTED", GL_OR_INVERTED, 5389
    },
    {
	"GL_OR_REVERSE", GL_OR_REVERSE, 5387
    },
    {
	"GL_OUT_OF_MEMORY", GL_OUT_OF_MEMORY, 1285
    },
    {
	"GL_PACK_ALIGNMENT", GL_PACK_ALIGNMENT, 3333
    },
#ifdef GL_OES_compressed_paletted_texture
    {
	"GL_PALETTE4_R5_G6_B5_OES", GL_PALETTE4_R5_G6_B5_OES, 35730
    },
    {
	"GL_PALETTE4_RGB8_OES", GL_PALETTE4_RGB8_OES, 35728
    },
    {
	"GL_PALETTE4_RGBA4_OES", GL_PALETTE4_RGBA4_OES, 35731
    },
    {
	"GL_PALETTE4_RGB5_A1_OES", GL_PALETTE4_RGB5_A1_OES, 35732
    },
    {
	"GL_PALETTE4_RGBA8_OES", GL_PALETTE4_RGBA8_OES, 35729
    },
    {
	"GL_PALETTE8_R5_G6_B5_OES", GL_PALETTE8_R5_G6_B5_OES, 35735
    },
    {
	"GL_PALETTE8_RGB8_OES", GL_PALETTE8_RGB8_OES, 35733
    },
    {
	"GL_PALETTE8_RGBA4_OES", GL_PALETTE8_RGBA4_OES, 35736
    },
    {
	"GL_PALETTE8_RGB5_A1_OES", GL_PALETTE8_RGB5_A1_OES, 35737
    },
    {
	"GL_PALETTE8_RGBA8_OES", GL_PALETTE8_RGBA8_OES, 35734
    },
#endif /* GL_OES_compressed_paletted_texture */
    {
	"GL_PERSPECTIVE_CORRECTION_HINT", GL_PERSPECTIVE_CORRECTION_HINT, 3152
    },
    {
	"GL_POINTS", GL_POINTS, 0
    },
#if defined(GL_OES_VERSION_1_1)
    {
	"GL_POINT_SIZE_MIN", GL_POINT_SIZE_MIN, 0x8126
    },
    {
	"GL_POINT_SIZE_MAX", GL_POINT_SIZE_MAX, 0x8127
    },
    {
	"GL_POINT_FADE_THRESHOLD_SIZE", GL_POINT_FADE_THRESHOLD_SIZE, 0x8128
    },
    {
	"GL_POINT_DISTANCE_ATTENUATION", GL_POINT_DISTANCE_ATTENUATION, 0x8129
    },
#endif
    {
	"GL_POINT_SMOOTH", GL_POINT_SMOOTH, 2832
    },
    {
	"GL_POINT_SMOOTH_HINT", GL_POINT_SMOOTH_HINT, 3153
    },
    {
	"GL_POSITION", GL_POSITION, 4611
    },
    {
	"GL_PROJECTION", GL_PROJECTION, 5889
    },
    {
	"GL_QUADRATIC_ATTENUATION", GL_QUADRATIC_ATTENUATION, 4617
    },
    {
	"GL_RED_BITS", GL_RED_BITS, 3410
    },
    {
	"GL_RENDERER", GL_RENDERER, 7937
    },
    {
	"GL_REPEAT", GL_REPEAT, 10497
    },
    {
	"GL_REPLACE", GL_REPLACE, 7681
    },
    {
        "GL_RESCALE_NORMAL", GL_RESCALE_NORMAL, 32826
    },
    {
	"GL_RGB", GL_RGB, 6407
    },
    {
	"GL_RGBA", GL_RGBA, 6408
    },
    {
	"GL_SAMPLE_ALPHA_TO_COVERAGE", GL_SAMPLE_ALPHA_TO_COVERAGE, 32926
    },
    {
	"GL_SAMPLE_ALPHA_TO_ONE", GL_SAMPLE_ALPHA_TO_ONE, 32927
    },
    {
	"GL_SAMPLE_COVERAGE", GL_SAMPLE_COVERAGE, 32928
    },
    {
	"GL_SCISSOR_TEST", GL_SCISSOR_TEST, 3089
    },
    {
	"GL_SET", GL_SET, 5391
    },
    {
	"GL_SHININESS", GL_SHININESS, 5633
    },
    {
	"GL_SHORT", GL_SHORT, 5122
    },
    {
	"GL_SMOOTH", GL_SMOOTH, 7425
    },
    {
        "GL_SMOOTH_LINE_WIDTH_RANGE", GL_SMOOTH_LINE_WIDTH_RANGE, 2850
    },
    {
        "GL_SMOOTH_POINT_SIZE_RANGE", GL_SMOOTH_POINT_SIZE_RANGE, 2834
    },
    {
	"GL_SPECULAR", GL_SPECULAR, 4610
    },
    {
	"GL_SPOT_CUTOFF", GL_SPOT_CUTOFF, 4614
    },
    {
	"GL_SPOT_DIRECTION", GL_SPOT_DIRECTION, 4612
    },
    {
	"GL_SPOT_EXPONENT", GL_SPOT_EXPONENT, 4613
    },
    {
	"GL_SRC_ALPHA", GL_SRC_ALPHA, 770
    },
    {
	"GL_SRC_ALPHA_SATURATE", GL_SRC_ALPHA_SATURATE, 776
    },
    {
	"GL_SRC_COLOR", GL_SRC_COLOR, 768
    },
    {
	"GL_STACK_OVERFLOW", GL_STACK_OVERFLOW, 1283
    },
    {
	"GL_STACK_UNDERFLOW", GL_STACK_UNDERFLOW, 1284
    },
#if defined(GL_OES_VERSION_1_1)
    {
        "GL_STATIC_DRAW", GL_STATIC_DRAW, 35044
    },
#endif
    {
	"GL_STENCIL_BITS", GL_STENCIL_BITS, 3415
    },
    {
	"GL_STENCIL_BUFFER_BIT", GL_STENCIL_BUFFER_BIT, 1024
    },
    {
	"GL_STENCIL_TEST", GL_STENCIL_TEST, 2960
    },
    {
	"GL_SUBPIXEL_BITS", GL_SUBPIXEL_BITS, 3408
    },
    {
	"GL_TEXTURE", GL_TEXTURE, 5890
    },
    {
        "GL_TEXTURE0", GL_TEXTURE0, 33984
    },
    {
        "GL_TEXTURE1", GL_TEXTURE1, 33985
    },
    {
        "GL_TEXTURE2", GL_TEXTURE2, 33986
    },
    {
        "GL_TEXTURE3", GL_TEXTURE3, 33987
    },
    {
        "GL_TEXTURE4", GL_TEXTURE4, 33988
    },
    {
        "GL_TEXTURE5", GL_TEXTURE5, 33989
    },
    {
        "GL_TEXTURE6", GL_TEXTURE6, 33990
    },
    {
        "GL_TEXTURE7", GL_TEXTURE7, 33991
    },
    {
        "GL_TEXTURE8", GL_TEXTURE8, 33992
    },
    {
        "GL_TEXTURE9", GL_TEXTURE9, 33993
    },
    {
        "GL_TEXTURE10", GL_TEXTURE10, 33994
    },
    {
        "GL_TEXTURE11", GL_TEXTURE11, 33995
    },
    {
        "GL_TEXTURE12", GL_TEXTURE12, 33996
    },
    {
        "GL_TEXTURE13", GL_TEXTURE13, 33997
    },
    {
        "GL_TEXTURE14", GL_TEXTURE14, 33998
    },
    {
        "GL_TEXTURE15", GL_TEXTURE15, 33999
    },
    {
        "GL_TEXTURE16", GL_TEXTURE16, 34000
    },
    {
        "GL_TEXTURE17", GL_TEXTURE17, 34001
    },
    {
        "GL_TEXTURE18", GL_TEXTURE18, 34002
    },
    {
        "GL_TEXTURE19", GL_TEXTURE19, 34003
    },
    {
        "GL_TEXTURE20", GL_TEXTURE20, 34004
    },
    {
        "GL_TEXTURE21", GL_TEXTURE21, 34005
    },
    {
        "GL_TEXTURE22", GL_TEXTURE22, 34006
    },
    {
        "GL_TEXTURE23", GL_TEXTURE23, 34007
    },
    {
        "GL_TEXTURE24", GL_TEXTURE24, 34008
    },
    {
        "GL_TEXTURE25", GL_TEXTURE25, 34009
    },
    {
        "GL_TEXTURE26", GL_TEXTURE26, 34010
    },
    {
        "GL_TEXTURE27", GL_TEXTURE27, 34011
    },
    {
        "GL_TEXTURE28", GL_TEXTURE28, 34012
    },
    {
        "GL_TEXTURE29", GL_TEXTURE29, 34013
    },
    {
        "GL_TEXTURE30", GL_TEXTURE30, 34014
    },
    {
        "GL_TEXTURE31", GL_TEXTURE31, 34015
    },
    {
	"GL_TEXTURE_2D", GL_TEXTURE_2D, 3553
    },
    {
        "GL_TEXTURE_COORD_ARRAY", GL_TEXTURE_COORD_ARRAY, 32888
    },
    {
	"GL_TEXTURE_ENV", GL_TEXTURE_ENV, 8960
    },
    {
	"GL_TEXTURE_ENV_COLOR", GL_TEXTURE_ENV_COLOR, 8705
    },
    {
	"GL_TEXTURE_ENV_MODE", GL_TEXTURE_ENV_MODE, 8704
    },
    {
	"GL_TEXTURE_MAG_FILTER", GL_TEXTURE_MAG_FILTER, 10240
    },
    {
	"GL_TEXTURE_MIN_FILTER", GL_TEXTURE_MIN_FILTER, 10241
    },
    {
	"GL_TEXTURE_WRAP_S", GL_TEXTURE_WRAP_S, 10242
    },
    {
	"GL_TEXTURE_WRAP_T", GL_TEXTURE_WRAP_T, 10243
    },
    {
	"GL_TRIANGLES", GL_TRIANGLES, 4
    },
    {
	"GL_TRIANGLE_FAN", GL_TRIANGLE_FAN, 6
    },
    {
	"GL_TRIANGLE_STRIP", GL_TRIANGLE_STRIP, 5
    },
    {
	"GL_TRUE", GL_TRUE, 1
    },
    {
	"GL_UNPACK_ALIGNMENT", GL_UNPACK_ALIGNMENT, 3317
    },
    {
	"GL_UNSIGNED_BYTE", GL_UNSIGNED_BYTE, 5121
    },
    {
	"GL_UNSIGNED_SHORT", GL_UNSIGNED_SHORT, 5123
    },
    {
        "GL_UNSIGNED_SHORT_4_4_4_4", GL_UNSIGNED_SHORT_4_4_4_4, 32819
    },
    {
        "GL_UNSIGNED_SHORT_5_5_5_1", GL_UNSIGNED_SHORT_5_5_5_1, 32820
    },
    {
        "GL_UNSIGNED_SHORT_5_6_5", GL_UNSIGNED_SHORT_5_6_5, 33635
    },
    {
	"GL_VENDOR", GL_VENDOR, 7936
    },
    {
	"GL_VERSION", GL_VERSION, 7938
    },
    {
        "GL_VERTEX_ARRAY", GL_VERTEX_ARRAY, 32884
    },
    {
	"GL_XOR", GL_XOR, 5382
    },
    {
	"GL_ZERO", GL_ZERO, 0
    },
#ifdef GL_OES_VERSION_1_1
    {
    "GL_CLIP_PLANE0", GL_CLIP_PLANE0, 12288
    },
    {
    "GL_CLIP_PLANE1", GL_CLIP_PLANE1, 12289
    },
    {
    "GL_CLIP_PLANE2", GL_CLIP_PLANE2, 12290
    },
    {
    "GL_CLIP_PLANE3", GL_CLIP_PLANE3, 12291
    },
    {
    "GL_CLIP_PLANE4", GL_CLIP_PLANE4, 12292
    },
    {
    "GL_CLIP_PLANE5", GL_CLIP_PLANE5, 12293
    },
#endif
#ifdef GL_OES_matrix_palette
    {
    "GL_MAX_VERTEX_UNITS_OES", GL_MAX_VERTEX_UNITS_OES, 0x86A4
    },
    {
    "GL_MAX_PALETTE_MATRICES_OES", GL_MAX_PALETTE_MATRICES_OES, 0x8842
    },
    {
    "GL_MATRIX_PALETTE_OES", GL_MATRIX_PALETTE_OES, 0x8840
    },
    {
    "GL_MATRIX_INDEX_ARRAY_OES", GL_MATRIX_INDEX_ARRAY_OES, 0x8844
    },
    {
    "GL_WEIGHT_ARRAY_OES", GL_WEIGHT_ARRAY_OES, 0x86AD
    },

    {
    "GL_MATRIX_INDEX_ARRAY_SIZE_OES", GL_MATRIX_INDEX_ARRAY_SIZE_OES, 0x8846
    },
    {
    "GL_MATRIX_INDEX_ARRAY_TYPE_OES", GL_MATRIX_INDEX_ARRAY_TYPE_OES, 0x8847
    },
    {
    "GL_MATRIX_INDEX_ARRAY_STRIDE_OES", GL_MATRIX_INDEX_ARRAY_STRIDE_OES, 0x8848
    },
    {
    "GL_MATRIX_INDEX_ARRAY_POINTER_OES", GL_MATRIX_INDEX_ARRAY_POINTER_OES, 0x8849
    },
    {
    "GL_MATRIX_INDEX_ARRAY_BUFFER_BINDING_OES", GL_MATRIX_INDEX_ARRAY_BUFFER_BINDING_OES, 0x8B9E
    },

    {
    "GL_WEIGHT_ARRAY_SIZE_OES", GL_WEIGHT_ARRAY_SIZE_OES, 0x86AB
    },
    {
    "GL_WEIGHT_ARRAY_TYPE_OES", GL_WEIGHT_ARRAY_TYPE_OES, 0x86A9
    },
    {
    "GL_WEIGHT_ARRAY_STRIDE_OES", GL_WEIGHT_ARRAY_STRIDE_OES, 0x86AA
    },
    {
    "GL_WEIGHT_ARRAY_POINTER_OES", GL_WEIGHT_ARRAY_POINTER_OES, 0x86AC
    },
    {
    "GL_WEIGHT_ARRAY_BUFFER_BINDING_OES", GL_WEIGHT_ARRAY_BUFFER_BINDING_OES, 0x889E
    },
#endif
    {
	"End of List", -1, -1
    }
};

#define ENUM(name) \
	{#name, name}

enumTestRec const enum_AlphaFunction[] = {
    ENUM(GL_NEVER),
    ENUM(GL_LESS),
    ENUM(GL_EQUAL),
    ENUM(GL_LEQUAL),
    ENUM(GL_GREATER),
    ENUM(GL_NOTEQUAL),
    ENUM(GL_GEQUAL),
    ENUM(GL_ALWAYS),
    {"End of List", -1}
};

enumTestRec const enum_BlendingFactorDest[] = {
    ENUM(GL_ZERO),
    ENUM(GL_ONE),
    ENUM(GL_SRC_COLOR),
    ENUM(GL_ONE_MINUS_SRC_COLOR),
    ENUM(GL_SRC_ALPHA),
    ENUM(GL_ONE_MINUS_SRC_ALPHA),
    ENUM(GL_DST_ALPHA),
    ENUM(GL_ONE_MINUS_DST_ALPHA),
    {"End of List", -1}
};

enumTestRec const enum_BlendingFactorSrc[] = {
    ENUM(GL_ZERO),
    ENUM(GL_ONE),
    ENUM(GL_DST_COLOR),
    ENUM(GL_ONE_MINUS_DST_COLOR),
    ENUM(GL_SRC_ALPHA_SATURATE),
    ENUM(GL_SRC_ALPHA),
    ENUM(GL_ONE_MINUS_SRC_ALPHA),
    ENUM(GL_DST_ALPHA),
    ENUM(GL_ONE_MINUS_DST_ALPHA),
    {"End of List", -1}
};

enumTestRec const enum_Boolean[] = {
    ENUM(GL_FALSE),
    ENUM(GL_TRUE),
    {"End of List", -1}
};

#if defined(GL_OES_VERSION_1_1)
enumTestRec const enum_BufferObjectTargets[] = {
    ENUM(GL_ARRAY_BUFFER),
    ENUM(GL_ELEMENT_ARRAY_BUFFER),
    {"End of List", -1}
};

enumTestRec const enum_BufferObjectUsages[] = {
    ENUM(GL_STATIC_DRAW),
    ENUM(GL_DYNAMIC_DRAW),
    {"End of List", -1}
};

/* Parameter name (pname) arguments to GetBufferParameter */ 
enumTestRec const enum_BufferParameters[] = {
    ENUM(GL_BUFFER_SIZE),
    ENUM(GL_BUFFER_USAGE),
    {"End OF list", -1}
};
#endif

enumTestRec const enum_CopyTextureInternalFormat[] = {
    ENUM(GL_ALPHA),
    ENUM(GL_LUMINANCE),
    ENUM(GL_LUMINANCE_ALPHA),
    ENUM(GL_RGB),
    ENUM(GL_RGBA),
    {"End of List", -1}
};

enumTestRec const enum_Enable[] = {
    ENUM(GL_FOG),
    ENUM(GL_LIGHTING),
    ENUM(GL_TEXTURE_2D),
    ENUM(GL_CULL_FACE),
    ENUM(GL_ALPHA_TEST),
    ENUM(GL_BLEND),
    ENUM(GL_COLOR_LOGIC_OP),
    ENUM(GL_COLOR_MATERIAL),
    ENUM(GL_DITHER),
    ENUM(GL_STENCIL_TEST),
    ENUM(GL_DEPTH_TEST),
    ENUM(GL_LIGHT0),
    ENUM(GL_LIGHT1),
    ENUM(GL_LIGHT2),
    ENUM(GL_LIGHT3),
    ENUM(GL_LIGHT4),
    ENUM(GL_LIGHT5),
    ENUM(GL_LIGHT6),
    ENUM(GL_LIGHT7),
    ENUM(GL_LINE_SMOOTH),
    ENUM(GL_MULTISAMPLE),
    ENUM(GL_NORMALIZE),
    ENUM(GL_POINT_SMOOTH),
    ENUM(GL_SAMPLE_ALPHA_TO_COVERAGE),
    ENUM(GL_SAMPLE_ALPHA_TO_ONE),
    ENUM(GL_SAMPLE_COVERAGE),
    ENUM(GL_SCISSOR_TEST),
    ENUM(GL_COLOR_LOGIC_OP),
    ENUM(GL_POLYGON_OFFSET_FILL),
    ENUM(GL_RESCALE_NORMAL),
#ifdef GL_OES_VERSION_1_1
    ENUM(GL_POINT_SPRITE_OES),
#endif
    {"End of List", -1}
};

#ifdef GL_OES_matrix_palette
enumTestRec const enum_EnableMatrixPalette[] = {
	ENUM(GL_MATRIX_PALETTE_OES),
    {"End of List", -1}
};
#endif

enumTestRec const enum_EnableClientState[] = {
    ENUM(GL_VERTEX_ARRAY),
    ENUM(GL_NORMAL_ARRAY),
    ENUM(GL_COLOR_ARRAY),
    ENUM(GL_TEXTURE_COORD_ARRAY),
#ifdef GL_OES_VERSION_1_1
    ENUM(GL_POINT_SIZE_ARRAY_OES),
#endif
    {"End of List", -1}
};

#ifdef GL_OES_matrix_palette
enumTestRec const enum_EnableClientStateMatrixPalette[] = {
    ENUM(GL_MATRIX_INDEX_ARRAY_OES),
    ENUM(GL_WEIGHT_ARRAY_OES),
    {"End of List", -1}
};
#endif

enumTestRec const enum_ClearBufferMask[] = {
    ENUM(GL_DEPTH_BUFFER_BIT),
    ENUM(GL_STENCIL_BUFFER_BIT),
    ENUM(GL_COLOR_BUFFER_BIT),
    {"End of List", -1}
};

enumTestRec const enum_ColorMaterialFace[] = {
    ENUM(GL_FRONT_AND_BACK),
    {"End of List", -1}
};

enumTestRec const enum_ColorMaterialParameter[] = {
    ENUM(GL_AMBIENT),
    ENUM(GL_DIFFUSE),
    ENUM(GL_SPECULAR),
    ENUM(GL_EMISSION),
    ENUM(GL_AMBIENT_AND_DIFFUSE),
    {"End of List", -1}
};

enumTestRec const enum_CullFaceMode[] = {
    ENUM(GL_FRONT),
    ENUM(GL_BACK),
    ENUM(GL_FRONT_AND_BACK),
    {"End of List", -1}
};

enumTestRec const enum_DepthFunction[] = {
    ENUM(GL_NEVER),
    ENUM(GL_LESS),
    ENUM(GL_EQUAL),
    ENUM(GL_LEQUAL),
    ENUM(GL_GREATER),
    ENUM(GL_NOTEQUAL),
    ENUM(GL_GEQUAL),
    ENUM(GL_ALWAYS),
    {"End of List", -1}
};

enumTestRec const enum_ErrorCode[] = {
    ENUM(GL_NO_ERROR),
    ENUM(GL_INVALID_ENUM),
    ENUM(GL_INVALID_VALUE),
    ENUM(GL_INVALID_OPERATION),
    ENUM(GL_STACK_OVERFLOW),
    ENUM(GL_STACK_UNDERFLOW),
    ENUM(GL_OUT_OF_MEMORY),
    {"End of List", -1}
};

enumTestRec const enum_FogMode[] = {
    ENUM(GL_LINEAR),
    ENUM(GL_EXP),
    ENUM(GL_EXP2),
    {"End of List", -1}
};

enumTestRec const enum_FogParameter[] = {
    ENUM(GL_FOG_DENSITY),
    ENUM(GL_FOG_START),
    ENUM(GL_FOG_END),
    ENUM(GL_FOG_MODE),
    ENUM(GL_FOG_COLOR),
    {"End of List", -1}
};

enumTestRec const enum_FrontFaceDirection[] = {
    ENUM(GL_CW),
    ENUM(GL_CCW),
    {"End of List", -1}
};

enumTestRec const enum_GetTarget[] = {
    ENUM(GL_SMOOTH_POINT_SIZE_RANGE),
    ENUM(GL_SMOOTH_LINE_WIDTH_RANGE),
    ENUM(GL_ALIASED_POINT_SIZE_RANGE),
    ENUM(GL_ALIASED_LINE_WIDTH_RANGE),
#ifdef GL_OES_read_format
    ENUM(GL_IMPLEMENTATION_COLOR_READ_TYPE_OES),
    ENUM(GL_IMPLEMENTATION_COLOR_READ_FORMAT_OES),
#endif
    ENUM(GL_MAX_LIGHTS),
    ENUM(GL_MAX_TEXTURE_SIZE),
    ENUM(GL_MAX_MODELVIEW_STACK_DEPTH),
    ENUM(GL_MAX_PROJECTION_STACK_DEPTH),
    ENUM(GL_MAX_TEXTURE_STACK_DEPTH),
    ENUM(GL_MAX_VIEWPORT_DIMS),
    ENUM(GL_MAX_TEXTURE_UNITS),
    ENUM(GL_NUM_COMPRESSED_TEXTURE_FORMATS),
    ENUM(GL_SUBPIXEL_BITS),
    ENUM(GL_RED_BITS),
    ENUM(GL_GREEN_BITS),
    ENUM(GL_BLUE_BITS),
    ENUM(GL_ALPHA_BITS),
    ENUM(GL_DEPTH_BITS),
    ENUM(GL_STENCIL_BITS),
    {"End of List", -1}
};

#ifdef GL_OES_VERSION_1_1
/* Parameter name (pname) arguments to GetPointer */
enumTestRec const enum_GetPointer[] = {
    ENUM(GL_COLOR_ARRAY_POINTER),
    ENUM(GL_NORMAL_ARRAY_POINTER),
    ENUM(GL_TEXTURE_COORD_ARRAY_POINTER),
    ENUM(GL_VERTEX_ARRAY_POINTER),
    ENUM(GL_POINT_SIZE_ARRAY_POINTER_OES),
    {"End of List", -1}
};
#endif

#ifdef GL_OES_matrix_palette
enumTestRec const enum_GetTargetMatrixPalette[] = {
    ENUM(GL_MAX_PALETTE_MATRICES_OES),
    ENUM(GL_MAX_VERTEX_UNITS_OES),
    {"End of List", -1}
};
#endif

enumTestRec const enum_HintMode[] = {
    ENUM(GL_DONT_CARE),
    ENUM(GL_FASTEST),
    ENUM(GL_NICEST),
    {"End of List", -1}
};

enumTestRec const enum_HintTarget[] = {
    ENUM(GL_PERSPECTIVE_CORRECTION_HINT),
    ENUM(GL_POINT_SMOOTH_HINT),
    ENUM(GL_LINE_SMOOTH_HINT),
    ENUM(GL_FOG_HINT),
    {"End of List", -1}
};

enumTestRec const enum_LightModelParameter[] = {
    ENUM(GL_LIGHT_MODEL_AMBIENT),
    ENUM(GL_LIGHT_MODEL_TWO_SIDE),
    {"End of List", -1}
};

enumTestRec const enum_LightName[] = {
    ENUM(GL_LIGHT0),
    ENUM(GL_LIGHT1),
    ENUM(GL_LIGHT2),
    ENUM(GL_LIGHT3),
    ENUM(GL_LIGHT4),
    ENUM(GL_LIGHT5),
    ENUM(GL_LIGHT6),
    ENUM(GL_LIGHT7),
    {"End of List", -1}
};

enumTestRec const enum_LightParameter[] = {
    ENUM(GL_AMBIENT),
    ENUM(GL_DIFFUSE),
    ENUM(GL_SPECULAR),
    ENUM(GL_POSITION),
    ENUM(GL_SPOT_DIRECTION),
    ENUM(GL_SPOT_EXPONENT),
    ENUM(GL_SPOT_CUTOFF),
    ENUM(GL_CONSTANT_ATTENUATION),
    ENUM(GL_LINEAR_ATTENUATION),
    ENUM(GL_QUADRATIC_ATTENUATION),
    {"End of List", -1}
};

enumTestRec const enum_LogicOp[] = {
    ENUM(GL_CLEAR),
    ENUM(GL_AND),
    ENUM(GL_AND_REVERSE),
    ENUM(GL_COPY),
    ENUM(GL_AND_INVERTED),
    ENUM(GL_NOOP),
    ENUM(GL_XOR),
    ENUM(GL_OR),
    ENUM(GL_NOR),
    ENUM(GL_EQUIV),
    ENUM(GL_INVERT),
    ENUM(GL_OR_REVERSE),
    ENUM(GL_COPY_INVERTED),
    ENUM(GL_OR_INVERTED),
    ENUM(GL_NAND),
    ENUM(GL_SET),
    {"End of List", -1}
};

enumTestRec const enum_MaterialFace[] = {
    ENUM(GL_FRONT_AND_BACK),
    {"End of List", -1}
};

enumTestRec const enum_MaterialParameter[] = {
    ENUM(GL_EMISSION),
    ENUM(GL_SHININESS),
    ENUM(GL_AMBIENT_AND_DIFFUSE),
    ENUM(GL_AMBIENT),
    ENUM(GL_DIFFUSE),
    ENUM(GL_SPECULAR),
    {"End of List", -1}
};

enumTestRec const enum_MatrixMode[] = {
    ENUM(GL_MODELVIEW),
    ENUM(GL_PROJECTION),
    ENUM(GL_TEXTURE),
    {"End of List", -1}
};

#ifdef GL_OES_matrix_palette
enumTestRec const enum_MatrixModeMatrixPalette[] = {
    ENUM(GL_MATRIX_PALETTE_OES),
    {"End of List", -1}
};
#endif

enumTestRec const enum_PixelFormat[] = {
    ENUM(GL_ALPHA),
    ENUM(GL_RGB),
    ENUM(GL_RGBA),
    ENUM(GL_LUMINANCE),
    ENUM(GL_LUMINANCE_ALPHA),
    {"End of List", -1}
};

enumTestRec const enum_PixelStore[] = {
    ENUM(GL_UNPACK_ALIGNMENT),
    ENUM(GL_PACK_ALIGNMENT),
    {"End of List", -1}
};

enumTestRec const enum_PixelType[] = {
    ENUM(GL_BYTE),
    ENUM(GL_UNSIGNED_BYTE),
    ENUM(GL_SHORT),
    ENUM(GL_UNSIGNED_SHORT),
#ifdef COMMON
    ENUM(GL_FLOAT),
#endif
    {"End of List", -1}
};

enumTestRec const enum_BeginMode[] = {
    ENUM(GL_LINE_LOOP),
    ENUM(GL_LINE_STRIP),
    ENUM(GL_LINES),
    ENUM(GL_POINTS),
    ENUM(GL_TRIANGLE_STRIP),
    ENUM(GL_TRIANGLE_FAN),
    ENUM(GL_TRIANGLES),
    {"End of List", -1}
};

enumTestRec const enum_ShadingModel[] = {
    ENUM(GL_FLAT),
    ENUM(GL_SMOOTH),
    {"End of List", -1}
};

enumTestRec const enum_StencilFunction[] = {
    ENUM(GL_NEVER),
    ENUM(GL_LESS),
    ENUM(GL_EQUAL),
    ENUM(GL_LEQUAL),
    ENUM(GL_GREATER),
    ENUM(GL_NOTEQUAL),
    ENUM(GL_GEQUAL),
    ENUM(GL_ALWAYS),
    {"End of List", -1}
};

enumTestRec const enum_StencilOp[] = {
    ENUM(GL_ZERO),
    ENUM(GL_KEEP),
    ENUM(GL_REPLACE),
    ENUM(GL_INCR),
    ENUM(GL_DECR),
    ENUM(GL_INVERT),
    {"End of List", -1}
};

enumTestRec const enum_StringName[] = {
    ENUM(GL_VENDOR),
    ENUM(GL_RENDERER),
    ENUM(GL_VERSION),
    ENUM(GL_EXTENSIONS),
    {"End of List", -1}
};

enumTestRec const enum_TextureEnvMode[] = {
    ENUM(GL_MODULATE),
    ENUM(GL_DECAL),
    ENUM(GL_BLEND),
    ENUM(GL_ADD),
    ENUM(GL_REPLACE),
#ifdef GL_OES_VERSION_1_1
    ENUM(GL_COMBINE),
#endif
    {"End of List", -1}
};

enumTestRec const enum_TextureEnvParameter[] = {
    ENUM(GL_TEXTURE_ENV_MODE),
    ENUM(GL_TEXTURE_ENV_COLOR),
    {"End of List", -1}
};

enumTestRec const enum_TextureEnvTarget[] = {
    ENUM(GL_TEXTURE_ENV),
    {"End of List", -1}
};

enumTestRec const enum_TextureWrapMode[] = {
    ENUM(GL_CLAMP_TO_EDGE),
    ENUM(GL_REPEAT),
    {"End of List", -1}
};

enumTestRec const enum_TextureMagFilter[] = {
    ENUM(GL_NEAREST),
    ENUM(GL_LINEAR),
    {"End of List", -1}
};

enumTestRec const enum_TextureMinFilter[] = {
    ENUM(GL_NEAREST),
    ENUM(GL_LINEAR),
    ENUM(GL_NEAREST_MIPMAP_NEAREST),
    ENUM(GL_LINEAR_MIPMAP_NEAREST),
    ENUM(GL_NEAREST_MIPMAP_LINEAR),
    ENUM(GL_LINEAR_MIPMAP_LINEAR),
    {"End of List", -1}
};

enumTestRec const enum_TextureParameterName[] = {
    ENUM(GL_TEXTURE_MAG_FILTER),
    ENUM(GL_TEXTURE_MIN_FILTER),
    ENUM(GL_TEXTURE_WRAP_S),
    ENUM(GL_TEXTURE_WRAP_T),
    {"End of List", -1}
};

enumTestRec const enum_TextureTarget[] = {
    ENUM(GL_TEXTURE_2D),
    {"End of List", -1}
};

/* number of TextureType must match TextureFormat */
enumTestRec const enum_TextureFormat[] = {
    ENUM(GL_ALPHA),
    ENUM(GL_RGB),
    ENUM(GL_RGB),
    ENUM(GL_RGBA),
    ENUM(GL_RGBA),
    ENUM(GL_RGBA),
    ENUM(GL_LUMINANCE),
    ENUM(GL_LUMINANCE_ALPHA),
    {"End of List", -1}
};

/* number of TextureType must match TextureFormat */
enumTestRec const enum_TextureType[] = {
    ENUM(GL_UNSIGNED_BYTE),
    ENUM(GL_UNSIGNED_BYTE),
    ENUM(GL_UNSIGNED_SHORT_5_6_5),
    ENUM(GL_UNSIGNED_BYTE),
    ENUM(GL_UNSIGNED_SHORT_4_4_4_4),
    ENUM(GL_UNSIGNED_SHORT_5_5_5_1),
    ENUM(GL_UNSIGNED_BYTE),
    ENUM(GL_UNSIGNED_BYTE),
    {"End of List", -1}
};

enumTestRec const enum_MultiTextureUnits[] = {
    ENUM(GL_TEXTURE0),
    ENUM(GL_TEXTURE1),
    ENUM(GL_TEXTURE2),
    ENUM(GL_TEXTURE3),
    ENUM(GL_TEXTURE4),
    ENUM(GL_TEXTURE5),
    ENUM(GL_TEXTURE6),
    ENUM(GL_TEXTURE7),
    ENUM(GL_TEXTURE8),
    ENUM(GL_TEXTURE9),
    ENUM(GL_TEXTURE10),
    ENUM(GL_TEXTURE11),
    ENUM(GL_TEXTURE12),
    ENUM(GL_TEXTURE13),
    ENUM(GL_TEXTURE14),
    ENUM(GL_TEXTURE15),
    ENUM(GL_TEXTURE16),
    ENUM(GL_TEXTURE17),
    ENUM(GL_TEXTURE18),
    ENUM(GL_TEXTURE19),
    ENUM(GL_TEXTURE20),
    ENUM(GL_TEXTURE21),
    ENUM(GL_TEXTURE22),
    ENUM(GL_TEXTURE23),
    ENUM(GL_TEXTURE24),
    ENUM(GL_TEXTURE25),
    ENUM(GL_TEXTURE26),
    ENUM(GL_TEXTURE27),
    ENUM(GL_TEXTURE28),
    ENUM(GL_TEXTURE29),
    ENUM(GL_TEXTURE30),
    ENUM(GL_TEXTURE31),
    {"End of List", -1}
};

#ifdef GL_OES_VERSION_1_1
enumTestRec const enum_ClipPlanes[] = {
    ENUM(GL_CLIP_PLANE0),
    ENUM(GL_CLIP_PLANE1),
    ENUM(GL_CLIP_PLANE2),
    ENUM(GL_CLIP_PLANE3),
    ENUM(GL_CLIP_PLANE4),
    ENUM(GL_CLIP_PLANE5),
    {"End OF list", -1}
};

#endif 

#ifdef GL_OES_VERSION_1_1
/* Text Combiner definitions */

/* Parameter name (pname) arguments to TexEnv */
enumTestRec const enum_TexCombineSrcPname[] = {
    ENUM(GL_SRC0_RGB),
    ENUM(GL_SRC1_RGB),
    ENUM(GL_SRC2_RGB),
    ENUM(GL_SRC0_ALPHA),
    ENUM(GL_SRC1_ALPHA),
    ENUM(GL_SRC2_ALPHA),
    {"End of List", -1}
};

/* Parameter name (pname) arguments to TexEnv */
enumTestRec const enum_TexCombineOperandRGBPname[] = {
    ENUM(GL_OPERAND0_RGB),
    ENUM(GL_OPERAND1_RGB),
    ENUM(GL_OPERAND2_RGB),
    {"End of List", -1}
};

/* Parameter name (pname) arguments to TexEnv */
enumTestRec const enum_TexCombineScalePname[] = {
    ENUM(GL_RGB_SCALE),
    ENUM(GL_ALPHA_SCALE),
    {"End of List", -1}
};

/* Parameter name (pname) arguments to TexEnv */
enumTestRec const enum_TexCombineOperandAlphaPname[] = {
    ENUM(GL_OPERAND0_ALPHA),
    ENUM(GL_OPERAND1_ALPHA),
    ENUM(GL_OPERAND2_ALPHA),
    {"End of List", -1}
};

/* Parameters to GL_COMBINE_RGB pname */
enumTestRec const enum_TexCombineRGBParameter[] = {
    ENUM(GL_REPLACE),
    ENUM(GL_MODULATE),
    ENUM(GL_ADD),
    ENUM(GL_ADD_SIGNED),
    ENUM(GL_INTERPOLATE),
    ENUM(GL_SUBTRACT),
    ENUM(GL_DOT3_RGB),
    ENUM(GL_DOT3_RGBA),
    {"End of List", -1}
};

/* Parameters to GL_COMBINE_ALPHA pname */
enumTestRec const enum_TexCombineAlphaParameter[] = {
    ENUM(GL_REPLACE),
    ENUM(GL_MODULATE),
    ENUM(GL_ADD),
    ENUM(GL_ADD_SIGNED),
    ENUM(GL_INTERPOLATE),
    ENUM(GL_SUBTRACT),
    {"End of List", -1}
};

/* Parameters to GL_SRC[0-2]_{RGB,ALPHA} pname */
enumTestRec const enum_TexCombineSrcParameter[] = {
    ENUM(GL_TEXTURE),
    ENUM(GL_CONSTANT),
    ENUM(GL_PRIMARY_COLOR),
    ENUM(GL_PREVIOUS),
    {"End of List", -1}
};

/* Parameters to GL_OPERAND[0-2]_RGB pname */
enumTestRec const enum_TexCombineOperandRGBParameter[] = {
    ENUM(GL_SRC_COLOR),
    ENUM(GL_ONE_MINUS_SRC_COLOR),
    ENUM(GL_SRC_ALPHA),
    ENUM(GL_ONE_MINUS_SRC_ALPHA),
    {"End of List", -1}
};

/* Parameters to GL_OPERAND[0-2]_ALPHA pname */
enumTestRec const enum_TexCombineOperandAlphaParameter[] = {
    ENUM(GL_SRC_ALPHA),
    ENUM(GL_ONE_MINUS_SRC_ALPHA),
    {"End of List", -1}
};

/* Parameter names used by PointParameter{if} */
enumTestRec const enum_PointParameterPname[] = {
    ENUM(GL_POINT_SIZE_MIN),
    ENUM(GL_POINT_SIZE_MAX),
    ENUM(GL_POINT_FADE_THRESHOLD_SIZE),
    {"End of List", -1}
};

/* Parameter names used by PointParameter{if}v */
enumTestRec const enum_PointParameterPnameV[] = {
    ENUM(GL_POINT_SIZE_MIN),
    ENUM(GL_POINT_SIZE_MAX),
    ENUM(GL_POINT_FADE_THRESHOLD_SIZE),
    ENUM(GL_POINT_DISTANCE_ATTENUATION),
    {"End of List", -1}
};
#endif /* 1.1 */

