/*
** Copyright (c) 2008 The Khronos Group Inc.
** 
** All Rights Reserved.  This code is protected by copyright laws and 
** contains material proprietary to the Khronos Group, Inc.  This is 
** UNPUBLISHED PROPRIETARY SOURCE CODE that may not be disclosed in whole 
** or in part to third parties, and may not be reproduced, republished, 
** distributed, transmitted, displayed, broadcast or otherwise exploited 
** in any manner without the express prior written permission of Khronos 
** Group.
** 
** The receipt or possession of this code does not convey any rights to 
** reproduce, disclose, or distribute its contents, or to manufacture, 
** use, or sell anything that it may describe, in whole or in part other 
** than under the terms of the Khronos Adopters Agreement or Khronos 
** Conformance Test Source License Agreement as executed between Khronos 
** and the recipient.
** 
** For the avoidance of doubt, this code when provided: a) under the 
** Khronos Conformance Test Source License Agreement is for the sole 
** purpose of creating conformance tests for delivery to Khronos and does 
** not provide for formally testing products or use of Khronos trademarks 
** on conformant products; b) under the Khronos Adopters Agreement is for 
** the sole purpose of formally administering tests to products pursuant 
** to the Khronos Conformance Process Document.
** 
** Khronos, OpenKODE, OpenVG, OpenWF, glFX, OpenMAX and OpenSL ES are 
** trademarks of the Khronos Group Inc.  COLLADA is a trademark of Sony 
** Computer Entertainment Inc. used by permission by Khronos.  OpenGL and 
** OpenML are registered trademarks and the OpenGL ES logo is a trademark 
** of Silicon Graphics Inc. used by permission by Khronos. 
** 
** Use, duplication or disclosure by the Government is subject to 
** restrictions as set forth in subdivision (c)(1)(ii) of the Rights in 
** Technical Data and Computer Software clause at DFARS 252.227-7013, and/
** or in similar or successor clauses in the FAR, DOD or NASA FAR 
** Supplement. Unpublished rights reserved under the Copyright Laws of 
** the United States and other countries.
*/

/*
** Copyright 1999-2005, Silicon Graphics, Inc.
** All Rights Reserved.
**
** This is UNPUBLISHED PROPRIETARY SOURCE CODE of Silicon Graphics, Inc.;
** the contents of this file may not be disclosed to third parties, copied or
** duplicated in any form, in whole or in part, without the prior written
** permission of Silicon Graphics, Inc.
**
** RESTRICTED RIGHTS LEGEND:
** Use, duplication or disclosure by the Government is subject to restrictions
** as set forth in subdivision (c)(1)(ii) of the Rights in Technical Data
** and Computer Software clause at DFARS 252.227-7013, and/or in similar or
** successor clauses in the FAR, DOD or NASA FAR Supplement. Unpublished -
** rights reserved under the Copyright Laws of the United States.
**
** $Header: /home/cvs/OpenGL-ES/1.0/ogles/conform/conform/covgl/g.c,v 1.8 2005/05/11 15:21:44 artlab Exp $
*/

#include "shell.h"

#define FIXED_TO_LONG(x)	((long)(x) >> 16)
 
void CallGenTextures(void)
{
    GLuint tex[2];

    Output(1, "glGenTextures\n");
    glGenTextures(2, tex);
    ProbeEnum();
    Output(1, "\n");
}

#ifdef GL_OES_VERSION_1_1
void CallGenBuffers(void)
{
    GLuint buf[2];

    Output(1, "glGenBuffers\n");
    glGenBuffers(2, buf);
    ProbeEnum();
    glDeleteBuffers(2, buf);
    Output(1, "\n");
}
#endif /* GL_OES_VERSION_1_1 */

void CallGet(void)
{
    long i;

    Output(1, "glGetIntegerv\n");
#ifdef GL_OES_VERSION_1_1
    Output(1, "glGetBooleanv\n");
    Output(1, "glGetFixed\n");
#ifdef COMMON
    Output(1, "glGetFloatv\n");
#endif /* COMMON */
#endif /* GL_OES_VERSION_1_1 */
    for (i = 0; enum_GetTarget[i].value != -1; i++) {
        Output(1, "\t%s\n", enum_GetTarget[i].name);
        {
            GLint buf[100];
            glGetIntegerv(enum_GetTarget[i].value, buf);
        }
        ProbeEnum();
#ifdef GL_OES_VERSION_1_1
        {
            GLboolean buf[100];
            glGetBooleanv(enum_GetTarget[i].value, buf);
        }
        ProbeEnum();
        {
            GLfixed buf[100];
            glGetFixedv(enum_GetTarget[i].value, buf);
        }
        ProbeEnum();
#ifdef COMMON
        {
            GLfloat buf[100];
            glGetFloatv(enum_GetTarget[i].value, buf);
        }
        ProbeEnum();
#endif /* COMMON */
#endif /* GL_OES_VERSION_1_1 */       
    }

#ifdef GL_OES_matrix_palette
    if (tkCheckExtension("GL_OES_matrix_palette")) {
        for (i = 0; enum_GetTargetMatrixPalette[i].value != -1; i++) {
            Output(1, "\t%s\n", enum_GetTargetMatrixPalette[i].name);
            {
                GLint buf[100];
                glGetIntegerv(enum_GetTargetMatrixPalette[i].value, buf);
            }
            ProbeEnum();
#ifdef GL_OES_VERSION_1_1
            {
                GLboolean buf[100];
                glGetBooleanv(enum_GetTargetMatrixPalette[i].value, buf);
            }
            ProbeEnum();
            {
                GLfixed buf[100];
                glGetFixedv(enum_GetTargetMatrixPalette[i].value, buf);
            }
            ProbeEnum();
#ifdef COMMON
            {
                GLfloat buf[100];
                glGetFloatv(enum_GetTargetMatrixPalette[i].value, buf);
            }
            ProbeEnum();

#endif /* COMMON */
#endif /* GL_OES_VERSION_1_1 */       
        }
    }
#endif
    /* special case for enumeration of compressed texture formats */
    { 
        GLint value;
        GLint* values;
        glGetIntegerv(GL_NUM_COMPRESSED_TEXTURE_FORMATS, &value);
        values = (GLint*)MALLOC(value*sizeof(GLint));
        glGetIntegerv(GL_COMPRESSED_TEXTURE_FORMATS, values);
        FREE(values);
    }
#ifdef GL_OES_VERSION_1_1
    { 
        GLboolean value;
        GLboolean *values;
        GLint ivalue;
        glGetIntegerv(GL_NUM_COMPRESSED_TEXTURE_FORMATS, &ivalue);
        glGetBooleanv(GL_NUM_COMPRESSED_TEXTURE_FORMATS, &value);
        values = (GLboolean*)MALLOC(ivalue*sizeof(GLboolean));
        glGetBooleanv(GL_COMPRESSED_TEXTURE_FORMATS, values);
        FREE(values);
    }
    { 
        GLfixed value;
        GLfixed* values;
		size_t formatCount = 0;

        glGetFixedv(GL_NUM_COMPRESSED_TEXTURE_FORMATS, &value);
		formatCount = FIXED_TO_LONG(value); 
        values = (GLfixed*)MALLOC(formatCount*sizeof(GLfixed));
        glGetFixedv(GL_COMPRESSED_TEXTURE_FORMATS, values);
        FREE(values);
    }
#ifdef COMMON
    { 
        GLfloat value;
        GLfloat* values;
        glGetFloatv(GL_NUM_COMPRESSED_TEXTURE_FORMATS, &value);
        values = (GLfloat*)MALLOC(value*sizeof(GLfloat));
        glGetFloatv(GL_COMPRESSED_TEXTURE_FORMATS, values);
        FREE(values);
    }
#endif /* COMMON */
#endif /* GL_OES_VERSION_1_1 */       

    Output(1, "\n");
}

void CallGetError(void)
{

    Output(1, "glGetError\n");
    glGetError();
    Output(1, "\n");
}

void CallGetString(void)
{
    long i;

    Output(1, "glGetString\n");
    for (i = 0; enum_StringName[i].value != -1; i++) {
        Output(1, "\t%s\n", enum_StringName[i].name);
        (void) glGetString(enum_StringName[i].value);
        ProbeEnum();
    }
    Output(1, "\n");
}

#ifdef GL_OES_VERSION_1_1

void CallGetPointer(void)
{
    long i;

    Output(1, "glGetPointerv\n");
    for (i = 0; enum_GetPointer[i].value != -1; i++) {
        Output(1, "\t%s\n", enum_GetPointer[i].name);
        {
            GLvoid* buf[100];
            glGetPointerv( enum_GetPointer[i].value, buf);
        }
        ProbeEnum();
    }
    Output(1, "\n");

}

void CallGetTexEnv(void)
{
    long i, j;
    
    Output(1, "glGetTexEnviv\n");
    Output(1, "glGetTexEnvxv\n");
#ifdef COMMON
    Output(1, "glGetTexEnvfv\n");
#endif /* COMMON */
    for (j = 0; enum_TextureEnvTarget[j].value != -1; j++) {
        for (i = 0; enum_TextureEnvParameter[i].value != -1; i++) {
            Output(1, "\t%s, %s\n", enum_TextureEnvTarget[j].name, enum_TextureEnvParameter[i].name);
            {
                GLint buf[100];
                glGetTexEnviv(enum_TextureEnvTarget[j].value, enum_TextureEnvParameter[i].value, buf);
            }
            ProbeEnum();        
            {
                GLfixed buf[100];
                glGetTexEnvxv(enum_TextureEnvTarget[j].value, enum_TextureEnvParameter[i].value, buf);
            }
            ProbeEnum();
#ifdef COMMON
            {
                GLfloat buf[100];
                glGetTexEnvfv(enum_TextureEnvTarget[j].value, enum_TextureEnvParameter[i].value, buf);
            }
            ProbeEnum();
#endif /* COMMON */
        }
    }
    Output(1, "\n");
}


void CallGetLight(void)
{
    long i, j;

    Output(1, "glGetLightxv\n");
#ifdef COMMON
    Output(1, "glGetLightfv\n");
#endif /* COMMON */
    for (j = 0; enum_LightName[j].value != -1; j++) { 
        for (i = 0; enum_LightParameter[i].value != -1; i++) {
            Output(1, "\t%s, %s\n", enum_LightName[j].name, enum_LightParameter[i].name);
            {
                GLfixed buf[100];
                glGetLightxv(enum_LightName[j].value, enum_LightParameter[i].value, buf);
            }            
            ProbeEnum();
#ifdef COMMON
            {
                GLfloat buf[100];
                glGetLightfv(enum_LightName[j].value, enum_LightParameter[i].value, buf);
            }
            ProbeEnum();
#endif /* COMMON */
        }
    }
    Output(1, "\n");
}


void CallGetMaterial(void)
{
    long i, j;

    Output(1, "glGetMaterialxv\n");
#ifdef COMMON
    Output(1, "glGetMaterialfv\n");
#endif /* COMMON */
    for (j = 0; enum_CullFaceMode[j].value != -1; j++) {

        if ( enum_CullFaceMode[j].value == GL_FRONT_AND_BACK ) {
            continue;
        }

        for (i = 0; enum_MaterialParameter[i].value != -1; i++) {
        
            if ( enum_MaterialParameter[i].value == GL_AMBIENT_AND_DIFFUSE ) {
                continue;
            }
            
            Output(1, "\t%s, %s\n", enum_CullFaceMode[j].name, enum_MaterialParameter[i].name);
            {
                GLfixed buf[100];
                glGetMaterialxv(enum_CullFaceMode[j].value, enum_MaterialParameter[i].value, buf);
            }
            ProbeEnum();
#ifdef COMMON
            {
                GLfloat buf[100];
                glGetMaterialfv(enum_CullFaceMode[j].value, enum_MaterialParameter[i].value, buf);
            }
            ProbeEnum();
#endif /* COMMON */
        }
    }

    Output(1, "\n");
}


void CallGetClipPlane(void)
{
    long i;
    GLint n;
    
    glGetIntegerv(GL_MAX_CLIP_PLANES, &n);

    Output(1, "glGetClipPlanex\n");
#ifdef COMMON
    Output(1, "glGetClipPlanef\n");
#endif /* COMMON */
    for (i = 0; i < n && enum_ClipPlanes[i].value != -1; i++) {
        Output(1, "\t%s\n", enum_ClipPlanes[i].name);
        {
            GLfixed buf[100];
            glGetClipPlanex(enum_ClipPlanes[i].value, buf);
        }
        ProbeEnum();
#ifdef COMMON
        {
            GLfloat buf[100];
            glGetClipPlanef(enum_ClipPlanes[i].value, buf);
        }
        ProbeEnum();
#endif /* COMMON */
    }

    Output(1, "\n");
}

void CallGetTexParameter(void)
{
    long i, j;

    Output(1, "glGetTexParameteriv\n");
    Output(1, "glGetTexParameterxv\n");
#ifdef COMMON
    Output(1, "glGetTexParameterfv\n");
#endif /* COMMON */
    for (j = 0; enum_TextureTarget[j].value != -1; j++) {
        for (i = 0; enum_TextureParameterName[i].value != -1; i++) {
            Output(1, "\t%s, %s\n", enum_TextureTarget[j].name, enum_TextureParameterName[i].name);
            {
                GLint buf[100];
                glGetTexParameteriv(enum_TextureTarget[j].value, enum_TextureParameterName[i].value, buf);
            }
            ProbeEnum();
            {
                GLfixed buf[100];
                glGetTexParameterxv(enum_TextureTarget[j].value, enum_TextureParameterName[i].value, buf);
            }
            ProbeEnum();
#ifdef COMMON
            {
                GLfloat buf[100];
                glGetTexParameterfv(enum_TextureTarget[j].value, enum_TextureParameterName[i].value, buf);
            }
            ProbeEnum();
#endif /* COMMON */
        }
    }

    Output(1, "\n");
}


void CallGetBufferParameter(void)
{
    long i, j;
    GLuint buf=1;
    
    Output(1, "glGetBufferParameteriv\n");
    
    for (j = 0; enum_BufferObjectTargets[j].value != -1; j++) {
        glBindBuffer(enum_BufferObjectTargets[j].value, buf);
        for (i = 0; enum_BufferParameters[i].value != -1; i++) {
            Output(1, "\t%s, %s\n", enum_BufferObjectTargets[j].name, enum_BufferParameters[i].name);
            {
                GLint buf[100];
                glGetBufferParameteriv(enum_BufferObjectTargets[j].value, enum_BufferParameters[i].value, buf);
            }
            ProbeEnum();
        }
        glDeleteBuffers(1, &buf);
    }

    Output(1, "\n");
}
#endif /* GL_OES_VERSION_1_1 */
