/*
** Copyright (c) 2008 The Khronos Group Inc.
** 
** All Rights Reserved.  This code is protected by copyright laws and 
** contains material proprietary to the Khronos Group, Inc.  This is 
** UNPUBLISHED PROPRIETARY SOURCE CODE that may not be disclosed in whole 
** or in part to third parties, and may not be reproduced, republished, 
** distributed, transmitted, displayed, broadcast or otherwise exploited 
** in any manner without the express prior written permission of Khronos 
** Group.
** 
** The receipt or possession of this code does not convey any rights to 
** reproduce, disclose, or distribute its contents, or to manufacture, 
** use, or sell anything that it may describe, in whole or in part other 
** than under the terms of the Khronos Adopters Agreement or Khronos 
** Conformance Test Source License Agreement as executed between Khronos 
** and the recipient.
** 
** For the avoidance of doubt, this code when provided: a) under the 
** Khronos Conformance Test Source License Agreement is for the sole 
** purpose of creating conformance tests for delivery to Khronos and does 
** not provide for formally testing products or use of Khronos trademarks 
** on conformant products; b) under the Khronos Adopters Agreement is for 
** the sole purpose of formally administering tests to products pursuant 
** to the Khronos Conformance Process Document.
** 
** Khronos, OpenKODE, OpenVG, OpenWF, glFX, OpenMAX and OpenSL ES are 
** trademarks of the Khronos Group Inc.  COLLADA is a trademark of Sony 
** Computer Entertainment Inc. used by permission by Khronos.  OpenGL and 
** OpenML are registered trademarks and the OpenGL ES logo is a trademark 
** of Silicon Graphics Inc. used by permission by Khronos. 
** 
** Use, duplication or disclosure by the Government is subject to 
** restrictions as set forth in subdivision (c)(1)(ii) of the Rights in 
** Technical Data and Computer Software clause at DFARS 252.227-7013, and/
** or in similar or successor clauses in the FAR, DOD or NASA FAR 
** Supplement. Unpublished rights reserved under the Copyright Laws of 
** the United States and other countries.
*/

/*
** Copyright 1999-2005, Silicon Graphics, Inc.
** All Rights Reserved.
**
** This is UNPUBLISHED PROPRIETARY SOURCE CODE of Silicon Graphics, Inc.;
** the contents of this file may not be disclosed to third parties, copied or
** duplicated in any form, in whole or in part, without the prior written
** permission of Silicon Graphics, Inc.
**
** RESTRICTED RIGHTS LEGEND:
** Use, duplication or disclosure by the Government is subject to restrictions
** as set forth in subdivision (c)(1)(ii) of the Rights in Technical Data
** and Computer Software clause at DFARS 252.227-7013, and/or in similar or
** successor clauses in the FAR, DOD or NASA FAR Supplement. Unpublished -
** rights reserved under the Copyright Laws of the United States.
**
** $Header: /home/cvs/OpenGL-ES/1.0/ogles/conform/conform/covgl/m.c,v 1.4 2005/05/11 15:21:44 artlab Exp $
*/

#include "shell.h"


void CallMaterial(void)
{
    long i, j;

    Output(1, "glMaterialx\n");
#ifdef COMMON
    Output(1, "glMaterialf\n");
#endif
    for (i = 0; enum_MaterialFace[i].value != -1; i++) {
        for (j = 0; enum_MaterialParameter[j].value != -1; j++) {

            if (enum_MaterialParameter[j].value == GL_EMISSION) {
                continue;
            } else if (enum_MaterialParameter[j].value == GL_AMBIENT) {
                continue;
            } else if (enum_MaterialParameter[j].value == GL_DIFFUSE) {
                continue;
            } else if (enum_MaterialParameter[j].value == GL_SPECULAR) {
                continue;
            } else if (enum_MaterialParameter[j].value == GL_AMBIENT_AND_DIFFUSE) {
                continue;
            }

            Output(1, "\t%s, %s\n", enum_MaterialFace[i].name, enum_MaterialParameter[j].name);
            glMaterialx(enum_MaterialFace[i].value, enum_MaterialParameter[j].value, 0);
#ifdef COMMON
            glMaterialf(enum_MaterialFace[i].value, enum_MaterialParameter[j].value, 0.0);
#endif
            ProbeEnum();
        }
    }
    Output(1, "\n");

    Output(1, "glMaterialxv\n");
#ifdef COMMON
    Output(1, "glMaterialfv\n");
#endif
    for (i = 0; enum_MaterialFace[i].value != -1; i++) {
        for (j = 0; enum_MaterialParameter[j].value != -1; j++) {
            Output(1, "\t%s, %s\n", enum_MaterialFace[i].name, enum_MaterialParameter[j].name);
            {
                static const GLfixed buf[] = {
                    0, 0, 0, 0
                };
                glMaterialxv(enum_MaterialFace[i].value, enum_MaterialParameter[j].value, buf);
            }
#ifdef COMMON
            {
                static const GLfloat buf[] = {
                    0.0, 0.0, 0.0, 0.0
                };
                glMaterialfv(enum_MaterialFace[i].value, enum_MaterialParameter[j].value, buf);
            }
#endif
            ProbeEnum();
        }
    }
    Output(1, "\n");
}

#ifdef GL_OES_matrix_palette

void CallMatrixIndexPointerOES(void)
{
    GLint i, maxVertexUnits;

    Output(1, "glMatrixIndexPointerOES\n");

    glGetIntegerv(GL_MAX_VERTEX_UNITS_OES, &maxVertexUnits);
    ProbeEnum();

    {
        GLubyte * indices = (GLubyte *)MALLOC(maxVertexUnits * sizeof(GLubyte));

        for (i = 0; i < maxVertexUnits; ++i)
            indices[i] = i;
        Output(1, "\tGL_UNSIGNED_BYTE\n");
        for (i = 1; i <= maxVertexUnits; i++) {
            glMatrixIndexPointerOES(i, GL_UNSIGNED_BYTE, 0, indices);
            ProbeEnum();
        }
        FREE(indices);
    }
    Output(1, "\n");
}

#endif /* GL_OES_matrix_palette */

void CallMatrixMode(void)
{
    long i;

    Output(1, "glMatrixMode\n");
    for (i = 0; enum_MatrixMode[i].value != -1; i++) {
        Output(1, "\t%s\n", enum_MatrixMode[i].name);
        glMatrixMode(enum_MatrixMode[i].value);
        ProbeEnum();
    }

#ifdef GL_OES_matrix_palette
    if (tkCheckExtension("GL_OES_matrix_palette")) {
        for (i = 0; enum_MatrixModeMatrixPalette[i].value != -1; i++) {
            Output(1, "\t%s\n", enum_MatrixModeMatrixPalette[i].name);
            glMatrixMode(enum_MatrixModeMatrixPalette[i].value);
            ProbeEnum();
        }
    }
#endif

    Output(1, "\n");
}

void CallMultiTexCoord(void)
{
    long i;
    GLint n;

    Output(1, "glMultiTexCoord4x\n");
#ifdef COMMON
    Output(1, "glMultiTexCoord4f\n");
#endif

    glGetIntegerv(GL_MAX_TEXTURE_UNITS, &n);

    for (i = 0; i < n && enum_MultiTextureUnits[i].value != -1; i++) {

        Output(1, "\t%s\n", enum_MultiTextureUnits[i].name);
        glMultiTexCoord4x(enum_MultiTextureUnits[i].value,
                             FIXED_ONE, FIXED_ONE, FIXED_ONE, FIXED_ONE);
#ifdef COMMON
        glMultiTexCoord4f(enum_MultiTextureUnits[i].value, 1.0, 1.0, 1.0, 1.0);
#endif
        ProbeEnum();
    }

    Output(1, "\n");
}

void CallMultMatrix(void)
{

    Output(1, "glMultMatrixx\n");
    {
        static const GLfixed buf[] = {
            FIXED_ONE, 0, 0, 0,
            0, FIXED_ONE, 0, 0,
            0, 0, FIXED_ONE, 0,
            0, 0, 0, FIXED_ONE 
        };
        glMultMatrixx(buf);
    }
#ifdef COMMON
    Output(1, "glMultMatrixf\n");
    {
        static const GLfloat buf[] = {
            1.0, 0.0, 0.0, 0.0,
            0.0, 1.0, 0.0, 0.0,
            0.0, 0.0, 1.0, 0.0,
            0.0, 0.0, 0.0, 1.0
        };
        glMultMatrixf(buf);
    }
#endif
    Output(1, "\n");
}
