/*
** Copyright (c) 2008 The Khronos Group Inc.
** 
** All Rights Reserved.  This code is protected by copyright laws and 
** contains material proprietary to the Khronos Group, Inc.  This is 
** UNPUBLISHED PROPRIETARY SOURCE CODE that may not be disclosed in whole 
** or in part to third parties, and may not be reproduced, republished, 
** distributed, transmitted, displayed, broadcast or otherwise exploited 
** in any manner without the express prior written permission of Khronos 
** Group.
** 
** The receipt or possession of this code does not convey any rights to 
** reproduce, disclose, or distribute its contents, or to manufacture, 
** use, or sell anything that it may describe, in whole or in part other 
** than under the terms of the Khronos Adopters Agreement or Khronos 
** Conformance Test Source License Agreement as executed between Khronos 
** and the recipient.
** 
** For the avoidance of doubt, this code when provided: a) under the 
** Khronos Conformance Test Source License Agreement is for the sole 
** purpose of creating conformance tests for delivery to Khronos and does 
** not provide for formally testing products or use of Khronos trademarks 
** on conformant products; b) under the Khronos Adopters Agreement is for 
** the sole purpose of formally administering tests to products pursuant 
** to the Khronos Conformance Process Document.
** 
** Khronos, OpenKODE, OpenVG, OpenWF, glFX, OpenMAX and OpenSL ES are 
** trademarks of the Khronos Group Inc.  COLLADA is a trademark of Sony 
** Computer Entertainment Inc. used by permission by Khronos.  OpenGL and 
** OpenML are registered trademarks and the OpenGL ES logo is a trademark 
** of Silicon Graphics Inc. used by permission by Khronos. 
** 
** Use, duplication or disclosure by the Government is subject to 
** restrictions as set forth in subdivision (c)(1)(ii) of the Rights in 
** Technical Data and Computer Software clause at DFARS 252.227-7013, and/
** or in similar or successor clauses in the FAR, DOD or NASA FAR 
** Supplement. Unpublished rights reserved under the Copyright Laws of 
** the United States and other countries.
*/

/*
** Copyright 1999-2005, Silicon Graphics, Inc.
** All Rights Reserved.
**
** This is UNPUBLISHED PROPRIETARY SOURCE CODE of Silicon Graphics, Inc.;
** the contents of this file may not be disclosed to third parties, copied or
** duplicated in any form, in whole or in part, without the prior written
** permission of Silicon Graphics, Inc.
**
** RESTRICTED RIGHTS LEGEND:
** Use, duplication or disclosure by the Government is subject to restrictions
** as set forth in subdivision (c)(1)(ii) of the Rights in Technical Data
** and Computer Software clause at DFARS 252.227-7013, and/or in similar or
** successor clauses in the FAR, DOD or NASA FAR Supplement. Unpublished -
** rights reserved under the Copyright Laws of the United States.
**
** $Header: /home/cvs/OpenGL-ES/1.0/ogles/conform/conform/covgl/p.c,v 1.5 2005/05/11 15:21:44 artlab Exp $
*/

#include "shell.h"


void CallPixelStore(void)
{
    long i;

    Output(1, "glPixelStorei\n");
    for (i = 0; enum_PixelStore[i].value != -1; i++) {
	Output(1, "\t%s\n", enum_PixelStore[i].name);
	if (enum_PixelStore[i].value == GL_UNPACK_ALIGNMENT ||
		enum_PixelStore[i].value == GL_PACK_ALIGNMENT) {
	    glPixelStorei(GL_UNPACK_ALIGNMENT, 1);
				/* 1 chosen for historical consistency */
	} else {
	    glPixelStorei(enum_PixelStore[i].value, 0);
				/* 0 is the default */
	}
	ProbeEnum();
    }
    Output(1, "\n");
}

void CallPolygonOffset(void)
{

    Output(1, "glPolygonOffsetx\n");
    glPolygonOffsetx(FIXED_ONE, 0);
#ifdef COMMON
    Output(1, "glPolygonOffset\n");
    glPolygonOffset(1.0f, 0.0f);
#endif
    ProbeEnum();
    Output(1, "\n");
}

#ifdef GL_OES_VERSION_1_1
void CallPointParameter(void)
{
    int i;
    GLfixed point_params_x[] = {FIXED_ONE, FIXED_ONE, FIXED_ONE};
#ifdef COMMON
    GLfloat point_params_f[] = {1.0, 1.0, 1.0};
#endif
    Output(1, "glPointParameterx\n");
    for(i = 0; enum_PointParameterPname[i].value != -1; i++)
    {
        Output(1, "\t%s\n", enum_PointParameterPname[i].name);
        glPointParameterx(enum_PointParameterPname[i].value, FIXED_ONE);
	ProbeEnum();		  
    }
    Output(1, "glPointParameterxv\n");
    for(i = 0; enum_PointParameterPnameV[i].value != -1; i++)
    {
        Output(1, "\t%s\n", enum_PointParameterPnameV[i].name);
        glPointParameterxv(enum_PointParameterPnameV[i].value, point_params_x);
	ProbeEnum();		  
    }

#ifdef COMMON
    Output(1, "glPointParameterf\n");
    for(i = 0; enum_PointParameterPname[i].value != -1; i++)
    {
        Output(1, "\t%s\n", enum_PointParameterPname[i].name);
        glPointParameterf(enum_PointParameterPname[i].value, 1.0);
	ProbeEnum();		  
    }
    Output(1, "glPointParameterfv\n");
    for(i = 0; enum_PointParameterPnameV[i].value != -1; i++)
    {
        Output(1, "\t%s\n", enum_PointParameterPnameV[i].name);
        glPointParameterfv(enum_PointParameterPnameV[i].value, point_params_f);
	ProbeEnum();		  
    }
#endif  
}
#endif

void CallPointSize(void)
{

    Output(1, "glPointSizex\n");
    glPointSizex(FIXED_ONE);
#ifdef COMMON
    Output(1, "glPointSize\n");
    glPointSize(1.0);
#endif
    Output(1, "\n");
}

void CallPopMatrix(void)
{

    Output(1, "glPopMatrix\n");
    glPopMatrix();
    Output(1, "\n");
}

void CallPushMatrix(void)
{

    Output(1, "glPushMatrix\n");
    glPushMatrix();
    Output(1, "\n");
}

#ifdef GL_OES_VERSION_1_1
void CallPointSizePointerOES(void)
{
    Output(1, "glPointSizePointerOES\n");
    {
        GLfixed buf[4];
        buf[0] = 0;
        buf[1] = 0;
        buf[2] = 0;
        buf[3] = FIXED_ONE;
        Output(1, "\tGL_FIXED\n");
        glPointSizePointerOES(GL_FIXED, 0, buf);
        ProbeEnum();
    }
#ifdef COMMON
    {
        GLfloat buf[4];
        buf[0] = 0.0f;
        buf[1] = 0.0f;
        buf[2] = 0.0f;
        buf[3] = 1.0f;
        Output(1, "\tGL_FLOAT\n");
        glPointSizePointerOES(GL_FLOAT, 0, buf);
        ProbeEnum();
    }
#endif
    Output(1, "\n");
}
#endif
