/*
** Copyright (c) 2008 The Khronos Group Inc.
** 
** All Rights Reserved.  This code is protected by copyright laws and 
** contains material proprietary to the Khronos Group, Inc.  This is 
** UNPUBLISHED PROPRIETARY SOURCE CODE that may not be disclosed in whole 
** or in part to third parties, and may not be reproduced, republished, 
** distributed, transmitted, displayed, broadcast or otherwise exploited 
** in any manner without the express prior written permission of Khronos 
** Group.
** 
** The receipt or possession of this code does not convey any rights to 
** reproduce, disclose, or distribute its contents, or to manufacture, 
** use, or sell anything that it may describe, in whole or in part other 
** than under the terms of the Khronos Adopters Agreement or Khronos 
** Conformance Test Source License Agreement as executed between Khronos 
** and the recipient.
** 
** For the avoidance of doubt, this code when provided: a) under the 
** Khronos Conformance Test Source License Agreement is for the sole 
** purpose of creating conformance tests for delivery to Khronos and does 
** not provide for formally testing products or use of Khronos trademarks 
** on conformant products; b) under the Khronos Adopters Agreement is for 
** the sole purpose of formally administering tests to products pursuant 
** to the Khronos Conformance Process Document.
** 
** Khronos, OpenKODE, OpenVG, OpenWF, glFX, OpenMAX and OpenSL ES are 
** trademarks of the Khronos Group Inc.  COLLADA is a trademark of Sony 
** Computer Entertainment Inc. used by permission by Khronos.  OpenGL and 
** OpenML are registered trademarks and the OpenGL ES logo is a trademark 
** of Silicon Graphics Inc. used by permission by Khronos. 
** 
** Use, duplication or disclosure by the Government is subject to 
** restrictions as set forth in subdivision (c)(1)(ii) of the Rights in 
** Technical Data and Computer Software clause at DFARS 252.227-7013, and/
** or in similar or successor clauses in the FAR, DOD or NASA FAR 
** Supplement. Unpublished rights reserved under the Copyright Laws of 
** the United States and other countries.
*/

/*
** Copyright 1999-2005, Silicon Graphics, Inc.
** All Rights Reserved.
**
** This is UNPUBLISHED PROPRIETARY SOURCE CODE of Silicon Graphics, Inc.;
** the contents of this file may not be disclosed to third parties, copied or
** duplicated in any form, in whole or in part, without the prior written
** permission of Silicon Graphics, Inc.
**
** RESTRICTED RIGHTS LEGEND:
** Use, duplication or disclosure by the Government is subject to restrictions
** as set forth in subdivision (c)(1)(ii) of the Rights in Technical Data
** and Computer Software clause at DFARS 252.227-7013, and/or in similar or
** successor clauses in the FAR, DOD or NASA FAR Supplement. Unpublished -
** rights reserved under the Copyright Laws of the United States.
**
** $Header: /home/cvs/OpenGL-ES/1.0/ogles/conform/conform/covgl/s.c,v 1.3 2005/05/11 15:21:44 artlab Exp $
*/

#include "shell.h"


void CallSampleCoverage(void)
{
    Output(1, "glSampleCoveragex\n");
    glSampleCoveragex(FIXED_ONE, GL_FALSE);
#ifdef COMMON
    Output(1, "glSampleCoverage\n");
    glSampleCoverage(1.0f, GL_FALSE);
#endif
    Output(1, "\n");
}

void CallScale(void)
{

    Output(1, "glScalex\n");
    glScalex(FIXED_ONE, FIXED_ONE, FIXED_ONE);
#ifdef COMMON
    Output(1, "glScalef\n");
    glScalef(1.0, 1.0, 1.0);
#endif
    Output(1, "\n");
}

void CallScissor(void)
{

    Output(1, "glScissor\n");
    glScissor(0, 0, 1, 1);
    Output(1, "\n");
}

void CallShadeModel(void)
{
    long i;

    Output(1, "glShadeModel\n");
    for (i = 0; enum_ShadingModel[i].value != -1; i++) {
	Output(1, "\t%s\n", enum_ShadingModel[i].name);
	glShadeModel(enum_ShadingModel[i].value);
	ProbeEnum();
    }
    Output(1, "\n");
}

void CallStencilFunc(void)
{
    long i;

    Output(1, "glStencilFunc\n");
    for (i = 0; enum_StencilFunction[i].value != -1; i++) {
	Output(1, "\t%s\n", enum_StencilFunction[i].name);
	glStencilFunc(enum_StencilFunction[i].value, 0, 0);
	ProbeEnum();
    }
    Output(1, "\n");
}

void CallStencilMask(void)
{

    Output(1, "glStencilMask\n");
    glStencilMask(0);
    Output(1, "\n");
}

void CallStencilOp(void)
{
    long i, j, k;

    Output(1, "glStencilOp\n");
    for (i = 0; enum_StencilOp[i].value != -1; i++) {
	for (j = 0; enum_StencilOp[j].value != -1; j++) {
	    for (k = 0; enum_StencilOp[k].value != -1; k++) {
		Output(1, "\t%s, %s, %s\n", enum_StencilOp[i].name, enum_StencilOp[j].name, enum_StencilOp[k].name);
		glStencilOp(enum_StencilOp[i].value, enum_StencilOp[j].value, enum_StencilOp[k].value);
		ProbeEnum();
	    }
	}
    }
    Output(1, "\n");
}
