/*
** Copyright (c) 2008 The Khronos Group Inc.
** 
** All Rights Reserved.  This code is protected by copyright laws and 
** contains material proprietary to the Khronos Group, Inc.  This is 
** UNPUBLISHED PROPRIETARY SOURCE CODE that may not be disclosed in whole 
** or in part to third parties, and may not be reproduced, republished, 
** distributed, transmitted, displayed, broadcast or otherwise exploited 
** in any manner without the express prior written permission of Khronos 
** Group.
** 
** The receipt or possession of this code does not convey any rights to 
** reproduce, disclose, or distribute its contents, or to manufacture, 
** use, or sell anything that it may describe, in whole or in part other 
** than under the terms of the Khronos Adopters Agreement or Khronos 
** Conformance Test Source License Agreement as executed between Khronos 
** and the recipient.
** 
** For the avoidance of doubt, this code when provided: a) under the 
** Khronos Conformance Test Source License Agreement is for the sole 
** purpose of creating conformance tests for delivery to Khronos and does 
** not provide for formally testing products or use of Khronos trademarks 
** on conformant products; b) under the Khronos Adopters Agreement is for 
** the sole purpose of formally administering tests to products pursuant 
** to the Khronos Conformance Process Document.
** 
** Khronos, OpenKODE, OpenVG, OpenWF, glFX, OpenMAX and OpenSL ES are 
** trademarks of the Khronos Group Inc.  COLLADA is a trademark of Sony 
** Computer Entertainment Inc. used by permission by Khronos.  OpenGL and 
** OpenML are registered trademarks and the OpenGL ES logo is a trademark 
** of Silicon Graphics Inc. used by permission by Khronos. 
** 
** Use, duplication or disclosure by the Government is subject to 
** restrictions as set forth in subdivision (c)(1)(ii) of the Rights in 
** Technical Data and Computer Software clause at DFARS 252.227-7013, and/
** or in similar or successor clauses in the FAR, DOD or NASA FAR 
** Supplement. Unpublished rights reserved under the Copyright Laws of 
** the United States and other countries.
*/

/*
** Copyright 1999-2005, Silicon Graphics, Inc.
** All Rights Reserved.
**
** This is UNPUBLISHED PROPRIETARY SOURCE CODE of Silicon Graphics, Inc.;
** the contents of this file may not be disclosed to third parties, copied or
** duplicated in any form, in whole or in part, without the prior written
** permission of Silicon Graphics, Inc.
**
** RESTRICTED RIGHTS LEGEND:
** Use, duplication or disclosure by the Government is subject to restrictions
** as set forth in subdivision (c)(1)(ii) of the Rights in Technical Data
** and Computer Software clause at DFARS 252.227-7013, and/or in similar or
** successor clauses in the FAR, DOD or NASA FAR Supplement. Unpublished -
** rights reserved under the Copyright Laws of the United States.
**
** $Header: /home/cvs/OpenGL-ES/1.0/ogles/conform/conform/covgl/shell.c,v 1.12 2005/07/08 09:19:37 artlab Exp $
*/

#include "shell.h"


long verbose;
long logFile;
char logFileName[80];
FILEHANDLE logFileHandle;


void StateReset(void)
{
    static const GLfixed fixed_fog_color[4] = {0, 0, 0, 0};
    GLfixed fixed_ambient_scene[4] = {FIXED_NAN, FIXED_NAN, FIXED_NAN, FIXED_ONE};
    static const GLfixed fixed_light_ambient[4] = {0, 0, 0, FIXED_ONE};
    static const GLfixed fixed_light_diffuse_0[4] = {FIXED_ONE, FIXED_ONE, FIXED_ONE, FIXED_ONE};
    static const GLfixed fixed_light_diffuse_n[4] = {0, 0, 0, 0};
    static const GLfixed fixed_light_specular_0[4] = {FIXED_ONE, FIXED_ONE, FIXED_ONE, FIXED_ONE};
    static const GLfixed fixed_light_specular_n[4] = {0, 0, 0, 0};
    static const GLfixed fixed_light_position[4] = {0, 0, FIXED_ONE, 0};
    static const GLfixed fixed_spot_direction[3] = {0, 0, -FIXED_ONE};
    GLfixed fixed_material_ambient[4] = {FIXED_NAN, FIXED_NAN, FIXED_NAN, FIXED_ONE};
    GLfixed fixed_material_diffuse[4] = {FIXED_NAN, FIXED_NAN, FIXED_NAN, FIXED_ONE};
    static const GLfixed fixed_material_specular[4] = {0, 0, 0, FIXED_ONE};
    static const GLfixed fixed_material_emission[4] = {0, 0, 0, FIXED_ONE};
    static const GLfixed fixed_texture_env_color[4] = {0, 0, 0, 0};
#ifdef COMMON
    static const GLfloat float_fog_color[4] = {0.0f, 0.0f, 0.0f, 0.0f};
    static const GLfloat float_ambient_scene[4] = {0.2f, 0.2f, 0.2f, 1.0f};
    static const GLfloat float_light_ambient[4] = {0.0f, 0.0f, 0.0f, 1.0f};
    static const GLfloat float_light_diffuse_0[4] = {1.0f, 1.0f, 1.0f, 1.0f};
    static const GLfloat float_light_diffuse_n[4] = {0.0f, 0.0f, 0.0f, 0.0f};
    static const GLfloat float_light_specular_0[4] = {1.0f, 1.0f, 1.0f, 1.0f};
    static const GLfloat float_light_specular_n[4] = {0.0f, 0.0f, 0.0f, 0.0f};
    static const GLfloat float_light_position[4] = {0.0f, 0.0f, 1.0f, 0.0f};
    static const GLfloat float_spot_direction[3] = {0.0f, 0.0f, -1.0f};
    static const GLfloat float_material_ambient[4] = {0.2f, 0.2f, 0.2f, 1.0f};
    static const GLfloat float_material_diffuse[4] = {0.8f, 0.8f, 0.8f, 1.0f};
    static const GLfloat float_material_specular[4] = {0.0f, 0.0f, 0.0f, 1.0f};
    static const GLfloat float_material_emission[4] = {0.0f, 0.0f, 0.0f, 1.0f};
    static const GLfloat float_texture_env_color[4] = {0.0f, 0.0f, 0.0f, 0.0f};
#endif

    int i;
    GLint max_lights;
    GLint max_texture_units;

    /* fixup initial values */

    fixed_ambient_scene[0] =
    fixed_ambient_scene[1] =
    fixed_ambient_scene[2] = atox("0.2");

    fixed_material_ambient[0] =
    fixed_material_ambient[1] =
    fixed_material_ambient[2] = atox("0.2");

    fixed_material_diffuse[0] =
    fixed_material_diffuse[1] =
    fixed_material_diffuse[2] = atox("0.8");

    /* matrix stacks are not reset */

    glGetIntegerv(GL_MAX_LIGHTS, &max_lights);
    glGetIntegerv(GL_MAX_TEXTURE_UNITS, &max_texture_units);

    glDisable(GL_ALPHA_TEST);
    glDisable(GL_BLEND);
    glDisable(GL_COLOR_LOGIC_OP);
    glDisable(GL_COLOR_MATERIAL);
    glDisable(GL_CULL_FACE);
    glDisable(GL_DEPTH_TEST);
    glDisable(GL_FOG);
    for (i = 0; i < max_lights; i++) {
        glDisable(GL_LIGHT0 + i);
    }
    glDisable(GL_LIGHTING);
    glDisable(GL_LINE_SMOOTH);
    glDisable(GL_NORMALIZE);
    glDisable(GL_POINT_SMOOTH);
    glDisable(GL_POLYGON_OFFSET_FILL);
    glDisable(GL_RESCALE_NORMAL);
    glDisable(GL_SAMPLE_ALPHA_TO_COVERAGE);
    glDisable(GL_SAMPLE_ALPHA_TO_ONE);
    glDisable(GL_SAMPLE_COVERAGE);
    glDisable(GL_SCISSOR_TEST);
    glDisable(GL_STENCIL_TEST);

    glEnable(GL_DITHER);
    glEnable(GL_MULTISAMPLE);

    glDisableClientState(GL_VERTEX_ARRAY);
    glDisableClientState(GL_NORMAL_ARRAY);
    glDisableClientState(GL_COLOR_ARRAY);
    glDisableClientState(GL_TEXTURE_COORD_ARRAY);

    for (i = 0; i < max_texture_units; i++) {
        glActiveTexture(GL_TEXTURE0 + i);
        glDisable(GL_TEXTURE_2D);
        glTexEnvx(GL_TEXTURE_ENV, GL_TEXTURE_ENV_MODE, GL_MODULATE);
        glTexEnvxv(GL_TEXTURE_ENV, GL_TEXTURE_ENV_COLOR, fixed_texture_env_color);
#ifdef COMMON
        glTexEnvf(GL_TEXTURE_ENV, GL_TEXTURE_ENV_MODE, GL_MODULATE);
        glTexEnvfv(GL_TEXTURE_ENV, GL_TEXTURE_ENV_COLOR, float_texture_env_color);
#endif
        glBindTexture(GL_TEXTURE_2D, 0);
        glTexParameterx(GL_TEXTURE_2D, GL_TEXTURE_MIN_FILTER, GL_NEAREST_MIPMAP_LINEAR);
        glTexParameterx(GL_TEXTURE_2D, GL_TEXTURE_MIN_FILTER, GL_LINEAR);
        glTexParameterx(GL_TEXTURE_2D, GL_TEXTURE_WRAP_S, GL_REPEAT);
        glTexParameterx(GL_TEXTURE_2D, GL_TEXTURE_WRAP_T, GL_REPEAT);
#ifdef COMMON
        glTexParameterf(GL_TEXTURE_2D, GL_TEXTURE_MIN_FILTER, GL_NEAREST_MIPMAP_LINEAR);
        glTexParameterf(GL_TEXTURE_2D, GL_TEXTURE_MIN_FILTER, GL_LINEAR);
        glTexParameterf(GL_TEXTURE_2D, GL_TEXTURE_WRAP_S, GL_REPEAT);
        glTexParameterf(GL_TEXTURE_2D, GL_TEXTURE_WRAP_T, GL_REPEAT);
        glVertexPointer(4, GL_FLOAT, 0, NULL);
#endif

        glClientActiveTexture(GL_TEXTURE0 + i);
        glDisableClientState(GL_TEXTURE_COORD_ARRAY);
#ifdef COMMON_LITE
        /* should be GL_FLOAT but does not exist */
        glTexCoordPointer(4, GL_FIXED, 0, NULL);
#endif
#ifdef COMMON
        glTexCoordPointer(4, GL_FLOAT, 0, NULL);
#endif
    }

    glAlphaFuncx(GL_ALWAYS, 0);
#ifdef COMMON
    glAlphaFunc(GL_ALWAYS, 0.0);
#endif
    glBindTexture(GL_TEXTURE_2D, 0);
    glBlendFunc(GL_ONE, GL_ZERO);
    glClearColorx(0, 0, 0, 0);
    glClearDepthx(FIXED_ONE);
#ifdef COMMON
    glClearColor(0.0, 0.0, 0.0, 0.0);
    glClearDepthf(1.0);
#endif
    glClearStencil(0);
    glColor4x(FIXED_ONE, FIXED_ONE, FIXED_ONE, FIXED_ONE);
#ifdef COMMON
    glColor4f(1.0, 1.0, 1.0, 1.0);
#endif
    glColorMask(GL_TRUE, GL_TRUE, GL_TRUE, GL_TRUE);
    glColorPointer(4, GL_FIXED, 0, NULL);
#ifdef COMMON
    glColorPointer(4, GL_FLOAT, 0, NULL);
#endif
    glCullFace(GL_BACK);
    glDepthFunc(GL_LESS);
    glDepthMask(GL_TRUE);
    glDepthRangex(0, FIXED_ONE);
    glFogx(GL_FOG_MODE, GL_EXP);
    glFogx(GL_FOG_DENSITY, FIXED_ONE);
    glFogx(GL_FOG_START, 0);
    glFogx(GL_FOG_END, FIXED_ONE);
    glFogxv(GL_FOG_COLOR, fixed_fog_color);
#ifdef COMMON
    glDepthRangef(0.0, 1.0);
    glFogf(GL_FOG_MODE, GL_EXP);
    glFogf(GL_FOG_DENSITY, 1.0);
    glFogf(GL_FOG_START, 0.0);
    glFogf(GL_FOG_END, 1.0);
    glFogfv(GL_FOG_COLOR, float_fog_color);
#endif
    glFrontFace(GL_CCW);
    glHint(GL_FOG_HINT, GL_DONT_CARE);
    glHint(GL_LINE_SMOOTH_HINT, GL_DONT_CARE);
    glHint(GL_PERSPECTIVE_CORRECTION_HINT, GL_DONT_CARE);
    glHint(GL_POINT_SMOOTH_HINT, GL_DONT_CARE);
    glLightModelxv(GL_LIGHT_MODEL_AMBIENT, fixed_ambient_scene);
    glLightModelx(GL_LIGHT_MODEL_TWO_SIDE, 0);
#ifdef COMMON
    glLightModelfv(GL_LIGHT_MODEL_AMBIENT, float_ambient_scene);
    glLightModelf(GL_LIGHT_MODEL_TWO_SIDE, 0);
#endif

    for (i = 0; i < max_lights; i++) {
        glLightxv(GL_LIGHT0 + i, GL_AMBIENT, fixed_light_ambient);
        if (i == 0) {
            glLightxv(GL_LIGHT0 + i, GL_DIFFUSE, fixed_light_diffuse_0);
            glLightxv(GL_LIGHT0 + i, GL_SPECULAR, fixed_light_specular_0);
        } else {
            glLightxv(GL_LIGHT0 + i, GL_DIFFUSE, fixed_light_diffuse_n);
            glLightxv(GL_LIGHT0 + i, GL_SPECULAR, fixed_light_specular_n);
        }
        glLightxv(GL_LIGHT0 + i, GL_POSITION, fixed_light_position);
        glLightx(GL_LIGHT0 + i, GL_SPOT_CUTOFF, itox(180));
        glLightx(GL_LIGHT0 + i, GL_SPOT_EXPONENT, 0);
        glLightxv(GL_LIGHT0 + i, GL_SPOT_DIRECTION, fixed_spot_direction);
        glLightx(GL_LIGHT0 + i, GL_CONSTANT_ATTENUATION, FIXED_ONE);
        glLightx(GL_LIGHT0 + i, GL_LINEAR_ATTENUATION, 0);
        glLightx(GL_LIGHT0 + i, GL_QUADRATIC_ATTENUATION, 0);
#ifdef COMMON
        glLightfv(GL_LIGHT0 + i, GL_AMBIENT, float_light_ambient);
        if (i == 0) {
            glLightfv(GL_LIGHT0 + i, GL_DIFFUSE, float_light_diffuse_0);
            glLightfv(GL_LIGHT0 + i, GL_SPECULAR, float_light_specular_0);
        } else {
            glLightfv(GL_LIGHT0 + i, GL_DIFFUSE, float_light_diffuse_n);
            glLightfv(GL_LIGHT0 + i, GL_SPECULAR, float_light_specular_n);
        }
        glLightfv(GL_LIGHT0 + i, GL_POSITION, float_light_position);
        glLightf(GL_LIGHT0 + i, GL_SPOT_CUTOFF, 180.0);
        glLightf(GL_LIGHT0 + i, GL_SPOT_EXPONENT, 0.0);
        glLightfv(GL_LIGHT0 + i, GL_SPOT_DIRECTION, float_spot_direction);
        glLightf(GL_LIGHT0 + i, GL_CONSTANT_ATTENUATION, 1.0);
        glLightf(GL_LIGHT0 + i, GL_LINEAR_ATTENUATION, 0.0);
        glLightf(GL_LIGHT0 + i, GL_QUADRATIC_ATTENUATION, 0.0);
#endif
    }

    glLineWidthx(FIXED_ONE);
#ifdef COMMON
    glLineWidth(1.0);
#endif
    glLogicOp(GL_COPY);
    glMaterialxv(GL_FRONT_AND_BACK, GL_AMBIENT, fixed_material_ambient);
    glMaterialxv(GL_FRONT_AND_BACK, GL_DIFFUSE, fixed_material_diffuse);
    glMaterialxv(GL_FRONT_AND_BACK, GL_SPECULAR, fixed_material_specular);
    glMaterialxv(GL_FRONT_AND_BACK, GL_EMISSION, fixed_material_emission);
    glMaterialx(GL_FRONT_AND_BACK, GL_SHININESS, 0);
#ifdef COMMON
    glMaterialfv(GL_FRONT_AND_BACK, GL_AMBIENT, float_material_ambient);
    glMaterialfv(GL_FRONT_AND_BACK, GL_DIFFUSE, float_material_diffuse);
    glMaterialfv(GL_FRONT_AND_BACK, GL_SPECULAR, float_material_specular);
    glMaterialfv(GL_FRONT_AND_BACK, GL_EMISSION, float_material_emission);
    glMaterialf(GL_FRONT_AND_BACK, GL_SHININESS, 0.0);
#endif
    glMatrixMode(GL_MODELVIEW);
    for (i = 0; i != max_texture_units; ++i) {
        glMultiTexCoord4x(GL_TEXTURE0 + i, 0, 0, 0, FIXED_ONE);
#ifdef COMMON
        glMultiTexCoord4f(GL_TEXTURE0 + i, 0.0, 0.0, 0.0, 1.0);
#endif
    }
    glNormal3x(0, 0, FIXED_ONE);
    glNormalPointer(GL_FIXED, 0, NULL);
#ifdef COMMON
    glNormal3f(0.0, 0.0, 1.0);
    glNormalPointer(GL_FLOAT, 0, NULL);
#endif
    glPixelStorei(GL_UNPACK_ALIGNMENT, 4);
    glPixelStorei(GL_PACK_ALIGNMENT, 4);
    glPointSizex(FIXED_ONE);
    glPolygonOffsetx(0, 0);
    glSampleCoveragex(FIXED_ONE, GL_FALSE);
#ifdef COMMON
    glPointSize(1.0);
    glPolygonOffset(0.0, 0.0);
    glSampleCoverage(1.0, GL_FALSE);
#endif
    glScissor(0, 0, WINDSIZEX, WINDSIZEY);
    glShadeModel(GL_FLAT);
    glStencilFunc(GL_ALWAYS, 0, ~0);
    glStencilMask(~0);
    glStencilOp(GL_KEEP, GL_KEEP, GL_KEEP);
    glVertexPointer(4, GL_FIXED, 0, NULL);
#ifdef COMMON
    glVertexPointer(4, GL_FLOAT, 0, NULL);
#endif
    glViewport(0, 0, WINDSIZEX, WINDSIZEY);

#ifdef GL_OES_matrix_palette
    if (tkCheckExtension("GL_OES_matrix_palette")) {
        GLint maxPaletteMatrices, i;

        glGetIntegerv(GL_MAX_PALETTE_MATRICES_OES, &maxPaletteMatrices);
        
        for (i = maxPaletteMatrices; i--; ) {
            glCurrentPaletteMatrixOES(i);
            glLoadPaletteFromModelViewMatrixOES();
        }

        glMatrixIndexPointerOES(0, GL_UNSIGNED_BYTE, 0, NULL);
        glWeightPointerOES(0, GL_FIXED, 0, NULL);
#ifdef COMMON
        glWeightPointerOES(0, GL_FLOAT, 0, NULL);
#endif
    }
#endif

    while (glGetError());

}

void Output(long level, char *format, ...)
{
    char	__output[1024];
    VA_LIST args;

    VA_START(args, format);
    if (verbose >= level) {
	VSPRINTF(__output, format, args);
        PRINTF1("%s", __output);
	FFLUSH(stdout);
        if (logFileHandle) {
            FPRINTF1(logFileHandle, "%s", __output);
            FFLUSH(logFileHandle);
        }
    }
    VA_END(args);
}

void FailAndDie(void)
{

    Output(1, "\n");
    Output(0, "covgl failed.\n");
    Output(0, "\n");
    tkQuit();
}

void ProbeEnum(void)
{

    if (glGetError() == GL_INVALID_ENUM) {
        FailAndDie();
    }
}

void ProbeError(void (*Func)(void))
{

    (*Func)();
    if (glGetError() != GL_NO_ERROR) {
        FailAndDie();
    }

    StateReset();
}

void ZeroBuf(GLenum type, long size, void *buf)
{
    long i;

    switch (type) {
    case GL_UNSIGNED_BYTE:
        {
            unsigned char *ptr = (unsigned char *)buf;
            for (i = 0; i < size; i++) {
                *ptr++ = 0;
            }
        }
        break;
    case GL_BYTE:
        {
            char *ptr = (char *)buf;
            for (i = 0; i < size; i++) {
                *ptr++ = 0;
            }
        }
        break;
    case GL_UNSIGNED_SHORT:
        {
            unsigned short *ptr = (unsigned short *)buf;
            for (i = 0; i < size; i++) {
                *ptr++ = 0;
            }
        }
        break;
    case GL_SHORT:
        {
            short *ptr = (short *)buf;
            for (i = 0; i < size; i++) {
                *ptr++ = 0;
            }
        }
        break;
#ifdef COMMON
    case GL_FLOAT:
        {
            float *ptr = (float *)buf;
            for (i = 0; i < size; i++) {
                *ptr++ = 0;
            }
        }
        break;
#endif
    }
}

char const *
GetEnumName(GLenum value)
{
    long i;

    for (i = 0; enum_Check[i].value != -1; i++) {
        if (enum_Check[i].value == (long)value) {
            return enum_Check[i].name;
        }
    }

    return NULL;
}

static void DoTests(void)
{
    VerifyEnums();

    ProbeError(CallGet);
    ProbeError(CallGetError);
    ProbeError(CallGetString);

#ifdef GL_OES_VERSION_1_1
    ProbeError(CallGetTexEnv);
    ProbeError(CallGetLight);
    ProbeError(CallGetMaterial);
    ProbeError(CallGetClipPlane);
    ProbeError(CallGetPointer);
    ProbeError(CallGetTexParameter);
    ProbeError(CallGetBufferParameter);
#endif /* GL_OES_VERSION_1_1 */


    ProbeError(CallEnableDisable);

    ProbeError(CallHint);

    ProbeError(CallViewport);
    ProbeError(CallOrtho);
    ProbeError(CallFrustum);
    ProbeError(CallScissor);

    ProbeError(CallLoadIdentity);
    ProbeError(CallMatrixMode);
    ProbeError(CallPushMatrix);
    ProbeError(CallLoadMatrix);
    ProbeError(CallMultMatrix);
    ProbeError(CallRotate);
    ProbeError(CallScale);
    ProbeError(CallTranslate);
    ProbeError(CallPopMatrix);

    ProbeError(CallClear);
    ProbeError(CallClearColor);
    ProbeError(CallClearDepth);
    ProbeError(CallClearStencil);

    ProbeError(CallColorMask);
    ProbeError(CallColor);

    ProbeError(CallNormal);

    ProbeError(CallAlphaFunc);
    ProbeError(CallBlendFunc);
    ProbeError(CallDepthFunc);
    ProbeError(CallDepthMask);
    ProbeError(CallDepthRange);
    ProbeError(CallLogicOp);
    ProbeError(CallStencilFunc);
    ProbeError(CallStencilMask);
    ProbeError(CallStencilOp);

    ProbeError(CallPixelStore);
    ProbeError(CallReadPixels);

    ProbeError(CallFog);
    ProbeError(CallLightModel);
    ProbeError(CallLight);
    ProbeError(CallMaterial);
    
#ifdef GL_OES_VERSION_1_1
    ProbeError(CallIsTexture);
    ProbeError(CallIsEnabled);
#endif /* GL_OES_VERSION_1_1 */

    ProbeError(CallTexEnv);
    ProbeError(CallTexParameter);
    ProbeError(CallTexImage2D);
    ProbeError(CallTexSubImage2D);
    ProbeError(CallGenTextures);
    ProbeError(CallBindDeleteTexture);
    ProbeError(CallCopyTexImage2D);
    ProbeError(CallCopyTexSubImage2D);
    ProbeError(CallCompressedTexImage2D);
    ProbeError(CallCompressedTexSubImage2D);

#ifdef GL_OES_VERSION_1_1
    ProbeError(CallBindDeleteBuffer);
    ProbeError(CallIsBuffer);
    ProbeError(CallBufferData);
    ProbeError(CallBufferSubData);
    ProbeError(CallGenBuffers);
#endif /* GL_OES_VERSION_1_1 */

    ProbeError(CallShadeModel);
    ProbeError(CallPointSize);
    ProbeError(CallLineWidth);
    ProbeError(CallCullFace);
    ProbeError(CallFrontFace);
    ProbeError(CallPolygonOffset);

#ifdef GL_OES_VERSION_1_1
    ProbeError(CallPointParameter);
#endif /* GL_OES_VERSION_1_1 */

    ProbeError(CallFlush);
    ProbeError(CallFinish);

    ProbeError(CallColorPointer);
    ProbeError(CallDrawArrays);
    ProbeError(CallDrawElements);
#ifdef GL_OES_draw_texture
    if (tkCheckExtension("GL_OES_draw_texture")) {
        ProbeError(CallDrawTex);
    }
#endif /*GL_OES_draw_texture */
    ProbeError(CallNormalPointer);
    ProbeError(CallTexCoordPointer);
    ProbeError(CallVertexPointer);
#ifdef GL_OES_VERSION_1_1
    ProbeError(CallPointSizePointerOES);
#endif
    ProbeError(CallEnableDisableClientState);

    ProbeError(CallActiveTexture);
    ProbeError(CallClientActiveTexture);
    ProbeError(CallMultiTexCoord);

    ProbeError(CallSampleCoverage);

#ifdef GL_OES_query_matrix
    if (tkCheckExtension("GL_OES_query_matrix")) {
        ProbeError(CallQueryMatrix);
    }
#endif

#ifdef GL_OES_matrix_palette
    if (tkCheckExtension("GL_OES_matrix_palette")) {
        ProbeError(CallCurrentPaletteMatrixOES);
        ProbeError(CallLoadPaletteFromModelViewMatrixOES);
        ProbeError(CallMatrixIndexPointerOES);
        ProbeError(CallWeightPointerOES);
    }
#endif

#ifdef GL_OES_VERSION_1_1
    ProbeError(CallClipPlane);
#endif
    Output(0, "covgl passed.\n");
    Output(0, "\n");

    FFLUSH(stdout);
}

static long Exec(TK_EventRec *ptr)
{

    if (ptr->event == TK_EVENT_EXPOSE) {
        glViewport(0, 0, WINDSIZEX, WINDSIZEY);
        glScissor(0, 0, WINDSIZEX, WINDSIZEY);

        DoTests();
        return 0;
    }
    return 1;
}

static long Init(int argc, char **argv)
{
    long i;

    verbose = 0;

    for (i = 1; i < argc; i++) {
        if (STRCMP(argv[i], "-h") == 0) {
            Output(0, "Options:\n");
	    Output(0, "\t-h\t\tPrint this help screen.\n");
	    Output(0, "\t-l\t<file>\tCreate a logfile.\n");
	    Output(0, "\t-v\t\tVerbose mode ON.\n");
            Output(0, "\n");
            return 1;
	} else if (STRCMP(argv[i], "-l") == 0) {
            if (i+1 >= argc || argv[i+1][0] == '-') {
                Output(0, "-l (No logfile name).\n\n");
                return GL_TRUE;
            } else {
	    	logFile = 1;
                STRCPY(logFileName, argv[++i]);
                logFileHandle = FOPEN(logFileName, "w");
                if (logFileHandle != NULL) {
                    FCLOSE(logFileHandle);
                    Output(0, "Logfile %s created.\n\n", argv[i]);
                } else {
                    Output(0, "-l (Bad logfile name).\n\n");
                }
            }
        } else if (STRCMP(argv[i], "-v") == 0) {
            verbose = 1;
        } else {
            PRINTF1("%s (Bad option).\n", argv[i]);
            return 1;
        }
    }
    return 0;
}

#if defined(CONFORM_ALTERNATE_MAIN)
  int conformain_covgl(int argc, char **argv)
#else
  int main(int argc, char **argv)
#endif
{
    TK_WindowRec wind;

    if (Init(argc, argv)) {
        tkQuit();
        return EXIT_FAILURE;
    }

    if (logFile) {
         logFileHandle = FOPEN(logFileName, "a");
    }

    Output(0, "OpenGL ES Coverage Test.\n");
    Output(0, "Version CONFORM_VERSION, CONFORM_DATE\n");
    Output(0, "\n");

    STRCPY(wind.name, "OpenGL ES Coverage Test");
    wind.x = 0;
    wind.y = 0;
    wind.width = WINDSIZEX;
    wind.height = WINDSIZEY;
    wind.type = TK_WIND_REQUEST;

    wind.info = TK_WIND_STENCIL;
    if (tkNewWindow(&wind)) {
        tkExec(Exec);
	tkCloseWindow();
    } else {
        wind.info = 0;
        if (tkNewWindow(&wind)) {
            tkExec(Exec);
	    tkCloseWindow();
        } else {
            Output(0, "Config requested not found.\n");
        }
    }
    tkQuit();

    if (logFileHandle) {
        FCLOSE(logFileHandle);
    }
    return EXIT_SUCCESS;
}
