/*
** Copyright (c) 2008 The Khronos Group Inc.
** 
** All Rights Reserved.  This code is protected by copyright laws and 
** contains material proprietary to the Khronos Group, Inc.  This is 
** UNPUBLISHED PROPRIETARY SOURCE CODE that may not be disclosed in whole 
** or in part to third parties, and may not be reproduced, republished, 
** distributed, transmitted, displayed, broadcast or otherwise exploited 
** in any manner without the express prior written permission of Khronos 
** Group.
** 
** The receipt or possession of this code does not convey any rights to 
** reproduce, disclose, or distribute its contents, or to manufacture, 
** use, or sell anything that it may describe, in whole or in part other 
** than under the terms of the Khronos Adopters Agreement or Khronos 
** Conformance Test Source License Agreement as executed between Khronos 
** and the recipient.
** 
** For the avoidance of doubt, this code when provided: a) under the 
** Khronos Conformance Test Source License Agreement is for the sole 
** purpose of creating conformance tests for delivery to Khronos and does 
** not provide for formally testing products or use of Khronos trademarks 
** on conformant products; b) under the Khronos Adopters Agreement is for 
** the sole purpose of formally administering tests to products pursuant 
** to the Khronos Conformance Process Document.
** 
** Khronos, OpenKODE, OpenVG, OpenWF, glFX, OpenMAX and OpenSL ES are 
** trademarks of the Khronos Group Inc.  COLLADA is a trademark of Sony 
** Computer Entertainment Inc. used by permission by Khronos.  OpenGL and 
** OpenML are registered trademarks and the OpenGL ES logo is a trademark 
** of Silicon Graphics Inc. used by permission by Khronos. 
** 
** Use, duplication or disclosure by the Government is subject to 
** restrictions as set forth in subdivision (c)(1)(ii) of the Rights in 
** Technical Data and Computer Software clause at DFARS 252.227-7013, and/
** or in similar or successor clauses in the FAR, DOD or NASA FAR 
** Supplement. Unpublished rights reserved under the Copyright Laws of 
** the United States and other countries.
*/

/*
** Copyright 1999-2005, Silicon Graphics, Inc.
** All Rights Reserved.
**
** This is UNPUBLISHED PROPRIETARY SOURCE CODE of Silicon Graphics, Inc.;
** the contents of this file may not be disclosed to third parties, copied or
** duplicated in any form, in whole or in part, without the prior written
** permission of Silicon Graphics, Inc.
**
** RESTRICTED RIGHTS LEGEND:
** Use, duplication or disclosure by the Government is subject to restrictions
** as set forth in subdivision (c)(1)(ii) of the Rights in Technical Data
** and Computer Software clause at DFARS 252.227-7013, and/or in similar or
** successor clauses in the FAR, DOD or NASA FAR Supplement. Unpublished -
** rights reserved under the Copyright Laws of the United States.
**
** $Header: /home/cvs/OpenGL-ES/1.0/ogles/conform/conform/covgl/shell.h,v 1.11 2005/05/11 15:21:44 artlab Exp $
*/

#include <fixed/fixed.h>
#include <ctk/ctk.h>
#include <GLES/egl.h>


#define WINDSIZEX 48
#define WINDSIZEY 48

#if !defined(GL_OES_VERSION_1_1) && defined(GL_VERSION_ES_CM_1_1) && defined(GL_VERSION_ES_CL_1_1)
#   if GL_VERSION_ES_CM_1_1 || GL_VERSION_ES_CL_1_1
#       define GL_OES_VERSION_1_1
#   endif
#endif

typedef struct _enumCheckRec {
    char name[256];
    long value;
    long true_;
} enumCheckRec;

typedef struct _enumTestRec {
    char name[256];
    long value;
} enumTestRec;


extern enumCheckRec const enum_Check[];
extern enumTestRec const enum_AlphaFunction[];
extern enumTestRec const enum_BlendingFactorDest[];
extern enumTestRec const enum_BlendingFactorSrc[];

extern enumTestRec const enum_Boolean[];

#ifdef GL_OES_VERSION_1_1
extern enumTestRec const enum_BufferParameters[];
#endif /* GL_OES_VERSION_1_1 */

extern enumTestRec const enum_Enable[];
extern enumTestRec const enum_EnableClientState[];
extern enumTestRec const enum_ClearBufferMask[];
extern enumTestRec const enum_ColorMaterialFace[];
extern enumTestRec const enum_ColorMaterialParameter[];
extern enumTestRec const enum_CopyTextureInternalFormat[];
extern enumTestRec const enum_CullFaceMode[];
extern enumTestRec const enum_DepthFunction[];
extern enumTestRec const enum_ErrorCode[];
extern enumTestRec const enum_FogMode[];
extern enumTestRec const enum_FogParameter[];
extern enumTestRec const enum_FrontFaceDirection[];
extern enumTestRec const enum_GetTarget[];
#ifdef GL_OES_VERSION_1_1
extern enumTestRec const enum_GetPointer[];
#endif /* GL_OES_VERSION_1_1 */
extern enumTestRec const enum_HintMode[];
extern enumTestRec const enum_HintTarget[];
extern enumTestRec const enum_LightModelParameter[];
extern enumTestRec const enum_LightName[];
extern enumTestRec const enum_LightParameter[];
extern enumTestRec const enum_LogicOp[];
extern enumTestRec const enum_MaterialFace[];
extern enumTestRec const enum_MaterialParameter[];
extern enumTestRec const enum_MatrixMode[];
extern enumTestRec const enum_MultiTextureUnits[];

#ifdef GL_OES_VERSION_1_1
extern enumTestRec const enum_PointParameterPname[];
extern enumTestRec const enum_PointParameterPnameV[];
#endif /* GL_OES_VERSION_1_1 */

extern enumTestRec const enum_PixelFormat[];
extern enumTestRec const enum_PixelMap[];
extern enumTestRec const enum_PixelStore[];
extern enumTestRec const enum_PixelType[];
extern enumTestRec const enum_BeginMode[];
extern enumTestRec const enum_ShadingModel[];
extern enumTestRec const enum_StencilFunction[];
extern enumTestRec const enum_StencilOp[];
extern enumTestRec const enum_StringName[];
extern enumTestRec const enum_TextureCoordName[];
extern enumTestRec const enum_TextureEnvMode[];
extern enumTestRec const enum_TextureEnvParameter[];
extern enumTestRec const enum_TextureEnvTarget[];
extern enumTestRec const enum_TextureFormat[];
extern enumTestRec const enum_TextureWrapMode[];
extern enumTestRec const enum_TextureMagFilter[];
extern enumTestRec const enum_TextureMinFilter[];
extern enumTestRec const enum_TextureParameterName[];
extern enumTestRec const enum_TextureTarget[];
extern enumTestRec const enum_TextureType[];

#ifdef GL_OES_VERSION_1_1
extern enumTestRec const enum_ClipPlanes[];
extern enumTestRec const enum_BufferObjectTargets[];
extern enumTestRec const enum_BufferObjectUsages[];
#endif /* GL_OES_VERSION_1_1 */

#ifdef GL_OES_VERSION_1_1
extern enumTestRec const enum_TexCombineSrcPname[];
extern enumTestRec const enum_TexCombineOperandRGBPname[];
extern enumTestRec const enum_TexCombineOperandAlphaPname[];
extern enumTestRec const enum_TexCombineRGBParameter[];
extern enumTestRec const enum_TexCombineAlphaParameter[];
extern enumTestRec const enum_TexCombineSrcParameter[];
extern enumTestRec const enum_TexCombineOperandRGBParameter[];
extern enumTestRec const enum_TexCombineOperandAlphaParameter[];
extern enumTestRec const enum_TexCombineScalePname[];
#endif /* GL_OES_VERSION_1_1 */

#ifdef GL_OES_matrix_palette
extern enumTestRec const enum_MatrixModeMatrixPalette[];
extern enumTestRec const enum_GetTargetMatrixPalette[];
extern enumTestRec const enum_EnableMatrixPalette[];
extern enumTestRec const enum_EnableClientStateMatrixPalette[];
#endif /* GL_OES_matrix_palette */

extern int HasExtension(const char *);
extern void FailAndDie(void);
extern void StateReset(void);
extern void Output(long level, char *, ...);
extern void ProbeError(void (*)(void));
extern void ProbeEnum(void);
extern void ZeroBuf(GLenum, long, void *);
extern char const *GetEnumName(GLenum value);

extern void VerifyEnums(void);

extern void CallActiveTexture(void);
extern void CallAlphaFunc(void);
extern void CallBlendFunc(void);
extern void CallBindDeleteTexture(void);
extern void CallClear(void);
extern void CallClearColor(void);
extern void CallClearDepth(void);
extern void CallClearStencil(void);
extern void CallClientActiveTexture(void);
extern void CallColor(void);
extern void CallColorMask(void);
extern void CallColorPointer(void);
extern void CallCompressedTexImage2D(void);
extern void CallCompressedTexSubImage2D(void);
extern void CallCopyTexImage2D(void);
extern void CallCopyTexSubImage2D(void);
extern void CallCullFace(void);
extern void CallDepthFunc(void);
extern void CallDepthMask(void);
extern void CallDepthRange(void);
extern void CallDrawArrays(void);
extern void CallDrawElements(void);

#ifdef GL_OES_draw_texture
extern void CallDrawTex(void);
#endif /* GL_OES_draw_texture */

extern void CallEdgeFlag(void);
extern void CallEnableDisable(void);
extern void CallEnableDisableClientState(void);
extern void CallFinish(void);
extern void CallFlush(void);
extern void CallFog(void);
extern void CallFrontFace(void);
extern void CallFrustum(void);
extern void CallGenTextures(void);
extern void CallGet(void);
extern void CallGetError(void);
extern void CallGetString(void);
#ifdef GL_OES_VERSION_1_1
extern void CallGetTexEnv(void);
extern void CallGetLight(void);
extern void CallGetMaterial(void);
extern void CallGetClipPlane(void); 
extern void CallGetPointer(void);
#endif /* GL_OES_VERSION_1_1 */

#ifdef GL_OES_VERSION_1_1
extern void CallGetBufferParameter(void);
extern void CallGetTexParameter(void);
#endif /* GL_OES_VERSION_1_1 */

extern void CallHint(void);
extern void CallLight(void);
extern void CallLightModel(void);
extern void CallLineWidth(void);
extern void CallLoadIdentity(void);
extern void CallLoadMatrix(void);
extern void CallLogicOp(void);
extern void CallMaterial(void);
extern void CallMatrixMode(void);
extern void CallMultiTexCoord(void);
extern void CallMultMatrix(void);
extern void CallNormal(void);
extern void CallNormalPointer(void);
extern void CallOrtho(void);
extern void CallPixelStore(void);
#ifdef GL_OES_VERSION_1_1
extern void CallPointParameter(void);
#endif /* GL_OES_VERSION_1_1 */
extern void CallPointSize(void);
extern void CallPolygonOffset(void);
extern void CallPopMatrix(void);
extern void CallPushMatrix(void);
extern void CallReadPixels(void);
extern void CallRotate(void);
extern void CallSampleCoverage(void);
extern void CallScale(void);
extern void CallScissor(void);
extern void CallShadeModel(void);
extern void CallStencilFunc(void);
extern void CallStencilMask(void);
extern void CallStencilOp(void);
#ifdef GL_OES_VERSION_1_1
extern void CallIsTexture(void);
extern void CallIsEnabled(void);
#endif /* GL_OES_VERSION_1_1 */
extern void CallTexCoord(void);
extern void CallTexCoordPointer(void);
extern void CallTexEnv(void);
extern void CallTexImage2D(void);
extern void CallTexParameter(void);
extern void CallTexSubImage2D(void);
extern void CallTranslate(void);
extern void CallVertexPointer(void);
extern void CallViewport(void);

#ifdef GL_OES_VERSION_1_1
extern void CallBindDeleteBuffer(void);
extern void CallBufferData(void);
extern void CallBufferSubData(void);
extern void CallGenBuffers(void);
extern void CallIsBuffer(void);
extern void CallPointSizePointerOES(void);
extern void CallClipPlane(void);
#endif /* GL_OES_VERSION_1_1 */

#ifdef GL_OES_matrix_palette
extern void CallCurrentPaletteMatrixOES(void);
extern void CallLoadPaletteFromModelViewMatrixOES(void);
extern void CallMatrixIndexPointerOES(void);
extern void CallWeightPointerOES(void);
#endif /* GL_OES_matrix_palette */

#ifdef GL_OES_query_matrix
extern void CallQueryMatrix(void);
#endif
