/*
** Copyright (c) 2008 The Khronos Group Inc.
** 
** All Rights Reserved.  This code is protected by copyright laws and 
** contains material proprietary to the Khronos Group, Inc.  This is 
** UNPUBLISHED PROPRIETARY SOURCE CODE that may not be disclosed in whole 
** or in part to third parties, and may not be reproduced, republished, 
** distributed, transmitted, displayed, broadcast or otherwise exploited 
** in any manner without the express prior written permission of Khronos 
** Group.
** 
** The receipt or possession of this code does not convey any rights to 
** reproduce, disclose, or distribute its contents, or to manufacture, 
** use, or sell anything that it may describe, in whole or in part other 
** than under the terms of the Khronos Adopters Agreement or Khronos 
** Conformance Test Source License Agreement as executed between Khronos 
** and the recipient.
** 
** For the avoidance of doubt, this code when provided: a) under the 
** Khronos Conformance Test Source License Agreement is for the sole 
** purpose of creating conformance tests for delivery to Khronos and does 
** not provide for formally testing products or use of Khronos trademarks 
** on conformant products; b) under the Khronos Adopters Agreement is for 
** the sole purpose of formally administering tests to products pursuant 
** to the Khronos Conformance Process Document.
** 
** Khronos, OpenKODE, OpenVG, OpenWF, glFX, OpenMAX and OpenSL ES are 
** trademarks of the Khronos Group Inc.  COLLADA is a trademark of Sony 
** Computer Entertainment Inc. used by permission by Khronos.  OpenGL and 
** OpenML are registered trademarks and the OpenGL ES logo is a trademark 
** of Silicon Graphics Inc. used by permission by Khronos. 
** 
** Use, duplication or disclosure by the Government is subject to 
** restrictions as set forth in subdivision (c)(1)(ii) of the Rights in 
** Technical Data and Computer Software clause at DFARS 252.227-7013, and/
** or in similar or successor clauses in the FAR, DOD or NASA FAR 
** Supplement. Unpublished rights reserved under the Copyright Laws of 
** the United States and other countries.
*/

/*
** Copyright 1999-2005, Silicon Graphics, Inc.
** All Rights Reserved.
**
** This is UNPUBLISHED PROPRIETARY SOURCE CODE of Silicon Graphics, Inc.;
** the contents of this file may not be disclosed to third parties, copied or
** duplicated in any form, in whole or in part, without the prior written
** permission of Silicon Graphics, Inc.
**
** RESTRICTED RIGHTS LEGEND:
** Use, duplication or disclosure by the Government is subject to restrictions
** as set forth in subdivision (c)(1)(ii) of the Rights in Technical Data
** and Computer Software clause at DFARS 252.227-7013, and/or in similar or
** successor clauses in the FAR, DOD or NASA FAR Supplement. Unpublished -
** rights reserved under the Copyright Laws of the United States.
**
** $Header: /home/cvs/OpenGL-ES/1.0/ogles/conform/conform/covgl/t.c,v 1.7 2005/05/11 15:21:44 artlab Exp $
*/

#include "shell.h"

void CallTexCoordPointer(void)
{
    int i;

    Output(1, "glTexCoordPointer\n");
    {
        GLbyte buf[4];
        buf[0] = 0;
        buf[1] = 0;
        buf[2] = 0;
        buf[3] = 127;
        Output(1, "\tGL_BYTE\n");
        for (i = 2; i <= 4; i++) {
            glTexCoordPointer(i, GL_BYTE, 0, buf);
            ProbeEnum();
        }
    }
    {
        GLshort buf[4];
        buf[0] = 0;
        buf[1] = 0;
        buf[2] = 0;
        buf[3] = 32767;
        Output(1, "\tGL_SHORT\n");
        for (i = 2; i <= 4; i++) {
            glTexCoordPointer(i, GL_SHORT, 0, buf);
            ProbeEnum();
        }
    }
    {
        GLfixed buf[4];
        buf[0] = 0;
        buf[1] = 0;
        buf[2] = 0;
        buf[3] = FIXED_ONE;
        Output(1, "\tGL_FIXED\n");
        for (i = 2; i <= 4; i++) {
            glTexCoordPointer(i, GL_FIXED, 0, buf);
            ProbeEnum();
        }
    }
#ifdef COMMON
    {
        GLfloat buf[4];
        buf[0] = 0.0f;
        buf[1] = 0.0f;
        buf[2] = 0.0f;
        buf[3] = 1.0f;
        Output(1, "\tGL_FLOAT\n");
        for (i = 2; i <= 4; i++) {
            glTexCoordPointer(i, GL_FLOAT, 0, buf);
            ProbeEnum();
        }
    }
#endif

    Output(1, "\n");
}

void CallTexEnv(void)
{
    GLint i, j, k;
#ifdef GL_OES_VERSION_1_1
    Output(1, "glTexEnvi\n");
#endif /* GL_OES_VERSION_1_1 */
    Output(1, "glTexEnvx\n");
#ifdef COMMON
    Output(1, "glTexEnvf\n");
#endif
    for (i = 0; enum_TextureEnvTarget[i].value != -1; i++) {
	for (j = 0; enum_TextureEnvParameter[j].value != -1; j++) {

	    if (enum_TextureEnvParameter[j].value == GL_TEXTURE_ENV_COLOR) {
		continue;
	    }

	    for (k = 0; enum_TextureEnvMode[k].value != -1; k++) {
		Output(1, "\t%s, %s, %s\n", enum_TextureEnvTarget[i].name, enum_TextureEnvParameter[j].name, enum_TextureEnvMode[k].name);
#ifdef GL_OES_VERSION_1_1
		glTexEnvi(enum_TextureEnvTarget[i].value, enum_TextureEnvParameter[j].value, (GLint)enum_TextureEnvMode[k].value);
#endif /* GL_OES_VERSION_1_1 */
		glTexEnvx(enum_TextureEnvTarget[i].value, enum_TextureEnvParameter[j].value, (GLfixed)enum_TextureEnvMode[k].value);
#ifdef COMMON
		glTexEnvf(enum_TextureEnvTarget[i].value, enum_TextureEnvParameter[j].value, (GLfloat)enum_TextureEnvMode[k].value);
#endif
		ProbeEnum();
	    }
	}
    }



#ifdef GL_OES_VERSION_1_1
	{
		GLfixed valuesx[] = {GL_TRUE, GL_FALSE};
		int	i;

		for (i = 0; i < sizeof(valuesx)/sizeof(valuesx[0]); i++)
		{
			Output(1, "\t%s, %s, %s\n", "GL_POINT_SPRITE_OES", "GL_COORD_REPLACE_OES", valuesx[i] ? "GL_TRUE" : "GL_FALSE");

			glTexEnvx (GL_POINT_SPRITE_OES, GL_COORD_REPLACE_OES, valuesx[i]);
			ProbeEnum();
#ifdef COMMON
			{
				GLfloat valuesf[] = {GL_TRUE, GL_FALSE};
				glTexEnvf (GL_POINT_SPRITE_OES, GL_COORD_REPLACE_OES, valuesf[i]);
				ProbeEnum();
			}
#endif
			{
				GLint valuesf[] = {GL_TRUE, GL_FALSE};
				glTexEnvi (GL_POINT_SPRITE_OES, GL_COORD_REPLACE_OES, valuesf[i]);
				ProbeEnum();
			}
		}
	}
#endif /* GL_OES_VERSION_1_1 */

    Output(1, "\n");

#ifdef GL_OES_VERSION_1_1
    Output(1, "glTexEnviv\n");
#endif /* GL_OES_VERSION_1_1 */
    Output(1, "glTexEnvxv\n");
#ifdef COMMON
    Output(1, "glTexEnvfv\n");
#endif
    for (i = 0; enum_TextureEnvTarget[i].value != -1; i++) {
	for (j = 0; enum_TextureEnvParameter[j].value != -1; j++) {
	    switch (enum_TextureEnvParameter[j].value) {
		case GL_TEXTURE_ENV_MODE:
		    for (k = 0; enum_TextureEnvMode[k].value != -1; k++) {
			Output(1, "\t%s, %s, %s\n", enum_TextureEnvTarget[i].name, enum_TextureEnvParameter[j].name, enum_TextureEnvMode[k].name);
#ifdef GL_OES_VERSION_1_1
			{
			    GLint buf[1];
			    buf[0] = (GLint)enum_TextureEnvMode[k].value;
			    glTexEnviv(enum_TextureEnvTarget[i].value, enum_TextureEnvParameter[j].value, buf);
			}
#endif /* GL_OES_VERSION_1_1 */
			{
			    GLfixed buf[1];
			    buf[0] = (GLfixed)enum_TextureEnvMode[k].value;
			    glTexEnvxv(enum_TextureEnvTarget[i].value, enum_TextureEnvParameter[j].value, buf);
			}
#ifdef COMMON
			{
			    GLfloat buf[1];
			    buf[0] = (GLfloat)enum_TextureEnvMode[k].value;
			    glTexEnvfv(enum_TextureEnvTarget[i].value, enum_TextureEnvParameter[j].value, buf);
			}
#endif
			ProbeEnum();
		    }
		    break;
		case GL_TEXTURE_ENV_COLOR:
		    Output(1, "\t%s, %s\n", enum_TextureEnvTarget[i].name, enum_TextureEnvParameter[j].name);
#ifdef GL_OES_VERSION_1_1
		    {
			static const GLint buf[] = {
			    0, 0, 0, 0
			};
			glTexEnviv(enum_TextureEnvTarget[i].value, enum_TextureEnvParameter[j].value, buf);
		    }
#endif /* GL_OES_VERSION_1_1 */
		    {
			static const GLfixed buf[] = {
			    0, 0, 0, 0
			};
			glTexEnvxv(enum_TextureEnvTarget[i].value, enum_TextureEnvParameter[j].value, buf);
		    }
#ifdef COMMON
		    {
			static const GLfloat buf[] = {
			    0.0, 0.0, 0.0, 0.0
			};
			glTexEnvfv(enum_TextureEnvTarget[i].value, enum_TextureEnvParameter[j].value, buf);
		    }
#endif
		    ProbeEnum();
		    break;
	    }
	}
    }

#ifdef GL_OES_VERSION_1_1
	{
		GLfixed valuesx[] = {GL_TRUE, GL_FALSE};
		int	i;

		for (i = 0; i < sizeof(valuesx)/sizeof(valuesx[0]); i++)
		{
			Output(1, "\t%s, %s, %s\n", "GL_POINT_SPRITE_OES", "GL_COORD_REPLACE_OES", valuesx[i] ? "GL_TRUE" : "GL_FALSE");

			glTexEnvxv(GL_POINT_SPRITE_OES, GL_COORD_REPLACE_OES, &valuesx[i]);
			ProbeEnum();
			{
				GLint valuesf[] = {GL_TRUE, GL_FALSE};

				glTexEnviv(GL_POINT_SPRITE_OES, GL_COORD_REPLACE_OES, &valuesf[i]);
				ProbeEnum();
			}
#ifdef COMMON
			{
				GLfloat valuesf[] = {GL_TRUE, GL_FALSE};

				glTexEnvfv(GL_POINT_SPRITE_OES, GL_COORD_REPLACE_OES, &valuesf[i]);
				ProbeEnum();
			}
#endif
		}
	}
#endif

#ifdef GL_OES_VERSION_1_1
    /* Test Texture Combiners */
    Output(1, "\n");
    Output(1, "Texture Combiners\n");

    for (i = 0; enum_TextureEnvTarget[i].value != -1; i++) 
    {
        GLfloat fbuf[1];
        GLfixed xbuf[1];
        GLint ibuf[1];

	/* Test GL_COMBINE_RGB parameters */
	for (j = 0; enum_TexCombineRGBParameter[j].value != -1; j++)
	{
	    glTexEnvx(enum_TextureEnvTarget[i].value,
		      GL_COMBINE_RGB,
		      enum_TexCombineRGBParameter[j].value);

	    xbuf[0] = (GLfixed)enum_TexCombineRGBParameter[j].value;
	    glTexEnvxv(enum_TextureEnvTarget[i].value,
		      GL_COMBINE_RGB,
		       xbuf);
	    glTexEnvi(enum_TextureEnvTarget[i].value,
		      GL_COMBINE_RGB,
		      enum_TexCombineRGBParameter[j].value);

	    ibuf[0] = (GLint)enum_TexCombineRGBParameter[j].value;
	    glTexEnviv(enum_TextureEnvTarget[i].value,
		      GL_COMBINE_RGB,
		       ibuf);
#ifdef COMMON
	    glTexEnvf(enum_TextureEnvTarget[i].value,
		      GL_COMBINE_RGB,
		      enum_TexCombineRGBParameter[j].value);

	    fbuf[0] = (GLfloat)enum_TexCombineRGBParameter[j].value;
	    glTexEnvfv(enum_TextureEnvTarget[i].value,
		       GL_COMBINE_RGB,
		       fbuf);

#endif /* COMMON */
	    ProbeEnum();
	}
	/* Test GL_COMBINE_ALPHA parameters */
	for (j = 0; enum_TexCombineAlphaParameter[j].value != -1; j++)
	{
	    glTexEnvx(enum_TextureEnvTarget[i].value,
		      GL_COMBINE_ALPHA,
		      enum_TexCombineAlphaParameter[j].value);

	    xbuf[0] = (GLfixed)enum_TexCombineAlphaParameter[j].value;
	    glTexEnvxv(enum_TextureEnvTarget[i].value,
		      GL_COMBINE_ALPHA,
		       xbuf);
	    glTexEnvi(enum_TextureEnvTarget[i].value,
		      GL_COMBINE_ALPHA,
		      enum_TexCombineAlphaParameter[j].value);

	    ibuf[0] = (GLint)enum_TexCombineAlphaParameter[j].value;
	    glTexEnviv(enum_TextureEnvTarget[i].value,
		      GL_COMBINE_ALPHA,
		       ibuf);
#ifdef COMMON
	    glTexEnvf(enum_TextureEnvTarget[i].value,
		      GL_COMBINE_ALPHA,
		      enum_TexCombineAlphaParameter[j].value);

	    fbuf[0] = (GLfloat)enum_TexCombineAlphaParameter[j].value;
	    glTexEnvfv(enum_TextureEnvTarget[i].value,
		       GL_COMBINE_ALPHA,
		       fbuf);
#endif /* COMMON */
	    ProbeEnum();
	}
	/* Test GL_SRC[0-2]_{RGB,ALPHA} parameters */
	for (j = 0; enum_TexCombineSrcPname[j].value != -1; j++)
	{
	    for (k = 0; enum_TexCombineSrcParameter[k].value != -1; k++)
	    {
		glTexEnvx(enum_TextureEnvTarget[i].value,
			  enum_TexCombineSrcPname[j].value,
			  enum_TexCombineSrcParameter[k].value);

                xbuf[0] = (GLfixed)enum_TexCombineSrcParameter[k].value;
		glTexEnvxv(enum_TextureEnvTarget[i].value,
			   enum_TexCombineSrcPname[j].value,
			   xbuf);
		glTexEnvi(enum_TextureEnvTarget[i].value,
			  enum_TexCombineSrcPname[j].value,
			  enum_TexCombineSrcParameter[k].value);

                ibuf[0] = (GLint)enum_TexCombineSrcParameter[k].value;
		glTexEnviv(enum_TextureEnvTarget[i].value,
			   enum_TexCombineSrcPname[j].value,
			   ibuf);
#ifdef COMMON
		glTexEnvf(enum_TextureEnvTarget[i].value,
			  enum_TexCombineSrcPname[j].value,
			  enum_TexCombineSrcParameter[k].value);

		fbuf[0] = (GLfloat)enum_TexCombineSrcParameter[k].value;
		glTexEnvfv(enum_TextureEnvTarget[i].value,
			  enum_TexCombineSrcPname[j].value,
			   fbuf);
#endif /* COMMON */
		ProbeEnum();
	    }
	}
	/* Test GL_OPERAND[0-2]_RGB parameters */
	for (j = 0; enum_TexCombineOperandRGBPname[j].value != -1; j++)
	{
	    for (k = 0; enum_TexCombineOperandRGBParameter[k].value != -1; k++)
	    {
		glTexEnvx(enum_TextureEnvTarget[i].value,
			  enum_TexCombineOperandRGBPname[j].value,
			  enum_TexCombineOperandRGBParameter[k].value);

		xbuf[0] = (GLfixed)enum_TexCombineOperandRGBParameter[k].value;
		glTexEnvxv(enum_TextureEnvTarget[i].value,
			   enum_TexCombineOperandRGBPname[j].value,
			   xbuf);
		glTexEnvi(enum_TextureEnvTarget[i].value,
			  enum_TexCombineSrcPname[j].value,
			  enum_TexCombineSrcParameter[k].value);

                ibuf[0] = (GLint)enum_TexCombineSrcParameter[k].value;
		glTexEnviv(enum_TextureEnvTarget[i].value,
			   enum_TexCombineSrcPname[j].value,
			   ibuf);
#ifdef COMMON
		glTexEnvf(enum_TextureEnvTarget[i].value,
			  enum_TexCombineOperandRGBPname[j].value,
			  enum_TexCombineOperandRGBParameter[k].value);

		fbuf[0] = (GLfloat)enum_TexCombineOperandRGBParameter[k].value;
		glTexEnvfv(enum_TextureEnvTarget[i].value,
			   enum_TexCombineOperandRGBPname[j].value,
			   fbuf);
#endif /* COMMON */
		ProbeEnum();
	    }
	}
	/* Test GL_OPERAND[0-2]_Alpha parameters */
	for (j = 0; enum_TexCombineOperandAlphaPname[j].value != -1; j++)
	{
	    for (k = 0; enum_TexCombineOperandAlphaParameter[k].value != -1;
		 k++)
	    {
		glTexEnvx(enum_TextureEnvTarget[i].value,
			  enum_TexCombineOperandAlphaPname[j].value,
			  enum_TexCombineOperandAlphaParameter[k].value);

		xbuf[0] = (GLfixed)enum_TexCombineOperandAlphaParameter[k].value;
		glTexEnvxv(enum_TextureEnvTarget[i].value,
			   enum_TexCombineOperandAlphaPname[j].value,
			   xbuf);
		glTexEnvi(enum_TextureEnvTarget[i].value,
			  enum_TexCombineSrcPname[j].value,
			  enum_TexCombineSrcParameter[k].value);

                ibuf[0] = (GLint)enum_TexCombineSrcParameter[k].value;
		glTexEnviv(enum_TextureEnvTarget[i].value,
			   enum_TexCombineSrcPname[j].value,
			   ibuf);
#ifdef COMMON
		glTexEnvf(enum_TextureEnvTarget[i].value,
			  enum_TexCombineOperandAlphaPname[j].value,
			  enum_TexCombineOperandAlphaParameter[k].value);

		fbuf[0] = (GLfloat)enum_TexCombineOperandAlphaParameter[k].value;
		glTexEnvfv(enum_TextureEnvTarget[i].value,
			   enum_TexCombineOperandAlphaPname[j].value,
			   fbuf);
#endif /* COMMON */
		ProbeEnum();
	    }
	}
	/* Test GL_{RGB,ALPHA}_SCALE parameters */
	fbuf[0] = 1.0;
	xbuf[0] = FIXED_ONE;
    	ibuf[0] = 1;
	for (j = 0; enum_TexCombineScalePname[j].value != -1; j++)
	{
	  glTexEnvx(enum_TextureEnvTarget[i].value,
		    enum_TexCombineScalePname[j].value,
		    xbuf[0]);
	  glTexEnvxv(enum_TextureEnvTarget[i].value,
		     enum_TexCombineScalePname[j].value,
		     xbuf);
	  ProbeEnum();
	  glTexEnvi(enum_TextureEnvTarget[i].value,
		    enum_TexCombineScalePname[j].value,
		    ibuf[0]);
	  glTexEnviv(enum_TextureEnvTarget[i].value,
		     enum_TexCombineScalePname[j].value,
		     ibuf);
	  ProbeEnum();
#ifdef COMMON
	  glTexEnvf(enum_TextureEnvTarget[i].value,
		    enum_TexCombineScalePname[j].value,
		    fbuf[0]);
	  glTexEnvfv(enum_TextureEnvTarget[i].value,
		     enum_TexCombineScalePname[j].value,
		     fbuf);
#endif /* COMMON */
	  ProbeEnum();
	}

    } /* texture target loop */

    Output(1, "\n");

#endif /* GL_OES_VERSION_1_1 */

}

void CallTexImage2D(void)
{
    GLubyte buf[1000];
    GLint i, j;

    Output(1, "glTexImage2D\n");
    for (i = 0; enum_TextureTarget[i].value != -1; i++) {
        for (j = 0; enum_TextureFormat[j].value != -1; j++) {
                        Output(1, "\t%s, %s, %s, %s, with texture\n",
                               enum_TextureTarget[i].name,
                               enum_TextureFormat[j].name,
                               enum_TextureFormat[j].name,
                               enum_TextureType[j].name);
                        ZeroBuf(enum_TextureType[j].value, 100, buf);
                        glTexImage2D(enum_TextureTarget[i].value, 0,
                                     enum_TextureFormat[j].value,
                                     1,
                                     1,
                                     0,
                                     enum_TextureFormat[j].value,
                                     enum_TextureType[j].value, buf);
                        ProbeEnum();

                        Output(1, "\t%s, %s, %s, %s, NULL texture\n",
                               enum_TextureTarget[i].name,
                               enum_TextureFormat[j].name,
                               enum_TextureFormat[j].name,
                               enum_TextureType[j].name);
                        glTexImage2D(enum_TextureTarget[i].value, 0,
                                     enum_TextureFormat[j].value,
                                     1,
                                     1,
                                     0,
                                     enum_TextureFormat[j].value,
                                     enum_TextureType[j].value,
                                     (const GLvoid *)NULL);
                        ProbeEnum();
        }
    }
    Output(1, "\n");
}

void CallTexParameter(void)
{
    GLint i, j, k;

#ifdef GL_OES_VERSION_1_1
    Output(1, "glTexParameteri\n");
#endif /* GL_OES_VERSION_1_1 */
    Output(1, "glTexParameterx\n");
#ifdef COMMON
    Output(1, "glTexParameterf\n");
#endif

    for (i = 0; enum_TextureTarget[i].value != -1; i++) {
	for (j = 0; enum_TextureParameterName[j].value != -1; j++) {
	    switch (enum_TextureParameterName[j].value) {
		case GL_TEXTURE_WRAP_S:
		case GL_TEXTURE_WRAP_T:
		    for (k = 0; enum_TextureWrapMode[k].value != -1; k++) {
			Output(1, "\t%s, %s, %s\n", enum_TextureTarget[i].name, enum_TextureParameterName[j].name, enum_TextureWrapMode[k].name);
#ifdef GL_OES_VERSION_1_1
			glTexParameteri(enum_TextureTarget[i].value, enum_TextureParameterName[j].value, (GLint)enum_TextureWrapMode[k].value);
#endif /* GL_OES_VERSION_1_1 */
			glTexParameterx(enum_TextureTarget[i].value, enum_TextureParameterName[j].value, (GLfixed)enum_TextureWrapMode[k].value);
#ifdef COMMON
			glTexParameterf(enum_TextureTarget[i].value, enum_TextureParameterName[j].value, (GLfloat)enum_TextureWrapMode[k].value);
#endif
			ProbeEnum();
		    }
		    break;
		case GL_TEXTURE_MIN_FILTER:
		    for (k = 0; enum_TextureMinFilter[k].value != -1; k++) {
			Output(1, "\t%s, %s, %s\n", enum_TextureTarget[i].name, enum_TextureParameterName[j].name, enum_TextureMinFilter[k].name);
#ifdef GL_OES_VERSION_1_1
			glTexParameteri(enum_TextureTarget[i].value, enum_TextureParameterName[j].value, (GLint)enum_TextureMinFilter[k].value);
#endif /* GL_OES_VERSION_1_1 */
			glTexParameterx(enum_TextureTarget[i].value, enum_TextureParameterName[j].value, (GLfixed)enum_TextureMinFilter[k].value);
#ifdef COMMON
			glTexParameterf(enum_TextureTarget[i].value, enum_TextureParameterName[j].value, (GLfloat)enum_TextureMinFilter[k].value);
#endif
			ProbeEnum();
		    }
		    break;
		case GL_TEXTURE_MAG_FILTER:
		    for (k = 0; enum_TextureMagFilter[k].value != -1; k++) {
			Output(1, "\t%s, %s, %s\n", enum_TextureTarget[i].name, enum_TextureParameterName[j].name, enum_TextureMagFilter[k].name);
#ifdef GL_OES_VERSION_1_1
			glTexParameteri(enum_TextureTarget[i].value, enum_TextureParameterName[j].value, (GLint)enum_TextureMagFilter[k].value);
#endif /* GL_OES_VERSION_1_1 */
			glTexParameterx(enum_TextureTarget[i].value, enum_TextureParameterName[j].value, (GLfixed)enum_TextureMagFilter[k].value);
#ifdef COMMON
			glTexParameterf(enum_TextureTarget[i].value, enum_TextureParameterName[j].value, (GLfloat)enum_TextureMagFilter[k].value);
#endif
			ProbeEnum();
		    }
		    break;
	    }
	}
    }

#ifdef GL_OES_VERSION_1_1
    Output(1, "glTexParameteriv\n");
    Output(1, "glTexParameterxv\n");
#ifdef COMMON
    Output(1, "glTexParameterfv\n");
#endif

    for (i = 0; enum_TextureTarget[i].value != -1; i++) {
	for (j = 0; enum_TextureParameterName[j].value != -1; j++) {
	    switch (enum_TextureParameterName[j].value) {
		case GL_TEXTURE_WRAP_S:
		case GL_TEXTURE_WRAP_T:
		    for (k = 0; enum_TextureWrapMode[k].value != -1; k++) {
			Output(1, "\t%s, %s, %s\n", enum_TextureTarget[i].name, enum_TextureParameterName[j].name, enum_TextureWrapMode[k].name);
			{
			    GLint buf[1];
			    buf[0] = (GLint)enum_TextureWrapMode[k].value;
			    glTexParameteriv(enum_TextureTarget[i].value, enum_TextureParameterName[j].value, buf);
			    ProbeEnum();                
			}
			{
			    GLfixed buf[1];
			    buf[0] = (GLfixed)enum_TextureWrapMode[k].value;
			    glTexParameterxv(enum_TextureTarget[i].value, enum_TextureParameterName[j].value, buf);
			    ProbeEnum();                
			}
#ifdef COMMON
			{
			    GLfloat buf[1];
			    buf[0] = (GLfloat)enum_TextureWrapMode[k].value;
			    glTexParameterfv(enum_TextureTarget[i].value, enum_TextureParameterName[j].value, buf);
			    ProbeEnum();                
			}
#endif
		    }
		    break;
		case GL_TEXTURE_MIN_FILTER:
		    for (k = 0; enum_TextureMinFilter[k].value != -1; k++) {
			Output(1, "\t%s, %s, %s\n", enum_TextureTarget[i].name, enum_TextureParameterName[j].name, enum_TextureMinFilter[k].name);
			{
			    GLint buf[1];
			    buf[0] = (GLint)enum_TextureMinFilter[k].value;
			    glTexParameteriv(enum_TextureTarget[i].value, enum_TextureParameterName[j].value, buf);
			    ProbeEnum();                
			}            
			{
			    GLfixed buf[1];
			    buf[0] = (GLfixed)enum_TextureMinFilter[k].value;
			    glTexParameterxv(enum_TextureTarget[i].value, enum_TextureParameterName[j].value, buf);
			    ProbeEnum();                
			}            

#ifdef COMMON
			{
			    GLfloat buf[1];
			    buf[0] = (GLfloat)enum_TextureMinFilter[k].value;
			    glTexParameterfv(enum_TextureTarget[i].value, enum_TextureParameterName[j].value, buf);
			    ProbeEnum();                
			}            
#endif
		    }
		    break;
		case GL_TEXTURE_MAG_FILTER:
		    for (k = 0; enum_TextureMagFilter[k].value != -1; k++) {
			Output(1, "\t%s, %s, %s\n", enum_TextureTarget[i].name, enum_TextureParameterName[j].name, enum_TextureMagFilter[k].name);
			{
			    GLint buf[1];
			    buf[0] = (GLint)enum_TextureMagFilter[k].value;
			    glTexParameteriv(enum_TextureTarget[i].value, enum_TextureParameterName[j].value, buf);
			    ProbeEnum();                
			}            
			{
			    GLfixed buf[1];
			    buf[0] = (GLfixed)enum_TextureMagFilter[k].value;
			    glTexParameterxv(enum_TextureTarget[i].value, enum_TextureParameterName[j].value, buf);
			    ProbeEnum();                
			}            

#ifdef COMMON
			{
			    GLfloat buf[1];
			    buf[0] = (GLfloat)enum_TextureMagFilter[k].value;
			    glTexParameterfv(enum_TextureTarget[i].value, enum_TextureParameterName[j].value, buf);
			    ProbeEnum();                
			}            
#endif
		    }
		    break;
	    }
	}
    }
#endif /* GL_OES_VERSION_1_1 */
    Output(1, "\n");
}

void CallTexSubImage2D(void)
{
    GLubyte buf[1000];
    int i;

    Output(1, "glTexSubImage2D\n");
    for (i = 0; enum_TextureFormat[i].value != -1; i++) {
                Output(1, "\t%s, %s non-NULL texture\n",
                       enum_TextureFormat[i].name,
                       enum_TextureType[i].name);
                ZeroBuf(enum_TextureType[i].value, 100, buf);
                glTexImage2D(GL_TEXTURE_2D, 0, enum_TextureFormat[i].value,
                             1, 1, 0,
                             enum_TextureFormat[i].value,
                             enum_TextureType[i].value, buf);
                glTexSubImage2D(GL_TEXTURE_2D, 0,
                                0, 0, 1, 1,
                                enum_TextureFormat[i].value,
                                enum_TextureType[i].value, buf);
                ProbeEnum();

                Output(1, "\t%s, %s NULL texture\n",
                       enum_TextureFormat[i].name,
                       enum_TextureType[i].name);
                glTexImage2D(GL_TEXTURE_2D, 0, enum_TextureFormat[i].value,
                             1, 1, 0,
                             enum_TextureFormat[i].value,
                             enum_TextureType[i].value,
                             (const GLvoid *)NULL);
                glTexSubImage2D(GL_TEXTURE_2D, 0,
                                0, 0, 1, 1,
                                enum_TextureFormat[i].value,
                                enum_TextureType[i].value, buf);
                ProbeEnum();
    }
    Output(1, "\n");
}


void CallTranslate(void)
{

    Output(1, "glTranslatex\n");
    glTranslatex(FIXED_ONE, FIXED_ONE, FIXED_ONE);
#ifdef COMMON
    Output(1, "glTranslatef\n");
    glTranslatef(1.0, 1.0, 1.0);
#endif
    Output(1, "\n");
}
