/*
** Copyright (c) 2008 The Khronos Group Inc.
** 
** All Rights Reserved.  This code is protected by copyright laws and 
** contains material proprietary to the Khronos Group, Inc.  This is 
** UNPUBLISHED PROPRIETARY SOURCE CODE that may not be disclosed in whole 
** or in part to third parties, and may not be reproduced, republished, 
** distributed, transmitted, displayed, broadcast or otherwise exploited 
** in any manner without the express prior written permission of Khronos 
** Group.
** 
** The receipt or possession of this code does not convey any rights to 
** reproduce, disclose, or distribute its contents, or to manufacture, 
** use, or sell anything that it may describe, in whole or in part other 
** than under the terms of the Khronos Adopters Agreement or Khronos 
** Conformance Test Source License Agreement as executed between Khronos 
** and the recipient.
** 
** For the avoidance of doubt, this code when provided: a) under the 
** Khronos Conformance Test Source License Agreement is for the sole 
** purpose of creating conformance tests for delivery to Khronos and does 
** not provide for formally testing products or use of Khronos trademarks 
** on conformant products; b) under the Khronos Adopters Agreement is for 
** the sole purpose of formally administering tests to products pursuant 
** to the Khronos Conformance Process Document.
** 
** Khronos, OpenKODE, OpenVG, OpenWF, glFX, OpenMAX and OpenSL ES are 
** trademarks of the Khronos Group Inc.  COLLADA is a trademark of Sony 
** Computer Entertainment Inc. used by permission by Khronos.  OpenGL and 
** OpenML are registered trademarks and the OpenGL ES logo is a trademark 
** of Silicon Graphics Inc. used by permission by Khronos. 
** 
** Use, duplication or disclosure by the Government is subject to 
** restrictions as set forth in subdivision (c)(1)(ii) of the Rights in 
** Technical Data and Computer Software clause at DFARS 252.227-7013, and/
** or in similar or successor clauses in the FAR, DOD or NASA FAR 
** Supplement. Unpublished rights reserved under the Copyright Laws of 
** the United States and other countries.
**
**
** $Header: /home/cvs/OpenGL-ES/1.0/ogles/conform/conform/covgl/w.c,v 1.2 2005/05/11 15:21:44 artlab Exp $
*/

#include "shell.h"

#ifdef GL_OES_matrix_palette

void CallWeightPointerOES(void)
{
    GLint i, maxVertexUnits;

    Output(1, "glWeightPointerOES\n");

    glGetIntegerv(GL_MAX_VERTEX_UNITS_OES, &maxVertexUnits);
    ProbeEnum();

    {
        GLfixed * weights = (GLfixed *)MALLOC(maxVertexUnits * sizeof(GLftype));
        weights[0] = FIXED_ONE;

        for (i = 1; i < maxVertexUnits; ++i)
            weights[i] = 0;
        Output(1, "\tGL_FIXED\n");
        for (i = 1; i <= maxVertexUnits; i++) {
            glWeightPointerOES(i, GL_FIXED, 0, weights);
            ProbeEnum();
        }
        FREE(weights);
    }
#ifdef COMMON
    {
        GLfloat * weights = (GLfloat *)MALLOC(maxVertexUnits * sizeof(GLfloat));
        weights[0] = 1.0f;

        for (i = 1; i < maxVertexUnits; ++i)
            weights[i] = 0.0f;
        Output(1, "\tGL_FLOAT\n");
        for (i = 1; i <= maxVertexUnits; i++) {
            glWeightPointerOES(i, GL_FLOAT, 0, weights);
            ProbeEnum();
        }
        FREE(weights);
    }
#endif

    Output(1, "\n");
}

#endif /* GL_OES_matrix_palette */
