/*
** Copyright (c) 2008 The Khronos Group Inc.
** 
** All Rights Reserved.  This code is protected by copyright laws and 
** contains material proprietary to the Khronos Group, Inc.  This is 
** UNPUBLISHED PROPRIETARY SOURCE CODE that may not be disclosed in whole 
** or in part to third parties, and may not be reproduced, republished, 
** distributed, transmitted, displayed, broadcast or otherwise exploited 
** in any manner without the express prior written permission of Khronos 
** Group.
** 
** The receipt or possession of this code does not convey any rights to 
** reproduce, disclose, or distribute its contents, or to manufacture, 
** use, or sell anything that it may describe, in whole or in part other 
** than under the terms of the Khronos Adopters Agreement or Khronos 
** Conformance Test Source License Agreement as executed between Khronos 
** and the recipient.
** 
** For the avoidance of doubt, this code when provided: a) under the 
** Khronos Conformance Test Source License Agreement is for the sole 
** purpose of creating conformance tests for delivery to Khronos and does 
** not provide for formally testing products or use of Khronos trademarks 
** on conformant products; b) under the Khronos Adopters Agreement is for 
** the sole purpose of formally administering tests to products pursuant 
** to the Khronos Conformance Process Document.
** 
** Khronos, OpenKODE, OpenVG, OpenWF, glFX, OpenMAX and OpenSL ES are 
** trademarks of the Khronos Group Inc.  COLLADA is a trademark of Sony 
** Computer Entertainment Inc. used by permission by Khronos.  OpenGL and 
** OpenML are registered trademarks and the OpenGL ES logo is a trademark 
** of Silicon Graphics Inc. used by permission by Khronos. 
** 
** Use, duplication or disclosure by the Government is subject to 
** restrictions as set forth in subdivision (c)(1)(ii) of the Rights in 
** Technical Data and Computer Software clause at DFARS 252.227-7013, and/
** or in similar or successor clauses in the FAR, DOD or NASA FAR 
** Supplement. Unpublished rights reserved under the Copyright Laws of 
** the United States and other countries.
*/

/*
** Copyright 1999-2005, Silicon Graphics, Inc.
** All Rights Reserved.
**
** This is UNPUBLISHED PROPRIETARY SOURCE CODE of Silicon Graphics, Inc.;
** the contents of this file may not be disclosed to third parties, copied or
** duplicated in any form, in whole or in part, without the prior written
** permission of Silicon Graphics, Inc.
**
** RESTRICTED RIGHTS LEGEND:
** Use, duplication or disclosure by the Government is subject to restrictions
** as set forth in subdivision (c)(1)(ii) of the Rights in Technical Data
** and Computer Software clause at DFARS 252.227-7013, and/or in similar or
** successor clauses in the FAR, DOD or NASA FAR Supplement. Unpublished -
** rights reserved under the Copyright Laws of the United States.
**
** $Header: /home/cvs/OpenGL-ES/1.0/ogles/conform/conform/primtest/prim.c,v 1.3 2005/05/11 15:21:44 artlab Exp $
*/

#include "shell.h"

void Point(void)
{
    GLftype colors[4];
    GLftype vertices[4];
    GLftype normals[3];
    GLftype tex_coords[4];

    colors[0] = rgbColorMap[RED][0];
    colors[1] = rgbColorMap[RED][1];
    colors[2] = rgbColorMap[RED][2];
    colors[3] = ITOF(1);

    vertices[0] = -ITOF(BOXW)/2+ITOF(1)/2;
    vertices[1] = ITOF(BOXH)/2+ITOF(1)/2;
    vertices[2] = 0;
    vertices[3] = ITOF(1);

    normals[0] = 0;
    normals[1] = 0;
    normals[2] = ITOF(1);

    tex_coords[0] = DIV(ITOF(-BOXW) / 2 + ITOF(1)/2 + ITOF(BOXW), (ITOF(BOXW) * 2));
    tex_coords[1] = DIV(ITOF(BOXH) / 2 + ITOF(1)/2 + ITOF(BOXH), (ITOF(BOXH) * 2));
    tex_coords[2] = 0;
    tex_coords[3] = ITOF(1);

    glColorPointer(4, GL_FTYPE, 0, colors);
    glVertexPointer(4, GL_FTYPE, 0, vertices);
    glNormalPointer(GL_FTYPE, 0, normals);
    glTexCoordPointer(4, GL_FTYPE, 0, tex_coords);

    glPointSizet(ITOF(1));
    glDrawArrays(GL_POINTS, 0, 1);
}

void Line(void)
{
    GLftype colors[2][4];
    GLftype vertices[2][4];
    GLftype normals[2][3];
    GLftype tex_coords[2][4];

    colors[0][0] = rgbColorMap[GREEN][0];
    colors[0][1] = rgbColorMap[GREEN][1];
    colors[0][2] = rgbColorMap[GREEN][2];
    colors[0][3] = ITOF(1);

    vertices[0][0] = ITOF(BOXW)/2;
    vertices[0][1] = ITOF(BOXH)/2+ITOF(1)/2;
    vertices[0][2] = 0;
    vertices[0][3] = ITOF(1);

    normals[0][0] = 0;
    normals[0][1] = 0;
    normals[0][2] = ITOF(1);

    tex_coords[0][0] = DIV(ITOF(BOXW) / 2 + ITOF(BOXW), (ITOF(BOXW) * 2));
    tex_coords[0][1] = DIV(ITOF(BOXH) / 2 + ITOF(1)/2 + ITOF(BOXH), (ITOF(BOXH) * 2));
    tex_coords[0][2] = 0;
    tex_coords[0][3] = ITOF(1);

    colors[1][0] = rgbColorMap[YELLOW][0];
    colors[1][1] = rgbColorMap[YELLOW][1];
    colors[1][2] = rgbColorMap[YELLOW][2];
    colors[1][3] = ITOF(1);

    vertices[1][0] = ITOF(BOXW)/2+ITOF(1);
    vertices[1][1] = ITOF(BOXH)/2+ITOF(1)/2;
    vertices[1][2] = 0;
    vertices[1][3] = ITOF(1);

    normals[1][0] = 0;
    normals[1][1] = 0;
    normals[1][2] = ITOF(1);

    tex_coords[1][0] = (-ITOF(BOXW) / 2 + ATOF("0.25") + ITOF(BOXW)) / (ITOF(BOXW) * 2);
    tex_coords[1][1] = (-ITOF(BOXH) / 2 + ATOF("0.25") + ITOF(BOXH)) / (ITOF(BOXH) * 2);
    tex_coords[1][2] = 0;
    tex_coords[1][3] = ITOF(1);

    glColorPointer(4, GL_FTYPE, 0, &colors[0][0]);
    glVertexPointer(4, GL_FTYPE, 0, &vertices[0][0]);
    glNormalPointer(GL_FTYPE, 0, &normals[0][0]);
    glTexCoordPointer(4, GL_FTYPE, 0, &tex_coords[0][0]);

    glLineWidtht(ITOF(1));
    glDrawArrays(GL_LINES, 0, 2);
}

void Triangle(void)
{
    GLftype colors[3][4];
    GLftype vertices[3][4];
    GLftype normals[3][3];
    GLftype tex_coords[3][4];

    colors[0][0] = rgbColorMap[BLUE][0];
    colors[0][1] = rgbColorMap[BLUE][1];
    colors[0][2] = rgbColorMap[BLUE][2];
    colors[0][3] = ITOF(1);

    vertices[0][0] = -ITOF(BOXW)/2 + ITOF(1)/2;
    vertices[0][1] = -ITOF(BOXH)/2 + ATOF("0.75");
    vertices[0][2] = 0;
    vertices[0][3] = ITOF(1);

    normals[0][0] = 0;
    normals[0][1] = 0;
    normals[0][2] = -ITOF(100);

    tex_coords[0][0] = DIV(-ITOF(BOXW) / 2 + ATOF("0.5") + ITOF(BOXW), (ITOF(BOXW) * 2));
    tex_coords[0][1] = DIV(-ITOF(BOXH) / 2 + ATOF("0.75") + ITOF(BOXH), (ITOF(BOXH) * 2));
    tex_coords[0][2] = 0;
    tex_coords[0][3] = ITOF(1);

    colors[1][0] = rgbColorMap[MAGENTA][0];
    colors[1][1] = rgbColorMap[MAGENTA][1];
    colors[1][2] = rgbColorMap[MAGENTA][2];
    colors[1][3] = ITOF(1);

    vertices[1][0] = -ITOF(BOXW)/2 + ATOF("0.25");
    vertices[1][1] = -ITOF(BOXH)/2 + ATOF("0.25");
    vertices[1][2] = 0;
    vertices[1][3] = ITOF(1);

    normals[1][0] = 0;
    normals[1][1] = 0;
    normals[1][2] = -ITOF(100);

    tex_coords[1][0] = DIV(-ITOF(BOXW) / 2 + ATOF("0.25") + ITOF(BOXW), (ITOF(BOXW) * 2));
    tex_coords[1][1] = DIV(-ITOF(BOXH) / 2 + ATOF("0.25") + ITOF(BOXH), (ITOF(BOXH) * 2));
    tex_coords[1][2] = 0;
    tex_coords[1][3] = ITOF(1);

    colors[2][0] = rgbColorMap[CYAN][0];
    colors[2][1] = rgbColorMap[CYAN][1];
    colors[2][2] = rgbColorMap[CYAN][2];
    colors[2][3] = ITOF(1);

    vertices[2][0] = -ITOF(BOXW)/2 + ATOF("0.75");
    vertices[2][1] = -ITOF(BOXH)/2 + ATOF("0.25");
    vertices[2][2] = 0;
    vertices[2][3] = ITOF(1);

    normals[2][0] = 0;
    normals[2][1] = 0;
    normals[2][2] = -ITOF(100);

    tex_coords[2][0] = DIV(-ITOF(BOXW) / 2 + ATOF("0.75") + ITOF(BOXW), (ITOF(BOXW) * 2));
    tex_coords[2][1] = DIV(-ITOF(BOXH) / 2 + ATOF("0.25") + ITOF(BOXH), (ITOF(BOXH) * 2));
    tex_coords[2][2] = 0;
    tex_coords[2][3] = ITOF(1);

    glColorPointer(4, GL_FTYPE, 0, &colors[0][0]);
    glVertexPointer(4, GL_FTYPE, 0, &vertices[0][0]);
    glNormalPointer(GL_FTYPE, 0, &normals[0][0]);
    glTexCoordPointer(4, GL_FTYPE, 0, &tex_coords[0][0]);

    glDrawArrays(GL_TRIANGLES, 0, 3);
}

void DrawPrims(void)
{
    glEnableClientState(GL_COLOR_ARRAY);
    glEnableClientState(GL_VERTEX_ARRAY);
    glEnableClientState(GL_NORMAL_ARRAY);
    glEnableClientState(GL_TEXTURE_COORD_ARRAY);

    Point();
    glFlush();

    Line();
    glFlush();

    Triangle();
    glFlush();

    glDisableClientState(GL_COLOR_ARRAY);
    glDisableClientState(GL_VERTEX_ARRAY);
    glDisableClientState(GL_NORMAL_ARRAY);
    glDisableClientState(GL_TEXTURE_COORD_ARRAY);
}
