/*
** Copyright (c) 2008 The Khronos Group Inc.
** 
** All Rights Reserved.  This code is protected by copyright laws and 
** contains material proprietary to the Khronos Group, Inc.  This is 
** UNPUBLISHED PROPRIETARY SOURCE CODE that may not be disclosed in whole 
** or in part to third parties, and may not be reproduced, republished, 
** distributed, transmitted, displayed, broadcast or otherwise exploited 
** in any manner without the express prior written permission of Khronos 
** Group.
** 
** The receipt or possession of this code does not convey any rights to 
** reproduce, disclose, or distribute its contents, or to manufacture, 
** use, or sell anything that it may describe, in whole or in part other 
** than under the terms of the Khronos Adopters Agreement or Khronos 
** Conformance Test Source License Agreement as executed between Khronos 
** and the recipient.
** 
** For the avoidance of doubt, this code when provided: a) under the 
** Khronos Conformance Test Source License Agreement is for the sole 
** purpose of creating conformance tests for delivery to Khronos and does 
** not provide for formally testing products or use of Khronos trademarks 
** on conformant products; b) under the Khronos Adopters Agreement is for 
** the sole purpose of formally administering tests to products pursuant 
** to the Khronos Conformance Process Document.
** 
** Khronos, OpenKODE, OpenVG, OpenWF, glFX, OpenMAX and OpenSL ES are 
** trademarks of the Khronos Group Inc.  COLLADA is a trademark of Sony 
** Computer Entertainment Inc. used by permission by Khronos.  OpenGL and 
** OpenML are registered trademarks and the OpenGL ES logo is a trademark 
** of Silicon Graphics Inc. used by permission by Khronos. 
** 
** Use, duplication or disclosure by the Government is subject to 
** restrictions as set forth in subdivision (c)(1)(ii) of the Rights in 
** Technical Data and Computer Software clause at DFARS 252.227-7013, and/
** or in similar or successor clauses in the FAR, DOD or NASA FAR 
** Supplement. Unpublished rights reserved under the Copyright Laws of 
** the United States and other countries.
*/

/*
** Copyright 1999-2005, Silicon Graphics, Inc.
** All Rights Reserved.
**
** This is UNPUBLISHED PROPRIETARY SOURCE CODE of Silicon Graphics, Inc.;
** the contents of this file may not be disclosed to third parties, copied or
** duplicated in any form, in whole or in part, without the prior written
** permission of Silicon Graphics, Inc.
**
** RESTRICTED RIGHTS LEGEND:
** Use, duplication or disclosure by the Government is subject to restrictions
** as set forth in subdivision (c)(1)(ii) of the Rights in Technical Data
** and Computer Software clause at DFARS 252.227-7013, and/or in similar or
** successor clauses in the FAR, DOD or NASA FAR Supplement. Unpublished -
** rights reserved under the Copyright Laws of the United States.
**
** $Header: /home/cvs/OpenGL-ES/1.0/ogles/conform/ctk/ctk.h,v 1.3 2005/05/11 15:22:45 artlab Exp $
*/

#include <platform/platform.h>
#include <platform/platform_gl.h>
#include <GLES/gl.h>
#include <GLES/glext.h>

/*
** Toolkit Window Structure
*/

typedef struct _TK_WindowRec {
    char name[100];
    long x, y;
    long width, height;
    long type, info;
} TK_WindowRec;

/*
** Toolkit Event Structure
*/

typedef struct _TK_EventRec {
    long event;
    long data[4];
} TK_EventRec;

/*
** Toolkit Configs Structure
*/

typedef struct _TK_ConfigsRec {
    long count;
    long IDs[1000];
    long nonConformantCount;
    long nonConformantIDs[100];
} TK_ConfigsRec;

/*
** ToolKit Window Types
*/

#define TK_WIND_REQUEST         0
#define TK_WIND_CONFIG          1

/* 
** ToolKit Window Masks
*/

#define TK_WIND_STENCIL         8
#define TK_WIND_Z               16

/* 
** ToolKit Event
*/

#define TK_EVENT_EXPOSE         1

/*
** Toolkit Event Data Indices
*/

#define TK_WINDOWX              0
#define TK_WINDOWY              1

extern void tkCloseWindow(void);
extern void tkExec(long (*)(TK_EventRec *));
extern void tkGetConfigs(TK_ConfigsRec *);
extern void tkInitDispatch(void);
extern long tkNewWindow(TK_WindowRec *);
extern void tkQuit(void);
extern void tkSwapBuffers(void);
extern GLboolean tkCheckExtension(const char *name);
