/*
** Copyright (c) 2008 The Khronos Group Inc.
** 
** All Rights Reserved.  This code is protected by copyright laws and 
** contains material proprietary to the Khronos Group, Inc.  This is 
** UNPUBLISHED PROPRIETARY SOURCE CODE that may not be disclosed in whole 
** or in part to third parties, and may not be reproduced, republished, 
** distributed, transmitted, displayed, broadcast or otherwise exploited 
** in any manner without the express prior written permission of Khronos 
** Group.
** 
** The receipt or possession of this code does not convey any rights to 
** reproduce, disclose, or distribute its contents, or to manufacture, 
** use, or sell anything that it may describe, in whole or in part other 
** than under the terms of the Khronos Adopters Agreement or Khronos 
** Conformance Test Source License Agreement as executed between Khronos 
** and the recipient.
** 
** For the avoidance of doubt, this code when provided: a) under the 
** Khronos Conformance Test Source License Agreement is for the sole 
** purpose of creating conformance tests for delivery to Khronos and does 
** not provide for formally testing products or use of Khronos trademarks 
** on conformant products; b) under the Khronos Adopters Agreement is for 
** the sole purpose of formally administering tests to products pursuant 
** to the Khronos Conformance Process Document.
** 
** Khronos, OpenKODE, OpenVG, OpenWF, glFX, OpenMAX and OpenSL ES are 
** trademarks of the Khronos Group Inc.  COLLADA is a trademark of Sony 
** Computer Entertainment Inc. used by permission by Khronos.  OpenGL and 
** OpenML are registered trademarks and the OpenGL ES logo is a trademark 
** of Silicon Graphics Inc. used by permission by Khronos. 
** 
** Use, duplication or disclosure by the Government is subject to 
** restrictions as set forth in subdivision (c)(1)(ii) of the Rights in 
** Technical Data and Computer Software clause at DFARS 252.227-7013, and/
** or in similar or successor clauses in the FAR, DOD or NASA FAR 
** Supplement. Unpublished rights reserved under the Copyright Laws of 
** the United States and other countries.
*/

/*
** Copyright 1999-2005, Silicon Graphics, Inc.
** All Rights Reserved.
**
** This is UNPUBLISHED PROPRIETARY SOURCE CODE of Silicon Graphics, Inc.;
** the contents of this file may not be disclosed to third parties, copied or
** duplicated in any form, in whole or in part, without the prior written
** permission of Silicon Graphics, Inc.
**
** RESTRICTED RIGHTS LEGEND:
** Use, duplication or disclosure by the Government is subject to restrictions
** as set forth in subdivision (c)(1)(ii) of the Rights in Technical Data
** and Computer Software clause at DFARS 252.227-7013, and/or in similar or
** successor clauses in the FAR, DOD or NASA FAR Supplement. Unpublished -
** rights reserved under the Copyright Laws of the United States.
**
** $Header: /home/cvs/OpenGL-ES/1.0/ogles/conform/fixed/float64.h,v 1.5 2005/05/11 15:22:46 artlab Exp $
*/

#ifndef FLOAT64_H
#define FLOAT64_H

#include <platform/platform_types.h>

typedef struct {
    int32_t mantissa;
    int32_t exponent;
} float64;

#ifdef __cplusplus
extern "C" {
#endif

extern float64 const FLOAT64_ZERO;
extern float64 const FLOAT64_ONE;
extern float64 const FLOAT64_HALF;
extern float64 const FLOAT64_EPSILON;
extern float64 const FLOAT64_LN2;

extern int fsprintf64(char * const string, char const * const format, float64 const x);
extern void printf64(float64 const x);
extern float64 itof64(int const i);
extern float64 atof64(char const * const s);
extern int f64toi(float64 const x);
extern int fcompare64(float64 const x, float64 const y);
extern float64 fneg64(float64 const x);
extern float64 fabs64(float64 const x);
extern float64 fshift64(float64 const x, int const count);
extern float64 fadd64(float64 const x_, float64 const y_);
extern float64 fsub64(float64 const x, float64 const y);
extern float64 fmul64(float64 const x, float64 const y);
extern float64 fdiv64(float64 x, float64 y);
extern float64 fexp64(float64 const x);
#ifndef OLD_LOG_IMPLEMENTATION
extern float64 flog64(float64 x);
#else
extern float64 flog64(float64 const x)
#endif
extern float64 flog1064(float64 const x);
extern float64 fpow64(float64 const x, float64 const y);

#ifdef __cplusplus
}
#endif

#endif
