/*
** Copyright (c) 2008 The Khronos Group Inc.
** 
** All Rights Reserved.  This code is protected by copyright laws and 
** contains material proprietary to the Khronos Group, Inc.  This is 
** UNPUBLISHED PROPRIETARY SOURCE CODE that may not be disclosed in whole 
** or in part to third parties, and may not be reproduced, republished, 
** distributed, transmitted, displayed, broadcast or otherwise exploited 
** in any manner without the express prior written permission of Khronos 
** Group.
** 
** The receipt or possession of this code does not convey any rights to 
** reproduce, disclose, or distribute its contents, or to manufacture, 
** use, or sell anything that it may describe, in whole or in part other 
** than under the terms of the Khronos Adopters Agreement or Khronos 
** Conformance Test Source License Agreement as executed between Khronos 
** and the recipient.
** 
** For the avoidance of doubt, this code when provided: a) under the 
** Khronos Conformance Test Source License Agreement is for the sole 
** purpose of creating conformance tests for delivery to Khronos and does 
** not provide for formally testing products or use of Khronos trademarks 
** on conformant products; b) under the Khronos Adopters Agreement is for 
** the sole purpose of formally administering tests to products pursuant 
** to the Khronos Conformance Process Document.
** 
** Khronos, OpenKODE, OpenVG, OpenWF, glFX, OpenMAX and OpenSL ES are 
** trademarks of the Khronos Group Inc.  COLLADA is a trademark of Sony 
** Computer Entertainment Inc. used by permission by Khronos.  OpenGL and 
** OpenML are registered trademarks and the OpenGL ES logo is a trademark 
** of Silicon Graphics Inc. used by permission by Khronos. 
** 
** Use, duplication or disclosure by the Government is subject to 
** restrictions as set forth in subdivision (c)(1)(ii) of the Rights in 
** Technical Data and Computer Software clause at DFARS 252.227-7013, and/
** or in similar or successor clauses in the FAR, DOD or NASA FAR 
** Supplement. Unpublished rights reserved under the Copyright Laws of 
** the United States and other countries.
*/

/*
** Copyright 1999-2005, Silicon Graphics, Inc.
** All Rights Reserved.
**
** This is UNPUBLISHED PROPRIETARY SOURCE CODE of Silicon Graphics, Inc.;
** the contents of this file may not be disclosed to third parties, copied or
** duplicated in any form, in whole or in part, without the prior written
** permission of Silicon Graphics, Inc.
**
** RESTRICTED RIGHTS LEGEND:
** Use, duplication or disclosure by the Government is subject to restrictions
** as set forth in subdivision (c)(1)(ii) of the Rights in Technical Data
** and Computer Software clause at DFARS 252.227-7013, and/or in similar or
** successor clauses in the FAR, DOD or NASA FAR Supplement. Unpublished -
** rights reserved under the Copyright Laws of the United States.
**
** $Header: /home/cvs/OpenGL-ES/1.0/ogles/conform/platform/gl_fixed_point.h,v 1.7 2005/05/11 15:22:46 artlab Exp $
*/

#ifndef PLATFORM_GL_H
#define PLATFORM_GL_H

#include <GLES/gl.h>

typedef GLfixed GLftype;
typedef GLclampx GLclampt;
#define GL_FTYPE GL_FIXED
/* XXX debug */
#if 0
#define GLfloat GLfloat_illegal
#define GLclampf GLclampf_illegal
#endif

#define glClearDeptht(depth) \
        glClearDepthx(depth)

#define glDepthRanget(zNear, zFar) \
        glDepthRangex(zNear, zFar)

#define glFrustumt(left, right, bottom, top, zNear, zFar) \
        glFrustumx(left, right, bottom, top, zNear, zFar)

#define glOrthot(left, right, bottom, top, zNear, zFar) \
        glOrthox(left, right, bottom, top, zNear, zFar)

#define glAlphaFunct(func, ref) \
        glAlphaFuncx(func, ref)

#define glClearColort(red, green, blue, alpha) \
        glClearColorx(red, green, blue, alpha)

#define glClipPlanet(pname, param) \
        glClipPlanex(pname, param)

#define glColor4t(red, green, blue, alpha) \
        glColor4x(red, green, blue, alpha)

#define glFogt(pname, param) \
        glFogx(pname, param)

#define glFogtv(pname, params) \
        glFogxv(pname, params)

#define glLightModelt(pname, param) \
        glLightModelx(pname, param)

#define glLightModeltv(pname, params) \
        glLightModelxv(pname, params)

#define glLightt(light, pname, param) \
        glLightx(light, pname, param)

#define glLighttv(light, pname, params) \
        glLightxv(light, pname, params)

#define glLineWidtht(width) \
        glLineWidthx(width)

#define glLoadMatrixt(m) \
        glLoadMatrixx(m)

#define glMaterialt(face, pname, param) \
        glMaterialx(face, pname, param)

#define glMaterialtv(face, pname, params) \
        glMaterialxv(face, pname, params)

#define glMultMatrixt(m) \
        glMultMatrixx(m)

#define glMultiTexCoord4t(target, s, t, r, q) \
        glMultiTexCoord4x(target, s, t, r, q)

#define glNormal3t(nx, ny, nz) \
        glNormal3x(nx, ny, nz)

#define glPixelStoret(pname, param) \
        glPixelStorex(pname, param)

#define glPointParametert(pname, param) \
        glPointParameterx(pname, param)

#define glPointParametertv(pname, param) \
        glPointParameterxv(pname, param)

#define glPointSizet(size) \
        glPointSizex(size)

#define glPolygonOffsett(factor, units) \
        glPolygonOffsetx(factor, units)

#define glRotatet(angle, x, y, z) \
        glRotatex(angle, x, y, z)

#define glSampleCoveraget(value, invert) \
        glSampleCoveragex(value, invert)

#define glScalet(x, y, z) \
        glScalex(x, y, z)

#define glTexEnvt(target, pname, param) \
        glTexEnvx(target, pname, param)

#define glTexEnvtv(target, pname, params) \
        glTexEnvxv(target, pname, params)

#define glTexParametert(target, pname, param) \
        glTexParameterx(target, pname, param)

#define glTranslatet(x, y, z) \
        glTranslatex(x, y, z)

#define glTexCoord4t(s, t, r, q) \
        glTexCoord4x(s, t, r, q)

#define glGetFloatvt(pname, params) \
        glGetFixedv(pname, params)

#define glGetClipPlanet(pname, param) \
        glGetClipPlanex(pname, param)

#define glGetLighttv(target, pname, param) \
        glGetLightxv(target, pname, param)

#define glGetMaterialtv(target, pname, param) \
        glGetMaterialxv(target, pname, param)

#define glGetTexEnvtv(target, pname, param) \
        glGetTexEnvxv(target, pname, param)

#define glDrawTextOES(x, y, z, width, height) \
        glDrawTexxOES(x, y, z, width, height)

#define glDrawTextvOES(coords) \
        glDrawTexxvOES(coords)

#endif /* PLATFORM_GL_H */
