/*
** Copyright (c) 2008 The Khronos Group Inc.
** 
** All Rights Reserved.  This code is protected by copyright laws and 
** contains material proprietary to the Khronos Group, Inc.  This is 
** UNPUBLISHED PROPRIETARY SOURCE CODE that may not be disclosed in whole 
** or in part to third parties, and may not be reproduced, republished, 
** distributed, transmitted, displayed, broadcast or otherwise exploited 
** in any manner without the express prior written permission of Khronos 
** Group.
** 
** The receipt or possession of this code does not convey any rights to 
** reproduce, disclose, or distribute its contents, or to manufacture, 
** use, or sell anything that it may describe, in whole or in part other 
** than under the terms of the Khronos Adopters Agreement or Khronos 
** Conformance Test Source License Agreement as executed between Khronos 
** and the recipient.
** 
** For the avoidance of doubt, this code when provided: a) under the 
** Khronos Conformance Test Source License Agreement is for the sole 
** purpose of creating conformance tests for delivery to Khronos and does 
** not provide for formally testing products or use of Khronos trademarks 
** on conformant products; b) under the Khronos Adopters Agreement is for 
** the sole purpose of formally administering tests to products pursuant 
** to the Khronos Conformance Process Document.
** 
** Khronos, OpenKODE, OpenVG, OpenWF, glFX, OpenMAX and OpenSL ES are 
** trademarks of the Khronos Group Inc.  COLLADA is a trademark of Sony 
** Computer Entertainment Inc. used by permission by Khronos.  OpenGL and 
** OpenML are registered trademarks and the OpenGL ES logo is a trademark 
** of Silicon Graphics Inc. used by permission by Khronos. 
** 
** Use, duplication or disclosure by the Government is subject to 
** restrictions as set forth in subdivision (c)(1)(ii) of the Rights in 
** Technical Data and Computer Software clause at DFARS 252.227-7013, and/
** or in similar or successor clauses in the FAR, DOD or NASA FAR 
** Supplement. Unpublished rights reserved under the Copyright Laws of 
** the United States and other countries.
*/

/*
** Copyright 1999-2005, Silicon Graphics, Inc.
** All Rights Reserved.
**
** This is UNPUBLISHED PROPRIETARY SOURCE CODE of Silicon Graphics, Inc.;
** the contents of this file may not be disclosed to third parties, copied or
** duplicated in any form, in whole or in part, without the prior written
** permission of Silicon Graphics, Inc.
**
** RESTRICTED RIGHTS LEGEND:
** Use, duplication or disclosure by the Government is subject to restrictions
** as set forth in subdivision (c)(1)(ii) of the Rights in Technical Data
** and Computer Software clause at DFARS 252.227-7013, and/or in similar or
** successor clauses in the FAR, DOD or NASA FAR Supplement. Unpublished -
** rights reserved under the Copyright Laws of the United States.
**
** $Header: /home/cvs/OpenGL-ES/1.0/ogles/conform/platform/gl_single_precision.h,v 1.5 2005/05/11 15:22:46 artlab Exp $
*/

#ifndef PLATFORM_GL_H
#define PLATFORM_GL_H

#include <GLES/gl.h>

typedef GLfloat GLftype;
typedef GLclampf GLclampt;
#define GL_FTYPE GL_FLOAT
/*#define GLfixed GLfixed_illegal*/
/*#define GLclampx GLclampx_illegal*/

#define glClearDeptht(depth) \
        glClearDepthf(depth)

#define glClipPlanet(pname, param) \
        glClipPlanef(pname, param)

#define glDepthRanget(zNear, zFar) \
        glDepthRangef(zNear, zFar)

#define glFrustumt(left, right, bottom, top, zNear, zFar) \
        glFrustumf(left, right, bottom, top, zNear, zFar)

#define glOrthot(left, right, bottom, top, zNear, zFar) \
        glOrthof(left, right, bottom, top, zNear, zFar)

#define glAlphaFunct(func, ref) \
        glAlphaFunc(func, ref)

#define glClearColort(red, green, blue, alpha) \
        glClearColor(red, green, blue, alpha)

#define glColor4t(red, green, blue, alpha) \
        glColor4f(red, green, blue, alpha)

#define glFogt(pname, param) \
        glFogf(pname, param)

#define glFogtv(pname, params) \
        glFogfv(pname, params)

#define glLightModelt(pname, param) \
        glLightModelf(pname, param)

#define glLightModeltv(pname, params) \
        glLightModelfv(pname, params)

#define glLightt(light, pname, param) \
        glLightf(light, pname, param)

#define glLighttv(light, pname, params) \
        glLightfv(light, pname, params)

#define glLineWidtht(width) \
        glLineWidth(width)

#define glLoadMatrixt(m) \
        glLoadMatrixf(m)

#define glMaterialt(face, pname, param) \
        glMaterialf(face, pname, param)

#define glMaterialtv(face, pname, params) \
        glMaterialfv(face, pname, params)

#define glMultMatrixt(m) \
        glMultMatrixf(m)

#define glMultiTexCoord4t(target, s, t, r, q) \
        glMultiTexCoord4f(target, s, t, r, q)

#define glNormal3t(nx, ny, nz) \
        glNormal3f(nx, ny, nz)

#define glPixelStoret(pname, param) \
        glPixelStoref(pname, param)

#define glPointParametert(pname, param) \
        glPointParameterf(pname, param)

#define glPointParametertv(pname, param) \
        glPointParameterfv(pname, param)

#define glPointSizet(size) \
        glPointSize(size)

#define glPolygonOffsett(factor, units) \
        glPolygonOffset(factor, units)

#define glRotatet(angle, x, y, z) \
        glRotatef(angle, x, y, z)

#define glSampleCoveraget(value, invert) \
        glSampleCoverage(value, invert)

#define glScalet(x, y, z) \
        glScalef(x, y, z)

#define glTexEnvt(target, pname, param) \
        glTexEnvf(target, pname, param)

#define glTexEnvtv(target, pname, params) \
        glTexEnvfv(target, pname, params)

#define glTexParametert(target, pname, param) \
        glTexParameterf(target, pname, param)

#define glTranslatet(x, y, z) \
        glTranslatef(x, y, z)

#define glTexCoord4t(s, t, r, q) \
        glTexCoord4f(s, t, r, q)

#define glGetFloatvt(pname, params) \
        glGetFloatv(pname, params)

#define glGetClipPlanet(pname, param) \
        glGetClipPlanef(pname, param)

#define glGetLighttv(target, pname, param) \
        glGetLightfv(target, pname, param)

#define glGetMaterialtv(target, pname, param) \
        glGetMaterialfv(target, pname, param)

#define glGetTexEnvtv(target, pname, param) \
        glGetTexEnvfv(target, pname, param)

#define glDrawTextOES(x, y, z, width, height) \
        glDrawTexfOES(x, y, z, width, height)

#define glDrawTextvOES(coords) \
        glDrawTexfvOES(coords)

#endif /* PLATFORM_GL_H */
