/*
** Copyright (c) 2008 The Khronos Group Inc.
** 
** All Rights Reserved.  This code is protected by copyright laws and 
** contains material proprietary to the Khronos Group, Inc.  This is 
** UNPUBLISHED PROPRIETARY SOURCE CODE that may not be disclosed in whole 
** or in part to third parties, and may not be reproduced, republished, 
** distributed, transmitted, displayed, broadcast or otherwise exploited 
** in any manner without the express prior written permission of Khronos 
** Group.
** 
** The receipt or possession of this code does not convey any rights to 
** reproduce, disclose, or distribute its contents, or to manufacture, 
** use, or sell anything that it may describe, in whole or in part other 
** than under the terms of the Khronos Adopters Agreement or Khronos 
** Conformance Test Source License Agreement as executed between Khronos 
** and the recipient.
** 
** For the avoidance of doubt, this code when provided: a) under the 
** Khronos Conformance Test Source License Agreement is for the sole 
** purpose of creating conformance tests for delivery to Khronos and does 
** not provide for formally testing products or use of Khronos trademarks 
** on conformant products; b) under the Khronos Adopters Agreement is for 
** the sole purpose of formally administering tests to products pursuant 
** to the Khronos Conformance Process Document.
** 
** Khronos, OpenKODE, OpenVG, OpenWF, glFX, OpenMAX and OpenSL ES are 
** trademarks of the Khronos Group Inc.  COLLADA is a trademark of Sony 
** Computer Entertainment Inc. used by permission by Khronos.  OpenGL and 
** OpenML are registered trademarks and the OpenGL ES logo is a trademark 
** of Silicon Graphics Inc. used by permission by Khronos. 
** 
** Use, duplication or disclosure by the Government is subject to 
** restrictions as set forth in subdivision (c)(1)(ii) of the Rights in 
** Technical Data and Computer Software clause at DFARS 252.227-7013, and/
** or in similar or successor clauses in the FAR, DOD or NASA FAR 
** Supplement. Unpublished rights reserved under the Copyright Laws of 
** the United States and other countries.
*/

/*
** Copyright 1999-2005, Silicon Graphics, Inc.
** All Rights Reserved.
**
** This is UNPUBLISHED PROPRIETARY SOURCE CODE of Silicon Graphics, Inc.;
** the contents of this file may not be disclosed to third parties, copied or
** duplicated in any form, in whole or in part, without the prior written
** permission of Silicon Graphics, Inc.
**
** RESTRICTED RIGHTS LEGEND:
** Use, duplication or disclosure by the Government is subject to restrictions
** as set forth in subdivision (c)(1)(ii) of the Rights in Technical Data
** and Computer Software clause at DFARS 252.227-7013, and/or in similar or
** successor clauses in the FAR, DOD or NASA FAR Supplement. Unpublished -
** rights reserved under the Copyright Laws of the United States.
**
** $Header: /home/cvs/OpenGL-ES/1.0/ogles/conform/platform/math_fixed.h,v 1.3 2005/05/11 15:22:46 artlab Exp $
*/

#ifndef PLATFORM_MATH_H
#define PLATFORM_MATH_H

#include <stdlib.h>
#include <fixed/fixed.h>

typedef fixed ftype;

#define PI          FIXED_PI
#define LN2         FIXED_LN2

#define MIN(x, y)   (((x) < (y)) ? (x) : (y))
#define MAX(x, y)   (((x) < (y)) ? (y) : (x))

#define XTOF(x)     (x)

/* stdlib */
#define ITOF(i)     ((i) << 16)
#define FTOI(x)     (xtoi((x)))
#define ATOF(s)     (atox((s)))
#define ATOI(s)     (atoi((s)))
#define FTOX(x)     ((fixed)x*65536)

/* math */
#define ABS(x)      (xabs(x))
#define ADD(x, y)   (xadd((x), (y)))
#define COS(x)      (xcos((x)))
#define DIV(x, y)   (xdiv((x), (y)))
#define EXP(x)      (xexp((x)))
#define FLOOR(x)    (xfloor((x)))
#define LDEXP(x, y) (xldexp((x), (y)))
#define LOG(x)      (xlog((x)))
#define LOG2(x)     (xdiv(xlog((x)), LN2))
#define MUL(x, y)   (xmul((x), (y)))
#define NEG(x)      (xneg((x)))
#define POW(x, y)   (xpow((x), (y)))
#define SIN(x)      (xsin((x)))
#define SUB(x, y)   (xsub((x), (y)))
#define SQRT(x)     (xsqrt((x)))

#endif /* PLATFORM_MATH */
