/*
** Copyright (c) 2008 The Khronos Group Inc.
** 
** All Rights Reserved.  This code is protected by copyright laws and 
** contains material proprietary to the Khronos Group, Inc.  This is 
** UNPUBLISHED PROPRIETARY SOURCE CODE that may not be disclosed in whole 
** or in part to third parties, and may not be reproduced, republished, 
** distributed, transmitted, displayed, broadcast or otherwise exploited 
** in any manner without the express prior written permission of Khronos 
** Group.
** 
** The receipt or possession of this code does not convey any rights to 
** reproduce, disclose, or distribute its contents, or to manufacture, 
** use, or sell anything that it may describe, in whole or in part other 
** than under the terms of the Khronos Adopters Agreement or Khronos 
** Conformance Test Source License Agreement as executed between Khronos 
** and the recipient.
** 
** For the avoidance of doubt, this code when provided: a) under the 
** Khronos Conformance Test Source License Agreement is for the sole 
** purpose of creating conformance tests for delivery to Khronos and does 
** not provide for formally testing products or use of Khronos trademarks 
** on conformant products; b) under the Khronos Adopters Agreement is for 
** the sole purpose of formally administering tests to products pursuant 
** to the Khronos Conformance Process Document.
** 
** Khronos, OpenKODE, OpenVG, OpenWF, glFX, OpenMAX and OpenSL ES are 
** trademarks of the Khronos Group Inc.  COLLADA is a trademark of Sony 
** Computer Entertainment Inc. used by permission by Khronos.  OpenGL and 
** OpenML are registered trademarks and the OpenGL ES logo is a trademark 
** of Silicon Graphics Inc. used by permission by Khronos. 
** 
** Use, duplication or disclosure by the Government is subject to 
** restrictions as set forth in subdivision (c)(1)(ii) of the Rights in 
** Technical Data and Computer Software clause at DFARS 252.227-7013, and/
** or in similar or successor clauses in the FAR, DOD or NASA FAR 
** Supplement. Unpublished rights reserved under the Copyright Laws of 
** the United States and other countries.
*/

/*
** Copyright 1999-2005, Silicon Graphics, Inc.
** All Rights Reserved.
**
** This is UNPUBLISHED PROPRIETARY SOURCE CODE of Silicon Graphics, Inc.;
** the contents of this file may not be disclosed to third parties, copied or
** duplicated in any form, in whole or in part, without the prior written
** permission of Silicon Graphics, Inc.
**
** RESTRICTED RIGHTS LEGEND:
** Use, duplication or disclosure by the Government is subject to restrictions
** as set forth in subdivision (c)(1)(ii) of the Rights in Technical Data
** and Computer Software clause at DFARS 252.227-7013, and/or in similar or
** successor clauses in the FAR, DOD or NASA FAR Supplement. Unpublished -
** rights reserved under the Copyright Laws of the United States.
**
** $Header: /home/cvs/OpenGL-ES/1.0/ogles/conform/platform/stdlib_ansi.h,v 1.4 2005/05/11 15:22:46 artlab Exp $
*/

#ifndef PLATFORM_STDLIB_H
#define PLATFORM_STDLIB_H

/*
** To be adapted to target platform.
*/

#include <ctype.h>
#include <stdarg.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

/* ctype */
#define ISDIGIT(c)                       isdigit(c)

/* stdarg */
#define VA_ARG(arg, type)                va_arg((arg), type)
#define VA_END(arg)                      va_end((arg))
#define VA_LIST                          va_list
#define VA_START(arg, format)            va_start((arg), (format))

/* stdio */
#define FCLOSE(file)                     fclose((file))
#define FEOF(file)                       feof((file))
#define FFLUSH(file)                     fflush((file))
#define FOPEN(filename, type)            fopen((filename), (type))
#define FPRINT(file, string)             fprintf((file), "%s", (string))
#define FPRINTF1(file, format, value)    fprintf((file), (format), (value))
#define FPUTS(file, string)              fputs((string), (file))
#define FSCANF(file, format, value)      fscanf((file), (format), (value))
#define PRINT(string)                    printf("%s", (string))
#define PRINTF1(format, value)           printf((format), (value))
#define PUTS(string)                     puts((string))
#define SPRINT(string, value)            sprintf((string), "%s", (value))
#define SPRINTF1(string, format, value)  sprintf((string), (format), (value))
#define VPRINTF(format, arg)             vprintf((format), (arg))
#define VSPRINTF(string, format, arg)    vsprintf((string), (format), (arg))
typedef FILE                            *FILEHANDLE;

/* stdlib */
#define EXIT(x)                          exit((x))
#define FREE(x)                          free((x))
#define MALLOC(x)                        malloc((x))

/* string */
#define STRCMP(x, y)                     strcmp((x), (y))
#define STRCPY(x, y)                     strcpy((x), (y))
#define STRLEN(x)                        strlen((x))
#define STRSTR(x, y)                     strstr((x), (y))

#endif /* PLATFORM_STDLIB_H */
